import QtQuick 1.1
import com.nokia.meego 1.0

Rectangle {
    id: comboListviewBackground
    color: "black"
    anchors.top: gwTitleBar.bottom
    anchors.left: parent.left
    anchors.right: parent.right
    anchors.bottom: parent.bottom

    property int iListRange: 0
    property int iListNum: 5
    property color titlecolor: "#d7d7d7"
    property alias titlename : fixedTitleText.text
    property int iSortField : 1
    property int iSortMode: 0

    BusyIndicator {
        id: busyInd
        anchors.centerIn: parent
        platformStyle: BusyIndicatorStyle {size: "large"}
        running: true
        visible: true
    }

    Flickable {

        id: flickableContainer
        anchors.fill: parent
        anchors.topMargin: 10
        width: parent.width
        height: parent.height

        contentWidth: 1920
        contentHeight: myListView.height
        flickableDirection: Flickable.HorizontalFlick
        boundsBehavior:Flickable.StopAtBounds

        visible: !busyInd.visible

        Row {
            id: topHeaderRow
            x:120
            width: 1800
            height: 50

            Rectangle {

                id: listTitleRectangle
                width:topHeaderRow.width
                height: topHeaderRow.height

                Item {

                    id: listTileContainer

                    width: listTitleRectangle.width
                    height: listTitleRectangle.height

                    Rectangle{

                        id: flickableTableTitle

                        x:0
                        height: listTileContainer.height
                        width: listTileContainer.width

                        gradient: Gradient {

                            id: titleGradient

                            GradientStop {position: 0.0; color:"#636363"}
                            GradientStop {position: 0.6; color:"#131313"}
                            GradientStop {position: 0.7; color:"black"}
                            GradientStop {position: 1.0; color:"black"}
                        }

                        Rectangle {
                            id:newpriceTitleCotainer
                            x: 0
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {
                                id: newpriceTitle
                                text: "最新"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof newpriceTitle

                            Image {
                                id: sortDownImage_newprice
                                source: "images/sort_down.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 85
                                opacity: 0
                            }

                            Image {
                                id: sortUpImage_newprice
                                source: "images/sort_up.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 85
                                opacity: 0
                            }

                            MouseArea {
                                id: sortbyNewprice
                                anchors.fill: parent

                                property bool first: true

                                onClicked: {
                                    if (iListNum == 5)
                                    {
                                        if (first){
                                            //set current
                                            sortDownImage_newprice.opacity = 1
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortDownImage_raiserate.opacity = 0
                                            sortUpImage_raiserate.opacity = 0
                                            //reset dealquantity column
                                            sortbydealquantity.first = true
                                            sortDownImage_dealquantity.opacity = 0
                                            sortUpImage_dealquantity.opacity = 0
                                            //reset dealquote column
                                            sortbydealquote.first = true
                                            sortDownImage_dealquote.opacity = 0
                                            sortUpImage_dealquote.opacity = 0
                                            //reset pricechangeratio column
                                            sortbypricechangeratio.first = true
                                            sortDownImage_pricechangeratio.opacity = 0
                                            sortUpImage_pricechangeratio.opacity = 0
                                            //reset raisespeed column
                                            sortbyraisespeed.first = true
                                            sortDownImage_raisespeed.opacity = 0
                                            sortUpImage_raisespeed.opacity = 0
                                            //reset tradetime column
                                            sortbytradetime.first = true
                                            sortDownImage_tradetime.opacity = 0
                                            sortUpImage_tradetime.opacity = 0
                                            //reset quantitypersent column
                                            sortbyquantitypersent.first = true
                                            sortDownImage_quantitypersent.opacity = 0
                                            sortUpImage_quantitypersent.opacity = 0
                                            //reset priceearningsratio column
                                            sortbypriceearningsratio.first = true
                                            sortDownImage_priceearningsratio.opacity = 0
                                            sortUpImage_priceearningsratio.opacity = 0
                                            //reset pbv column
                                            sortbypbv.first = true
                                            sortDownImage_pbv.opacity = 0
                                            sortUpImage_pbv.opacity = 0
                                            //
                                            iSortField = 4
                                            iSortMode = 0
                                            myQuotesList.DisplayQuotesList(0,iListNum,iListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                        else {
                                            //set current
                                            sortUpImage_newprice.opacity = 1
                                            sortDownImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortDownImage_raiserate.opacity = 0
                                            sortUpImage_raiserate.opacity = 0
                                            //reset dealquantity column
                                            sortbydealquantity.first = true
                                            sortDownImage_dealquantity.opacity = 0
                                            sortUpImage_dealquantity.opacity = 0
                                            //reset dealquote column
                                            sortbydealquote.first = true
                                            sortDownImage_dealquote.opacity = 0
                                            sortUpImage_dealquote.opacity = 0
                                            //reset pricechangeratio column
                                            sortbypricechangeratio.first = true
                                            sortDownImage_pricechangeratio.opacity = 0
                                            sortUpImage_pricechangeratio.opacity = 0
                                            //reset raisespeed column
                                            sortbyraisespeed.first = true
                                            sortDownImage_raisespeed.opacity = 0
                                            sortUpImage_raisespeed.opacity = 0
                                            //reset tradetime column
                                            sortbytradetime.first = true
                                            sortDownImage_tradetime.opacity = 0
                                            sortUpImage_tradetime.opacity = 0
                                            //reset quantitypersent column
                                            sortbyquantitypersent.first = true
                                            sortDownImage_quantitypersent.opacity = 0
                                            sortUpImage_quantitypersent.opacity = 0
                                            //reset priceearningsratio column
                                            sortbypriceearningsratio.first = true
                                            sortDownImage_priceearningsratio.opacity = 0
                                            sortUpImage_priceearningsratio.opacity = 0
                                            //reset pbv column
                                            sortbypbv.first = true
                                            sortDownImage_pbv.opacity = 0
                                            sortUpImage_pbv.opacity = 0
                                            //
                                            iSortField = 4
                                            iSortMode = 1
                                            myQuotesList.DisplayQuotesList(0,iListNum,iListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                    }
                                }

                            }//endof mousearea
                        }

                        Rectangle {

                            id:raiserateTitleCotainer

                            x: 120
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {
                                id: raiserateTitle
                                text: "涨幅%"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof raiserateTitle

                            Image {
                                id: sortDownImage_raiserate
                                source: "images/sort_down.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 98
                                opacity: iListNum == 5 ? 1 : 0
                            }

                            Image {
                                id: sortUpImage_raiserate
                                source: "images/sort_up.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 98
                                opacity: 0
                            }

                            MouseArea {

                                id: sortbyRaiserate

                                anchors.fill: parent
                                property bool first: false

                                onClicked: {
                                    if (iListNum == 5)
                                    {
                                        if (first){
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //set current
                                            sortDownImage_raiserate.opacity = 1
                                            sortUpImage_raiserate.opacity = 0
                                            //reset dealquantity column
                                            sortbydealquantity.first = true
                                            sortDownImage_dealquantity.opacity = 0
                                            sortUpImage_dealquantity.opacity = 0
                                            //reset dealquote column
                                            sortbydealquote.first = true
                                            sortDownImage_dealquote.opacity = 0
                                            sortUpImage_dealquote.opacity = 0
                                            //reset pricechangeratio column
                                            sortbypricechangeratio.first = true
                                            sortDownImage_pricechangeratio.opacity = 0
                                            sortUpImage_pricechangeratio.opacity = 0
                                            //reset raisespeed column
                                            sortbyraisespeed.first = true
                                            sortDownImage_raisespeed.opacity = 0
                                            sortUpImage_raisespeed.opacity = 0
                                            //reset tradetime column
                                            sortbytradetime.first = true
                                            sortDownImage_tradetime.opacity = 0
                                            sortUpImage_tradetime.opacity = 0
                                            //reset quantitypersent column
                                            sortbyquantitypersent.first = true
                                            sortDownImage_quantitypersent.opacity = 0
                                            sortUpImage_quantitypersent.opacity = 0
                                            //reset priceearningsratio column
                                            sortbypriceearningsratio.first = true
                                            sortDownImage_priceearningsratio.opacity = 0
                                            sortUpImage_priceearningsratio.opacity = 0
                                            //reset pbv column
                                            sortbypbv.first = true
                                            sortDownImage_pbv.opacity = 0
                                            sortUpImage_pbv.opacity = 0
                                            //
                                            iSortField = 1
                                            iSortMode = 0
                                            myQuotesList.DisplayQuotesList(0,iListNum,iListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                        else
                                        {
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //set current
                                            sortUpImage_raiserate.opacity = 1
                                            sortDownImage_raiserate.opacity = 0
                                            //reset dealquantity column
                                            sortbydealquantity.first = true
                                            sortDownImage_dealquantity.opacity = 0
                                            sortUpImage_dealquantity.opacity = 0
                                            //reset dealquote column
                                            sortbydealquote.first = true
                                            sortDownImage_dealquote.opacity = 0
                                            sortUpImage_dealquote.opacity = 0
                                            //reset pricechangeratio column
                                            sortbypricechangeratio.first = true
                                            sortDownImage_pricechangeratio.opacity = 0
                                            sortUpImage_pricechangeratio.opacity = 0
                                            //reset raisespeed column
                                            sortbyraisespeed.first = true
                                            sortDownImage_raisespeed.opacity = 0
                                            sortUpImage_raisespeed.opacity = 0
                                            //reset tradetime column
                                            sortbytradetime.first = true
                                            sortDownImage_tradetime.opacity = 0
                                            sortUpImage_tradetime.opacity = 0
                                            //reset quantitypersent column
                                            sortbyquantitypersent.first = true
                                            sortDownImage_quantitypersent.opacity = 0
                                            sortUpImage_quantitypersent.opacity = 0
                                            //reset priceearningsratio column
                                            sortbypriceearningsratio.first = true
                                            sortDownImage_priceearningsratio.opacity = 0
                                            sortUpImage_priceearningsratio.opacity = 0
                                            //reset pbv column
                                            sortbypbv.first = true
                                            sortDownImage_pbv.opacity = 0
                                            sortUpImage_pbv.opacity = 0
                                            //
                                            iSortField = 1
                                            iSortMode = 1
                                            myQuotesList.DisplayQuotesList(0,iListNum,iListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                    }
                                }
                            }//endof mousearea
                        }

                        Rectangle {

                            id:raiseamountTitleCotainer

                            x: 240
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {
                                id: raiseamountTitle
                                text: "涨跌"
                                color: titlecolor
                                width:parent.width
                                height:parent.height

                            }//endof raiseamountTitle
                        }

                        Rectangle {

                            id:yesterdaypriceTitleCotainer

                            x: 360
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {
                                id: yesterdaypriceTitle
                                text: "昨收"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof yesterdaypriceTitle
                        }

                        Rectangle {

                            id:dealquantityTitleCotainer

                            x: 480
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {
                                id: dealquantityTitle
                                text: "成交量"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof dealquantityTitle

                            Image {
                                id: sortDownImage_dealquantity
                                source: "images/sort_down.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 98
                                opacity: 0
                            }

                            Image {
                                id: sortUpImage_dealquantity
                                source: "images/sort_up.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 98
                                opacity: 0
                            }

                            MouseArea {

                                id: sortbydealquantity

                                anchors.fill: parent
                                property bool first: true

                                onClicked: {
                                    if (iListNum == 5)
                                    {
                                        if (first){
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortUpImage_raiserate.opacity = 0
                                            sortDownImage_raiserate.opacity = 0
                                            //set current
                                            sortDownImage_dealquantity.opacity = 1
                                            sortUpImage_dealquantity.opacity = 0
                                            //reset dealquote column
                                            sortbydealquote.first = true
                                            sortDownImage_dealquote.opacity = 0
                                            sortUpImage_dealquote.opacity = 0
                                            //reset pricechangeratio column
                                            sortbypricechangeratio.first = true
                                            sortDownImage_pricechangeratio.opacity = 0
                                            sortUpImage_pricechangeratio.opacity = 0
                                            //reset raisespeed column
                                            sortbyraisespeed.first = true
                                            sortDownImage_raisespeed.opacity = 0
                                            sortUpImage_raisespeed.opacity = 0
                                            //reset tradetime column
                                            sortbytradetime.first = true
                                            sortDownImage_tradetime.opacity = 0
                                            sortUpImage_tradetime.opacity = 0
                                            //reset quantitypersent column
                                            sortbyquantitypersent.first = true
                                            sortDownImage_quantitypersent.opacity = 0
                                            sortUpImage_quantitypersent.opacity = 0
                                            //reset priceearningsratio column
                                            sortbypriceearningsratio.first = true
                                            sortDownImage_priceearningsratio.opacity = 0
                                            sortUpImage_priceearningsratio.opacity = 0
                                            //reset pbv column
                                            sortbypbv.first = true
                                            sortDownImage_pbv.opacity = 0
                                            sortUpImage_pbv.opacity = 0
                                            //
                                            iSortField = 2
                                            iSortMode = 0
                                            myQuotesList.DisplayQuotesList(0,iListNum,iListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                        else
                                        {
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortUpImage_raiserate.opacity = 0
                                            sortDownImage_raiserate.opacity = 0
                                            //set current
                                            sortUpImage_dealquantity.opacity = 1
                                            sortDownImage_dealquantity.opacity = 0
                                            //reset dealquote column
                                            sortbydealquote.first = true
                                            sortDownImage_dealquote.opacity = 0
                                            sortUpImage_dealquote.opacity = 0
                                            //reset pricechangeratio column
                                            sortbypricechangeratio.first = true
                                            sortDownImage_pricechangeratio.opacity = 0
                                            sortUpImage_pricechangeratio.opacity = 0
                                            //reset raisespeed column
                                            sortbyraisespeed.first = true
                                            sortDownImage_raisespeed.opacity = 0
                                            sortUpImage_raisespeed.opacity = 0
                                            //reset tradetime column
                                            sortbytradetime.first = true
                                            sortDownImage_tradetime.opacity = 0
                                            sortUpImage_tradetime.opacity = 0
                                            //reset quantitypersent column
                                            sortbyquantitypersent.first = true
                                            sortDownImage_quantitypersent.opacity = 0
                                            sortUpImage_quantitypersent.opacity = 0
                                            //reset priceearningsratio column
                                            sortbypriceearningsratio.first = true
                                            sortDownImage_priceearningsratio.opacity = 0
                                            sortUpImage_priceearningsratio.opacity = 0
                                            //reset pbv column
                                            sortbypbv.first = true
                                            sortDownImage_pbv.opacity = 0
                                            sortUpImage_pbv.opacity = 0
                                            //
                                            iSortField = 2
                                            iSortMode = 1
                                            myQuotesList.DisplayQuotesList(0,iListNum,iListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                    }
                                }
                            }//endof mousearea
                        }

                        Rectangle {

                            id:dealquoteTitleCotainer

                            x: 600
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {

                                id: dealquoteTitle
                                text: "成交额"
                                color: titlecolor
                                width:parent.width
                                height:parent.height

                            }//endof dealquoteTitle

                            Image {
                                id: sortDownImage_dealquote
                                source: "images/sort_down.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 98
                                opacity: 0
                            }

                            Image {
                                id: sortUpImage_dealquote
                                source: "images/sort_up.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 98
                                opacity: 0
                            }

                            MouseArea {

                                id: sortbydealquote

                                anchors.fill: parent
                                property bool first: true

                                onClicked: {
                                    if (iListNum == 5) {
                                        if (first){
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortUpImage_raiserate.opacity = 0
                                            sortDownImage_raiserate.opacity = 0
                                            //reset dealquantity column
                                            sortbydealquantity.first = true
                                            sortDownImage_dealquantity.opacity = 0
                                            sortUpImage_dealquantity.opacity = 0
                                            //set current
                                            sortDownImage_dealquote.opacity = 1
                                            sortUpImage_dealquote.opacity = 0
                                            //reset pricechangeratio column
                                            sortbypricechangeratio.first = true
                                            sortDownImage_pricechangeratio.opacity = 0
                                            sortUpImage_pricechangeratio.opacity = 0
                                            //reset raisespeed column
                                            sortbyraisespeed.first = true
                                            sortDownImage_raisespeed.opacity = 0
                                            sortUpImage_raisespeed.opacity = 0
                                            //reset tradetime column
                                            sortbytradetime.first = true
                                            sortDownImage_tradetime.opacity = 0
                                            sortUpImage_tradetime.opacity = 0
                                            //reset quantitypersent column
                                            sortbyquantitypersent.first = true
                                            sortDownImage_quantitypersent.opacity = 0
                                            sortUpImage_quantitypersent.opacity = 0
                                            //reset priceearningsratio column
                                            sortbypriceearningsratio.first = true
                                            sortDownImage_priceearningsratio.opacity = 0
                                            sortUpImage_priceearningsratio.opacity = 0
                                            //reset pbv column
                                            sortbypbv.first = true
                                            sortDownImage_pbv.opacity = 0
                                            sortUpImage_pbv.opacity = 0
                                            //
                                            iSortField = 3
                                            iSortMode = 0
                                            myQuotesList.DisplayQuotesList(0,iListNum,iListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                        else
                                        {
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortUpImage_raiserate.opacity = 0
                                            sortDownImage_raiserate.opacity = 0
                                            //reset dealquantity column
                                            sortbydealquantity.first = true
                                            sortDownImage_dealquantity.opacity = 0
                                            sortUpImage_dealquantity.opacity = 0
                                            //set current
                                            sortUpImage_dealquote.opacity = 1
                                            sortDownImage_dealquote.opacity = 0
                                            //reset pricechangeratio column
                                            sortbypricechangeratio.first = true
                                            sortDownImage_pricechangeratio.opacity = 0
                                            sortUpImage_pricechangeratio.opacity = 0
                                            //reset raisespeed column
                                            sortbyraisespeed.first = true
                                            sortDownImage_raisespeed.opacity = 0
                                            sortUpImage_raisespeed.opacity = 0
                                            //reset tradetime column
                                            sortbytradetime.first = true
                                            sortDownImage_tradetime.opacity = 0
                                            sortUpImage_tradetime.opacity = 0
                                            //reset quantitypersent column
                                            sortbyquantitypersent.first = true
                                            sortDownImage_quantitypersent.opacity = 0
                                            sortUpImage_quantitypersent.opacity = 0
                                            //reset priceearningsratio column
                                            sortbypriceearningsratio.first = true
                                            sortDownImage_priceearningsratio.opacity = 0
                                            sortUpImage_priceearningsratio.opacity = 0
                                            //reset pbv column
                                            sortbypbv.first = true
                                            sortDownImage_pbv.opacity = 0
                                            sortUpImage_pbv.opacity = 0
                                            //
                                            iSortField = 3
                                            iSortMode = 1
                                            myQuotesList.DisplayQuotesList(0,iListNum,iListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                    }
                                }
                            }//endof mousearea

                        }

                        Rectangle {

                            id:maxpriceTitleCotainer

                            x: 720
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {
                                id: maxpriceTitle
                                text: "最高"
                                color: titlecolor
                                //font.family: "Arail"
                                width:parent.width
                                height:parent.height

                            }//endof maxpriceTitle
                        }

                        Rectangle {

                            id:minpriceTitleCotainer

                            x: 840
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {

                                id: minpriceTitle
                                text: "最低"
                                color: titlecolor
                                width:parent.width
                                height:parent.height

                            }//endof minpriceTitle
                        }

                        Rectangle {

                            id:pricechangeratioTitleCotainer

                            x: 960
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {
                                id: pricechangeratioTitle
                                text: "振幅%"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof pricechangeratioTitle

                            Image {
                                id: sortDownImage_pricechangeratio
                                source: "images/sort_down.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 98
                                opacity: 0
                            }

                            Image {
                                id: sortUpImage_pricechangeratio
                                source: "images/sort_up.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 98
                                opacity: 0
                            }

                            MouseArea {

                                id: sortbypricechangeratio

                                anchors.fill: parent
                                property bool first: true

                                onClicked: {
                                    if (iListNum == 5) {
                                        if (first){
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortUpImage_raiserate.opacity = 0
                                            sortDownImage_raiserate.opacity = 0
                                            //reset dealquantity column
                                            sortbydealquantity.first = true
                                            sortDownImage_dealquantity.opacity = 0
                                            sortUpImage_dealquantity.opacity = 0
                                            //reset dealquote column
                                            sortbydealquote.first = true
                                            sortDownImage_dealquote.opacity = 0
                                            sortUpImage_dealquote.opacity = 0
                                            //set current
                                            sortDownImage_pricechangeratio.opacity = 1
                                            sortUpImage_pricechangeratio.opacity = 0
                                            //reset raisespeed column
                                            sortbyraisespeed.first = true
                                            sortDownImage_raisespeed.opacity = 0
                                            sortUpImage_raisespeed.opacity = 0
                                            //reset tradetime column
                                            sortbytradetime.first = true
                                            sortDownImage_tradetime.opacity = 0
                                            sortUpImage_tradetime.opacity = 0
                                            //reset quantitypersent column
                                            sortbyquantitypersent.first = true
                                            sortDownImage_quantitypersent.opacity = 0
                                            sortUpImage_quantitypersent.opacity = 0
                                            //reset priceearningsratio column
                                            sortbypriceearningsratio.first = true
                                            sortDownImage_priceearningsratio.opacity = 0
                                            sortUpImage_priceearningsratio.opacity = 0
                                            //reset pbv column
                                            sortbypbv.first = true
                                            sortDownImage_pbv.opacity = 0
                                            sortUpImage_pbv.opacity = 0
                                            //
                                            iSortField = 22
                                            iSortMode = 0
                                            myQuotesList.DisplayQuotesList(0,iListNum,iListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                        else
                                        {
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortUpImage_raiserate.opacity = 0
                                            sortDownImage_raiserate.opacity = 0
                                            //reset dealquantity column
                                            sortbydealquantity.first = true
                                            sortDownImage_dealquantity.opacity = 0
                                            sortUpImage_dealquantity.opacity = 0
                                            //reset dealquote column
                                            sortbydealquote.first = true
                                            sortDownImage_dealquote.opacity = 0
                                            sortUpImage_dealquote.opacity = 0
                                            //set current
                                            sortUpImage_pricechangeratio.opacity = 1
                                            sortDownImage_pricechangeratio.opacity = 0
                                            //reset raisespeed column
                                            sortbyraisespeed.first = true
                                            sortDownImage_raisespeed.opacity = 0
                                            sortUpImage_raisespeed.opacity = 0
                                            //reset tradetime column
                                            sortbytradetime.first = true
                                            sortDownImage_tradetime.opacity = 0
                                            sortUpImage_tradetime.opacity = 0
                                            //reset quantitypersent column
                                            sortbyquantitypersent.first = true
                                            sortDownImage_quantitypersent.opacity = 0
                                            sortUpImage_quantitypersent.opacity = 0
                                            //reset priceearningsratio column
                                            sortbypriceearningsratio.first = true
                                            sortDownImage_priceearningsratio.opacity = 0
                                            sortUpImage_priceearningsratio.opacity = 0
                                            //reset pbv column
                                            sortbypbv.first = true
                                            sortDownImage_pbv.opacity = 0
                                            sortUpImage_pbv.opacity = 0
                                            //
                                            iSortField = 22
                                            iSortMode = 1
                                            myQuotesList.DisplayQuotesList(0,iListNum,iListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                    }
                                }
                            }//endof mousearea
                        }

                        Rectangle {

                            id:raisespeedTitleCotainer

                            x: 1080
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {
                                id: raisespeedTitle
                                text: "涨速%"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof raisespeedTitle

                            Image {
                                id: sortDownImage_raisespeed
                                source: "images/sort_down.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 98
                                opacity: 0
                            }

                            Image {
                                id: sortUpImage_raisespeed
                                source: "images/sort_up.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 98
                                opacity: 0
                            }

                            MouseArea {

                                id: sortbyraisespeed

                                anchors.fill: parent
                                property bool first: true

                                onClicked: {
                                    if (iListNum == 5) {
                                        if (first){
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortUpImage_raiserate.opacity = 0
                                            sortDownImage_raiserate.opacity = 0
                                            //reset dealquantity column
                                            sortbydealquantity.first = true
                                            sortDownImage_dealquantity.opacity = 0
                                            sortUpImage_dealquantity.opacity = 0
                                            //reset dealquote column
                                            sortbydealquote.first = true
                                            sortDownImage_dealquote.opacity = 0
                                            sortUpImage_dealquote.opacity = 0
                                            //reset pricechangeratio column
                                            sortbypricechangeratio.first = true
                                            sortDownImage_pricechangeratio.opacity = 0
                                            sortUpImage_pricechangeratio.opacity = 0
                                            //set current
                                            sortDownImage_raisespeed.opacity = 1
                                            sortUpImage_raisespeed.opacity = 0
                                            //reset tradetime column
                                            sortbytradetime.first = true
                                            sortDownImage_tradetime.opacity = 0
                                            sortUpImage_tradetime.opacity = 0
                                            //reset quantitypersent column
                                            sortbyquantitypersent.first = true
                                            sortDownImage_quantitypersent.opacity = 0
                                            sortUpImage_quantitypersent.opacity = 0
                                            //reset priceearningsratio column
                                            sortbypriceearningsratio.first = true
                                            sortDownImage_priceearningsratio.opacity = 0
                                            sortUpImage_priceearningsratio.opacity = 0
                                            //reset pbv column
                                            sortbypbv.first = true
                                            sortDownImage_pbv.opacity = 0
                                            sortUpImage_pbv.opacity = 0
                                            //
                                            iSortField = 25
                                            iSortMode = 0
                                            myQuotesList.DisplayQuotesList(0,iListNum,iListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                        else
                                        {
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortUpImage_raiserate.opacity = 0
                                            sortDownImage_raiserate.opacity = 0
                                            //reset dealquantity column
                                            sortbydealquantity.first = true
                                            sortDownImage_dealquantity.opacity = 0
                                            sortUpImage_dealquantity.opacity = 0
                                            //reset dealquote column
                                            sortbydealquote.first = true
                                            sortDownImage_dealquote.opacity = 0
                                            sortUpImage_dealquote.opacity = 0
                                            //reset pricechangeratio column
                                            sortbypricechangeratio.first = true
                                            sortDownImage_pricechangeratio.opacity = 0
                                            sortUpImage_pricechangeratio.opacity = 0
                                            //set current
                                            sortUpImage_raisespeed.opacity = 1
                                            sortDownImage_raisespeed.opacity = 0
                                            //reset tradetime column
                                            sortbytradetime.first = true
                                            sortDownImage_tradetime.opacity = 0
                                            sortUpImage_tradetime.opacity = 0
                                            //reset quantitypersent column
                                            sortbyquantitypersent.first = true
                                            sortDownImage_quantitypersent.opacity = 0
                                            sortUpImage_quantitypersent.opacity = 0
                                            //reset priceearningsratio column
                                            sortbypriceearningsratio.first = true
                                            sortDownImage_priceearningsratio.opacity = 0
                                            sortUpImage_priceearningsratio.opacity = 0
                                            //reset pbv column
                                            sortbypbv.first = true
                                            sortDownImage_pbv.opacity = 0
                                            sortUpImage_pbv.opacity = 0
                                            //
                                            iSortField = 25
                                            iSortMode = 1
                                            myQuotesList.DisplayQuotesList(0,iListNum,iListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                    }
                                }
                            }//endof mousearea
                        }

                        Rectangle {

                            id:tradetimeTitleCotainer

                            x: 1200
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {
                                id: tradetimeTitle
                                text: "换手%"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof tradetimeTitle

                            Image {
                                id: sortDownImage_tradetime
                                source: "images/sort_down.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 98
                                opacity: 0
                            }

                            Image {
                                id: sortUpImage_tradetime
                                source: "images/sort_up.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 98
                                opacity: 0
                            }

                            MouseArea {

                                id: sortbytradetime

                                anchors.fill: parent
                                property bool first: true

                                onClicked: {
                                    if (iListNum == 5) {
                                        if (first){
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortUpImage_raiserate.opacity = 0
                                            sortDownImage_raiserate.opacity = 0
                                            //reset dealquantity column
                                            sortbydealquantity.first = true
                                            sortDownImage_dealquantity.opacity = 0
                                            sortUpImage_dealquantity.opacity = 0
                                            //reset dealquote column
                                            sortbydealquote.first = true
                                            sortDownImage_dealquote.opacity = 0
                                            sortUpImage_dealquote.opacity = 0
                                            //reset pricechangeratio column
                                            sortbypricechangeratio.first = true
                                            sortDownImage_pricechangeratio.opacity = 0
                                            sortUpImage_pricechangeratio.opacity = 0
                                            //reset raisespeed column
                                            sortbyraisespeed.first = true
                                            sortDownImage_raisespeed.opacity = 0
                                            sortUpImage_raisespeed.opacity = 0
                                            //set current
                                            sortDownImage_tradetime.opacity = 1
                                            sortUpImage_tradetime.opacity = 0
                                            //reset quantitypersent column
                                            sortbyquantitypersent.first = true
                                            sortDownImage_quantitypersent.opacity = 0
                                            sortUpImage_quantitypersent.opacity = 0
                                            //reset priceearningsratio column
                                            sortbypriceearningsratio.first = true
                                            sortDownImage_priceearningsratio.opacity = 0
                                            sortUpImage_priceearningsratio.opacity = 0
                                            //reset pbv column
                                            sortbypbv.first = true
                                            sortDownImage_pbv.opacity = 0
                                            sortUpImage_pbv.opacity = 0
                                            //
                                            iSortField = 21
                                            iSortMode = 0
                                            myQuotesList.DisplayQuotesList(0,iListNum,iListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                        else
                                        {
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortUpImage_raiserate.opacity = 0
                                            sortDownImage_raiserate.opacity = 0
                                            //reset dealquantity column
                                            sortbydealquantity.first = true
                                            sortDownImage_dealquantity.opacity = 0
                                            sortUpImage_dealquantity.opacity = 0
                                            //reset dealquote column
                                            sortbydealquote.first = true
                                            sortDownImage_dealquote.opacity = 0
                                            sortUpImage_dealquote.opacity = 0
                                            //reset pricechangeratio column
                                            sortbypricechangeratio.first = true
                                            sortDownImage_pricechangeratio.opacity = 0
                                            sortUpImage_pricechangeratio.opacity = 0
                                            //reset raisespeed column
                                            sortbyraisespeed.first = true
                                            sortDownImage_raisespeed.opacity = 0
                                            sortUpImage_raisespeed.opacity = 0
                                            //set current
                                            sortUpImage_tradetime.opacity = 1
                                            sortDownImage_tradetime.opacity = 0
                                            //reset quantitypersent column
                                            sortbyquantitypersent.first = true
                                            sortDownImage_quantitypersent.opacity = 0
                                            sortUpImage_quantitypersent.opacity = 0
                                            //reset priceearningsratio column
                                            sortbypriceearningsratio.first = true
                                            sortDownImage_priceearningsratio.opacity = 0
                                            sortUpImage_priceearningsratio.opacity = 0
                                            //reset pbv column
                                            sortbypbv.first = true
                                            sortDownImage_pbv.opacity = 0
                                            sortUpImage_pbv.opacity = 0
                                            //
                                            iSortField = 21
                                            iSortMode = 1
                                            myQuotesList.DisplayQuotesList(0,iListNum,iListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                    }
                                }
                            }//endof mousearea
                        }

                        Rectangle {

                            id:quantitypersentTitleCotainer

                            x: 1320
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {
                                id: quantitypersentTitle
                                text: "量比"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof quantitypersentTitle

                            Image {
                                id: sortDownImage_quantitypersent
                                source: "images/sort_down.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 85
                                opacity: 0
                            }

                            Image {
                                id: sortUpImage_quantitypersent
                                source: "images/sort_up.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 85
                                opacity: 0
                            }

                            MouseArea {

                                id: sortbyquantitypersent

                                anchors.fill: parent
                                property bool first: true

                                onClicked: {
                                    if (iListNum == 5) {
                                        if (first){
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortUpImage_raiserate.opacity = 0
                                            sortDownImage_raiserate.opacity = 0
                                            //reset dealquantity column
                                            sortbydealquantity.first = true
                                            sortDownImage_dealquantity.opacity = 0
                                            sortUpImage_dealquantity.opacity = 0
                                            //reset dealquote column
                                            sortbydealquote.first = true
                                            sortDownImage_dealquote.opacity = 0
                                            sortUpImage_dealquote.opacity = 0
                                            //reset pricechangeratio column
                                            sortbypricechangeratio.first = true
                                            sortDownImage_pricechangeratio.opacity = 0
                                            sortUpImage_pricechangeratio.opacity = 0
                                            //reset raisespeed column
                                            sortbyraisespeed.first = true
                                            sortDownImage_raisespeed.opacity = 0
                                            sortUpImage_raisespeed.opacity = 0
                                            //reset tradetime column
                                            sortbytradetime.first = true
                                            sortDownImage_tradetime.opacity = 0
                                            sortUpImage_tradetime.opacity = 0
                                            //set current
                                            sortDownImage_quantitypersent.opacity = 1
                                            sortUpImage_quantitypersent.opacity = 0
                                            //reset priceearningsratio column
                                            sortbypriceearningsratio.first = true
                                            sortDownImage_priceearningsratio.opacity = 0
                                            sortUpImage_priceearningsratio.opacity = 0
                                            //reset pbv column
                                            sortbypbv.first = true
                                            sortDownImage_pbv.opacity = 0
                                            sortUpImage_pbv.opacity = 0
                                            //
                                            iSortField = 20
                                            iSortMode = 0
                                            myQuotesList.DisplayQuotesList(0,iListNum,iListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                        else
                                        {
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortUpImage_raiserate.opacity = 0
                                            sortDownImage_raiserate.opacity = 0
                                            //reset dealquantity column
                                            sortbydealquantity.first = true
                                            sortDownImage_dealquantity.opacity = 0
                                            sortUpImage_dealquantity.opacity = 0
                                            //reset dealquote column
                                            sortbydealquote.first = true
                                            sortDownImage_dealquote.opacity = 0
                                            sortUpImage_dealquote.opacity = 0
                                            //reset pricechangeratio column
                                            sortbypricechangeratio.first = true
                                            sortDownImage_pricechangeratio.opacity = 0
                                            sortUpImage_pricechangeratio.opacity = 0
                                            //reset raisespeed column
                                            sortbyraisespeed.first = true
                                            sortDownImage_raisespeed.opacity = 0
                                            sortUpImage_raisespeed.opacity = 0
                                            //reset tradetime column
                                            sortbytradetime.first = true
                                            sortDownImage_tradetime.opacity = 0
                                            sortUpImage_tradetime.opacity = 0
                                            //set current
                                            sortUpImage_quantitypersent.opacity = 1
                                            sortDownImage_quantitypersent.opacity = 0
                                            //reset priceearningsratio column
                                            sortbypriceearningsratio.first = true
                                            sortDownImage_priceearningsratio.opacity = 0
                                            sortUpImage_priceearningsratio.opacity = 0
                                            //reset pbv column
                                            sortbypbv.first = true
                                            sortDownImage_pbv.opacity = 0
                                            sortUpImage_pbv.opacity = 0
                                            //
                                            iSortField = 20
                                            iSortMode = 1
                                            myQuotesList.DisplayQuotesList(0,iListNum,iListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                    }
                                }
                            }//endof mousearea
                        }

                        Rectangle {

                            id:delegateratioTitleCotainer

                            x: 1440
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {
                                id: delegateratioTitle
                                text: "委比"
                                color: titlecolor
                                width:parent.width
                                height:parent.height

                            }//endof delegateratioTitle
                        }

                        Rectangle {

                            id:priceearningsratioTitleCotainer

                            x: 1560
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {
                                id: priceearningsratioTitle
                                text: "市盈"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof priceearningsratioTitle

                            Image {
                                id: sortDownImage_priceearningsratio
                                source: "images/sort_down.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 85
                                opacity: 0
                            }

                            Image {
                                id: sortUpImage_priceearningsratio
                                source: "images/sort_up.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 85
                                opacity: 0
                            }

                            MouseArea {

                                id: sortbypriceearningsratio

                                anchors.fill: parent
                                property bool first: true

                                onClicked: {
                                    if (iListNum == 5) {
                                        if (first){
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortUpImage_raiserate.opacity = 0
                                            sortDownImage_raiserate.opacity = 0
                                            //reset dealquantity column
                                            sortbydealquantity.first = true
                                            sortDownImage_dealquantity.opacity = 0
                                            sortUpImage_dealquantity.opacity = 0
                                            //reset dealquote column
                                            sortbydealquote.first = true
                                            sortDownImage_dealquote.opacity = 0
                                            sortUpImage_dealquote.opacity = 0
                                            //reset pricechangeratio column
                                            sortbypricechangeratio.first = true
                                            sortDownImage_pricechangeratio.opacity = 0
                                            sortUpImage_pricechangeratio.opacity = 0
                                            //reset raisespeed column
                                            sortbyraisespeed.first = true
                                            sortDownImage_raisespeed.opacity = 0
                                            sortUpImage_raisespeed.opacity = 0
                                            //reset tradetime column
                                            sortbytradetime.first = true
                                            sortDownImage_tradetime.opacity = 0
                                            sortUpImage_tradetime.opacity = 0
                                            //reset quantitypersent column
                                            sortbyquantitypersent.first = true
                                            sortDownImage_quantitypersent.opacity = 0
                                            sortUpImage_quantitypersent.opacity = 0
                                            //set currnet
                                            sortDownImage_priceearningsratio.opacity = 1
                                            sortUpImage_priceearningsratio.opacity = 0
                                            //reset pbv column
                                            sortbypbv.first = true
                                            sortDownImage_pbv.opacity = 0
                                            sortUpImage_pbv.opacity = 0
                                            //
                                            iSortField = 23
                                            iSortMode = 0
                                            myQuotesList.DisplayQuotesList(0,iListNum,iListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                        else
                                        {
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortUpImage_raiserate.opacity = 0
                                            sortDownImage_raiserate.opacity = 0
                                            //reset dealquantity column
                                            sortbydealquantity.first = true
                                            sortDownImage_dealquantity.opacity = 0
                                            sortUpImage_dealquantity.opacity = 0
                                            //reset dealquote column
                                            sortbydealquote.first = true
                                            sortDownImage_dealquote.opacity = 0
                                            sortUpImage_dealquote.opacity = 0
                                            //reset pricechangeratio column
                                            sortbypricechangeratio.first = true
                                            sortDownImage_pricechangeratio.opacity = 0
                                            sortUpImage_pricechangeratio.opacity = 0
                                            //reset raisespeed column
                                            sortbyraisespeed.first = true
                                            sortDownImage_raisespeed.opacity = 0
                                            sortUpImage_raisespeed.opacity = 0
                                            //reset tradetime column
                                            sortbytradetime.first = true
                                            sortDownImage_tradetime.opacity = 0
                                            sortUpImage_tradetime.opacity = 0
                                            //reset quantitypersent column
                                            sortbyquantitypersent.first = true
                                            sortDownImage_quantitypersent.opacity = 0
                                            sortUpImage_quantitypersent.opacity = 0
                                            //set currnet
                                            sortUpImage_priceearningsratio.opacity = 1
                                            sortDownImage_priceearningsratio.opacity = 0
                                            //reset pbv column
                                            sortbypbv.first = true
                                            sortDownImage_pbv.opacity = 0
                                            sortUpImage_pbv.opacity = 0
                                            //
                                            iSortField = 23
                                            iSortMode = 1
                                            myQuotesList.DisplayQuotesList(0,iListNum,iListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                    }
                                }
                            }//endof mousearea
                        }

                        Rectangle {

                            id:pbvTitleCotainer

                            x: 1680
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {
                                id: pbvTitle
                                text: "市净"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof pbvTitle

                            Image {
                                id: sortDownImage_pbv
                                source: "images/sort_down.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 85
                                opacity: 0
                            }

                            Image {
                                id: sortUpImage_pbv
                                source: "images/sort_up.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 85
                                opacity: 0
                            }

                            MouseArea {

                                id: sortbypbv

                                anchors.fill: parent
                                property bool first: true

                                onClicked: {
                                    if (iListNum == 5) {
                                        if (first){
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortUpImage_raiserate.opacity = 0
                                            sortDownImage_raiserate.opacity = 0
                                            //reset dealquantity column
                                            sortbydealquantity.first = true
                                            sortDownImage_dealquantity.opacity = 0
                                            sortUpImage_dealquantity.opacity = 0
                                            //reset dealquote column
                                            sortbydealquote.first = true
                                            sortDownImage_dealquote.opacity = 0
                                            sortUpImage_dealquote.opacity = 0
                                            //reset pricechangeratio column
                                            sortbypricechangeratio.first = true
                                            sortDownImage_pricechangeratio.opacity = 0
                                            sortUpImage_pricechangeratio.opacity = 0
                                            //reset raisespeed column
                                            sortbyraisespeed.first = true
                                            sortDownImage_raisespeed.opacity = 0
                                            sortUpImage_raisespeed.opacity = 0
                                            //reset tradetime column
                                            sortbytradetime.first = true
                                            sortDownImage_tradetime.opacity = 0
                                            sortUpImage_tradetime.opacity = 0
                                            //reset quantitypersent column
                                            sortbyquantitypersent.first = true
                                            sortDownImage_quantitypersent.opacity = 0
                                            sortUpImage_quantitypersent.opacity = 0
                                            //reset priceearningsratio column
                                            sortbypriceearningsratio.first = true
                                            sortDownImage_priceearningsratio.opacity = 0
                                            sortUpImage_priceearningsratio.opacity = 0
                                            //set current
                                            sortDownImage_pbv.opacity = 1
                                            sortUpImage_pbv.opacity = 0
                                            //
                                            iSortField = 24
                                            iSortMode = 0
                                            myQuotesList.DisplayQuotesList(0,iListNum,iListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                        else
                                        {
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortUpImage_raiserate.opacity = 0
                                            sortDownImage_raiserate.opacity = 0
                                            //reset dealquantity column
                                            sortbydealquantity.first = true
                                            sortDownImage_dealquantity.opacity = 0
                                            sortUpImage_dealquantity.opacity = 0
                                            //reset dealquote column
                                            sortbydealquote.first = true
                                            sortDownImage_dealquote.opacity = 0
                                            sortUpImage_dealquote.opacity = 0
                                            //reset pricechangeratio column
                                            sortbypricechangeratio.first = true
                                            sortDownImage_pricechangeratio.opacity = 0
                                            sortUpImage_pricechangeratio.opacity = 0
                                            //reset raisespeed column
                                            sortbyraisespeed.first = true
                                            sortDownImage_raisespeed.opacity = 0
                                            sortUpImage_raisespeed.opacity = 0
                                            //reset tradetime column
                                            sortbytradetime.first = true
                                            sortDownImage_tradetime.opacity = 0
                                            sortUpImage_tradetime.opacity = 0
                                            //reset quantitypersent column
                                            sortbyquantitypersent.first = true
                                            sortDownImage_quantitypersent.opacity = 0
                                            sortUpImage_quantitypersent.opacity = 0
                                            //reset priceearningsratio column
                                            sortbypriceearningsratio.first = true
                                            sortDownImage_priceearningsratio.opacity = 0
                                            sortUpImage_priceearningsratio.opacity = 0
                                            //set current
                                            sortUpImage_pbv.opacity = 1
                                            sortDownImage_pbv.opacity = 0
                                            //
                                            iSortField = 24
                                            iSortMode = 1
                                            myQuotesList.DisplayQuotesList(0,iListNum,iListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                    }
                                }
                            }//endof mousearea
                        }//endof pbvTitleCotainer
                    }//endof flickableTableTitle
                }//endof listTileContainer
            }//endof listTitleRectangle
        }

        ListView {
            id: myListView
            width: 1920
            height: flickableContainer.height-topHeaderRow.height
            orientation: ListView.Vertical
            anchors.top: topHeaderRow.bottom;
            //anchors.bottom: flickableContainer.bottom
            delegate: listDelegate
            model: quotationModel
            clip: true
            //preferredHighlightBegin: 0
            //preferredHighlightEnd: 50
            highlightRangeMode: ListView.StrictlyEnforceRange
            snapMode: ListView.SnapToItem
            smooth: true
            footer:
                Text {
                id: myListViewFooter
                x: flickableContainer.contentX
                textFormat: Text.PlainText
                width: 480
                height: 50
                text: "当前显示第" +  Math.min(leftView.count, (myListView.currentIndex+1)) + "条~第" + Math.max(Math.min(leftView.count, (myListView.currentIndex+1)), (Math.min(Math.ceil(Math.max(myListView.contentHeight - leftView.contentY, 0)/50) + leftView.currentIndex, leftView.count))) + "条"
                color: "white";
                font.pointSize: 16
                horizontalAlignment: Text.AlignHCenter
            }

            onContentYChanged: {
                //console.log("myListView current index changed: " + currentIndex + " " + count + " contentY: " + contentY + " flickableContainer.contentY:" + flickableContainer.contentY)
                if (count % 10 == 0)
                {
                    if (contentY + myListView.height >= contentHeight)
                    {
                        myListViewTimer.running = false
                        myQuotesList.DisplayQuotesList(count + 1, 0x0100, 0, 0, 0)
                    }
                }
            }

            onModelChanged: {
                //if (status != PageStatus.Inactive)
                //{
                //    myListViewTimer.running = true
                //}
            }

            onCountChanged: {
                if (myListViewTimer.running == false)
                {
                }

                if(count > 0)
                {
                    busyInd.visible = false
                    busyInd.running = false
                }
            }


            Timer {
                id: myListViewTimer
                interval: 5000
                running: false
                repeat: true
                onTriggered: {
                    if (myListView.verticalVelocity == 0 && myListViewTimer.running == true)
                    {
                        myQuotesList.DisplayQuotesList(myListView.currentIndex, 0x200, iListRange, iSortField, iSortMode)
                    }
                }
            }

        }


    }
    // left bar
    Item {
        id: leftBar

        anchors.top: parent.top
        anchors.left:parent.left
        anchors.bottom: parent.bottom
        anchors.topMargin: 10
        width: 120;
        height: parent.height

        visible: !busyInd.visible

        ListView {
            id: leftView
            width: leftBar.width;
            height: leftBar.height
            anchors.top: leftHeaderRow.bottom;
            anchors.bottom: leftBar.bottom;
            orientation: ListView.Vertical
            clip:true
            delegate: leftBarDelegate
            model: quotationModel
            interactive: false
            contentY: myListView.contentY
            //preferredHighlightBegin: 0
            //preferredHighlightEnd: 50
            highlightRangeMode: ListView.StrictlyEnforceRange

//            onCurrentIndexChanged: {
//                if (currentIndex + 15 >= count)
//                {
//                    myListViewTimer.running = false
//                    myQuoteslist.DisplayQuotesList(currentIndex,0x0100,iListRange,iSortField,iSortMode)
//                }
//            }
        }
        // left bar header
        Row {
            id: leftHeaderRow
            width: leftBar.width;
            height: 50

            Rectangle{


                id: recCodeandNameTitle
                height: leftHeaderRow.height
                width: leftHeaderRow.width

                gradient: titleGradient

                StockListText {

                    id: fixedTitleText
                    text: "沪深A股"
                    color: titlecolor
                    anchors.fill:  parent
                    height:recCodeandNameTitle.width
                    width:recCodeandNameTitle.height

//                    MouseArea {
//                        id: sortbyCode
//                        anchors.fill: parent
//                        property bool first: true
//                        onClicked: {
//                            if (first){
//                                myQuotesList.DisplayQuotesList(0,iListNum,iListRange,9,1)
//                                first = !first
//                            }
//                            else
//                            {
//                                myQuotesList.DisplayQuotesList(0,iListNum,iListRange,9,0)
//                                first = !first
//                            }
//                        }
//                    }
                }//endof fixedCodeTitle
            }//endof recCodeandNameTitle
        }
    }

    Component {

        id: listDelegate

        Item {

            id: comboListContainer

            width: 1800
            height: 50
            x:120

            Rectangle{

                id: flickableTable
                width: 1800
                height: 50
                color: "black"
                border.color: "#1d1d1d"
                border.width: 2

                MouseArea {

                    id: mouseClick_content
                    anchors.fill: parent
                    onClicked: {
                        myNetworkManager.checkNetworkAvailable2()
                        if (myNetworkManager.stocknetworkstatus === 0)
                        {
                            appWindow.currentstocknameandcode = name
                            myListViewTimer.running = false
                            pageStack.push(Qt.resolvedUrl("TimeSharing.qml"))
                            myQuotesList.TriggerTimeSharing(index)
                        }
                    }
                }

                StockListText {

                    id: newpriceText
                    x:0
                    width: 120
                    height:50
                    text: newprice
                    color: newpricecolor

                }//endof newpriceText

                StockListText {

                    id: raiserateText
                    x:120
                    width: 120
                    height:50
                    text: raiserate
                    color: raiseratecolor

                }//endof raiserateText

                StockListText {
                    id: raiseamountText
                    x:240
                    width: 120
                    height:50
                    text: raiseamount
                    color: raiseamountcolor
                }//endof raiseamountText


                StockListText {
                    id: yesterdaypriceText
                    x:360
                    width: 120
                    height: 50
                    text: yesterdayprice
                    color: yesterdaypricecolor
                }//endof yesterdaypriceText

                StockListText {

                    id: dealquantityText
                    x:480
                    width: 120
                    height: 50
                    text: dealquantity
                    color: dealquantitycolor

                }//endof dealquantityText

                StockListText {
                    id: dealquoteText
                    x:600
                    width: 120
                    height: 50
                    text: dealquote
                    color: dealquotecolor
                }//endof dealquoteText


                StockListText {

                    id: maxpriceText
                    x:720
                    width: 120
                    height: 50
                    text: maxprice
                    color: maxpricecolor

                }//endof maxpriceText

                StockListText {

                    id: minpriceText
                    x: 840
                    width: 120
                    height: 50
                    text: minprice
                    color: minpricecolor
                }//endof minpriceText

                StockListText {

                    id: pricechangeratioText
                    x: 960
                    width: 120
                    height: 50
                    text: pricechangeratio
                    color: pricechangeratiocolor

                }//endof pricechangeratioText

                StockListText {
                    id: raisespeedText
                    x: 1080
                    width: 120
                    height: 50
                    text: raisespeed
                    color: raisespeedcolor
                }//endof raisespeedText

                StockListText {

                    id: tradetimeText
                    x: 1200
                    width: 120
                    height: 50
                    text: tradetime
                    color: tradetimecolor
                }//endof tradetimeText

                StockListText {

                    id: quantitypersentText
                    x: 1320
                    width: 120
                    height: 50
                    text: quantitypersent
                    color: quantitypersentcolor

                }//endof quantitypersentText


                StockListText {

                    id: delegateratioText
                    x: 1440
                    width: 120
                    height: 50
                    text: delegateratio
                    color: delegateratiocolor
                }//endof delegateratioText

                StockListText {

                    id: priceearningsratioText
                    x: 1560
                    width: 120
                    height: 50
                    text: priceearningsratio
                    color: priceearningsratiocolor
                }//endof priceearningsratioText

                StockListText {

                    id: pbvText
                    x: 1680
                    width: 120
                    height: 50
                    text: pbv
                    color: pbvcolor

                }//endof pbvText

            }//flickableTable

        }//endof comboListContainer

    }//endof comboListDelegate

    Component {

        id: leftBarDelegate

        Item {

            id: leftcomboListContainer

            width: 120
            height: 50

            Rectangle{

                id: recCodeandName

                width: 120
                height: 50
                color: "black"
                border.color: "#1d1d1d"
                border.width: 2

                MouseArea {

                    id: mouseClick_code
                    anchors.fill: parent
                    onClicked: {
                        myNetworkManager.checkNetworkAvailable2()
                        if (myNetworkManager.stocknetworkstatus === 0)
                        {
                            appWindow.currentstocknameandcode = name
                            myListViewTimer.running = false
                            pageStack.push(Qt.resolvedUrl("TimeSharing.qml"))
                            myQuotesList.TriggerTimeSharing(index)
                        }
                    }
                }

                StockListText {
                    id: fixedBodyTextName
                    text: (name.length >= 5) ?  name.substring(0,4) + ".." : name
                    color: "white"//namecolor
                    height:25
                    width:120
                }

                Text {
                    id: fixedBodyTextCode
                    text: code
                    font.pixelSize: 20
                    color: codecolor
                    y:25
                    verticalAlignment: Text.AlignVCenter
                    horizontalAlignment: Text.AlignHCenter
                    height:25
                    width: 120
                }

            }//endof recCodeandName
        }
    }


    Component.onCompleted: {
        //console.log("!!!---comboListviewBackground compeleted")
    }

    Component.onDestruction: {
        //console.log("!!!---comboListviewBackground onDestruction !!!!!")
    }
}//endof comboListViewContainer
