import QtQuick 1.1
import com.nokia.meego 1.0

Rectangle {
    id: decisionSystemListviewBackground
    color: "black"
    anchors.top: gwTitleBar.bottom
    anchors.left: parent.left
    anchors.right: parent.right
    anchors.bottom: parent.bottom

    property int dsListRange: 0
    property int dsListNum: 30
    property int ienum : 0
    property color titlecolor: "#d7d7d7"
    property alias dstitlename : dsfixedCodeTitle.text
    property alias pstitlename : psfixedCodeTitle.text
    property int iSortField : 10
    property int iSortMode: 0

    BusyIndicator {
        id: busyInd
        anchors.centerIn: parent
        platformStyle: BusyIndicatorStyle {size: "large"}
        running: true
        visible: true
    }

    Flickable {

        id: dsFlickableContainer
        anchors.fill: parent
        anchors.topMargin: 10
        width: parent.width
        height: parent.height

        contentWidth: ienum == 0 ? 1200 : 840
        contentHeight: dsListView.height
        flickableDirection: Flickable.HorizontalFlick
        boundsBehavior:Flickable.StopAtBounds

        visible: !busyInd.visible

        Row {
            id: dsTopHeaderRow
            x:120
            width: 1080
            height: 50

            Rectangle {
                id: dsListTitleRectangle
                width:dsTopHeaderRow.width
                height: dsTopHeaderRow.height

                Item {
                    id: dsListTileContainer
                    width: dsListTitleRectangle.width
                    height: dsListTitleRectangle.height

                    Rectangle{
                        id: dsFlickableTableTitle
                        x:0
                        height: dsListTileContainer.height
                        width: dsListTileContainer.width

                        gradient: Gradient {
                            id: dsTitleGradient
                            GradientStop {position: 0.0; color:"#636363"}
                            GradientStop {position: 0.6; color:"#131313"}
                            GradientStop {position: 0.7; color:"black"}
                            GradientStop {position: 1.0; color:"black"}
                        }

                        Rectangle {
                            id:todayddxTitleCotainer
                            x: 0
                            width: 120
                            height: parent.height
                            gradient: dsTitleGradient

                            StockListText {
                                id: todayddxTitle
                                text: "当日ddx"
                                color: titlecolor
                                width: parent.width
                                height:parent.height
                            }//endof todayddxTitle

                            Image {
                                id: sortDownImage_todayddx
                                source: "images/sort_down.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 103
                                opacity: ienum == 0 ? 1 : 0
                            }

                            Image {
                                id: sortUpImage_todayddx
                                source: "images/sort_up.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 103
                                opacity: 0
                            }

                            MouseArea {
                                id: sortbyTodayddx
                                anchors.fill: parent
                                property bool first: false

                                onClicked: {
                                    if (ienum == 0)
                                    {
                                        if (first){
                                            //set current
                                            sortDownImage_todayddx.opacity = 1
                                            sortUpImage_todayddx.opacity = 0
                                            //reset Todayddy column
                                            sortbyTodayddy.first = true
                                            sortDownImage_todayddy.opacity = 0
                                            sortUpImage_todayddy.opacity = 0
                                            //reset Todayddz column
                                            sortbyTodayddz.first = true
                                            sortDownImage_todayddz.opacity = 0
                                            sortUpImage_todayddz.opacity = 0
                                            //reset Sixtydayddx column
                                            sortbySixtydayddx.first = true
                                            sortDownImage_sixtydaysddx.opacity = 0
                                            sortUpImage_sixtydaysddx.opacity = 0
                                            //reset Sixtydayddy column
                                            sortbySixtydaysddy.first = true
                                            sortDownImage_sixtydaysddy.opacity = 0
                                            sortUpImage_sixtydaysddy.opacity = 0
                                            //reset nbredday10ddx column
                                            sortbyNbredday10ddx.first = true
                                            sortDownImage_nbredday10ddx.opacity = 0
                                            sortUpImage_nbredday10ddx.opacity = 0
                                            //reset Nbcontreddays10ddx column
                                            sortbyNbcontreddays10ddx.first = true
                                            sortDownImage_nbcontreddays10ddx.opacity = 0
                                            sortUpImage_nbcontreddays10ddx.opacity = 0
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortDownImage_raiserate.opacity = 0
                                            sortUpImage_raiserate.opacity = 0
                                            //
                                            iSortField = 10
                                            iSortMode = 0
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                        else
                                        {
                                            //set current
                                            sortUpImage_todayddx.opacity = 1
                                            sortDownImage_todayddx.opacity = 0
                                            //reset Todayddy column
                                            sortbyTodayddy.first = true
                                            sortDownImage_todayddy.opacity = 0
                                            sortUpImage_todayddy.opacity = 0
                                            //reset Todayddz column
                                            sortbyTodayddz.first = true
                                            sortDownImage_todayddz.opacity = 0
                                            sortUpImage_todayddz.opacity = 0
                                            //reset Sixtydayddx column
                                            sortbySixtydayddx.first = true
                                            sortDownImage_sixtydaysddx.opacity = 0
                                            sortUpImage_sixtydaysddx.opacity = 0
                                            //reset Sixtydayddy column
                                            sortbySixtydaysddy.first = true
                                            sortDownImage_sixtydaysddy.opacity = 0
                                            sortUpImage_sixtydaysddy.opacity = 0
                                            //reset nbredday10ddx column
                                            sortbyNbredday10ddx.first = true
                                            sortDownImage_nbredday10ddx.opacity = 0
                                            sortUpImage_nbredday10ddx.opacity = 0
                                            //reset Nbcontreddays10ddx column
                                            sortbyNbcontreddays10ddx.first = true
                                            sortDownImage_nbcontreddays10ddx.opacity = 0
                                            sortUpImage_nbcontreddays10ddx.opacity = 0
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortDownImage_raiserate.opacity = 0
                                            sortUpImage_raiserate.opacity = 0
                                            //
                                            iSortField = 10
                                            iSortMode = 1
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                    }
                                }
                            }//endof mousearea
                        }

                        Rectangle {
                            id:todayddyTitleCotainer
                            x: 120
                            width: 120
                            height: parent.height
                            gradient: dsTitleGradient

                            StockListText {
                                id: todayddyTitle
                                text: "当日ddy"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof todayddyTitle

                            Image {
                                id: sortDownImage_todayddy
                                source: "images/sort_down.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 103
                                opacity: 0
                            }

                            Image {
                                id: sortUpImage_todayddy
                                source: "images/sort_up.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 103
                                opacity: 0
                            }

                            MouseArea {
                                id: sortbyTodayddy
                                anchors.fill: parent
                                property bool first: true

                                onClicked: {
                                    if (ienum == 0)
                                    {
                                        if (first){
                                            //reset todayddx column
                                            sortbyTodayddx.first = true
                                            sortDownImage_todayddx.opacity = 0
                                            sortUpImage_todayddx.opacity = 0
                                            //set current
                                            sortDownImage_todayddy.opacity = 1
                                            sortUpImage_todayddy.opacity = 0
                                            //reset Todayddz column
                                            sortbyTodayddz.first = true
                                            sortDownImage_todayddz.opacity = 0
                                            sortUpImage_todayddz.opacity = 0
                                            //reset Sixtydayddx column
                                            sortbySixtydayddx.first = true
                                            sortDownImage_sixtydaysddx.opacity = 0
                                            sortUpImage_sixtydaysddx.opacity = 0
                                            //reset Sixtydayddy column
                                            sortbySixtydaysddy.first = true
                                            sortDownImage_sixtydaysddy.opacity = 0
                                            sortUpImage_sixtydaysddy.opacity = 0
                                            //reset nbredday10ddx column
                                            sortbyNbredday10ddx.first = true
                                            sortDownImage_nbredday10ddx.opacity = 0
                                            sortUpImage_nbredday10ddx.opacity = 0
                                            //reset Nbcontreddays10ddx column
                                            sortbyNbcontreddays10ddx.first = true
                                            sortDownImage_nbcontreddays10ddx.opacity = 0
                                            sortUpImage_nbcontreddays10ddx.opacity = 0
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortDownImage_raiserate.opacity = 0
                                            sortUpImage_raiserate.opacity = 0
                                            //
                                            iSortField = 11
                                            iSortMode = 0
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                        else
                                        {
                                            //reset todayddx column
                                            sortbyTodayddx.first = true
                                            sortDownImage_todayddx.opacity = 0
                                            sortUpImage_todayddx.opacity = 0
                                            //set current
                                            sortDownImage_todayddy.opacity = 0
                                            sortUpImage_todayddy.opacity = 1
                                            //reset Todayddz column
                                            sortbyTodayddz.first = true
                                            sortDownImage_todayddz.opacity = 0
                                            sortUpImage_todayddz.opacity = 0
                                            //reset Sixtydayddx column
                                            sortbySixtydayddx.first = true
                                            sortDownImage_sixtydaysddx.opacity = 0
                                            sortUpImage_sixtydaysddx.opacity = 0
                                            //reset Sixtydayddy column
                                            sortbySixtydaysddy.first = true
                                            sortDownImage_sixtydaysddy.opacity = 0
                                            sortUpImage_sixtydaysddy.opacity = 0
                                            //reset nbredday10ddx column
                                            sortbyNbredday10ddx.first = true
                                            sortDownImage_nbredday10ddx.opacity = 0
                                            sortUpImage_nbredday10ddx.opacity = 0
                                            //reset Nbcontreddays10ddx column
                                            sortbyNbcontreddays10ddx.first = true
                                            sortDownImage_nbcontreddays10ddx.opacity = 0
                                            sortUpImage_nbcontreddays10ddx.opacity = 0
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortDownImage_raiserate.opacity = 0
                                            sortUpImage_raiserate.opacity = 0
                                            //
                                            iSortField = 11
                                            iSortMode = 1
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                    }
                                }
                            }//endof mousearea
                        }

                        Rectangle {
                            id:todayddzTitleCotainer
                            x: 240
                            width: 120
                            height: parent.height
                            gradient: dsTitleGradient

                            StockListText {
                                id: todayddzTitle
                                text: "当日ddz"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof todayddzTitle

                            Image {
                                id: sortDownImage_todayddz
                                source: "images/sort_down.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 103
                                opacity: 0
                            }

                            Image {
                                id: sortUpImage_todayddz
                                source: "images/sort_up.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 103
                                opacity: 0
                            }

                            MouseArea {
                                id: sortbyTodayddz
                                anchors.fill: parent
                                property bool first: true

                                onClicked: {
                                    if (ienum == 0)
                                    {
                                        if (first){
                                            //reset todayddx column
                                            sortbyTodayddx.first = true
                                            sortDownImage_todayddx.opacity = 0
                                            sortUpImage_todayddx.opacity = 0
                                            //reset Todayddz column
                                            sortbyTodayddy.first = true
                                            sortDownImage_todayddy.opacity = 0
                                            sortUpImage_todayddy.opacity = 0
                                            //set current
                                            sortDownImage_todayddz.opacity = 1
                                            sortUpImage_todayddz.opacity = 0
                                            //reset Sixtydayddx column
                                            sortbySixtydayddx.first = true
                                            sortDownImage_sixtydaysddx.opacity = 0
                                            sortUpImage_sixtydaysddx.opacity = 0
                                            //reset Sixtydayddy column
                                            sortbySixtydaysddy.first = true
                                            sortDownImage_sixtydaysddy.opacity = 0
                                            sortUpImage_sixtydaysddy.opacity = 0
                                            //reset nbredday10ddx column
                                            sortbyNbredday10ddx.first = true
                                            sortDownImage_nbredday10ddx.opacity = 0
                                            sortUpImage_nbredday10ddx.opacity = 0
                                            //reset Nbcontreddays10ddx column
                                            sortbyNbcontreddays10ddx.first = true
                                            sortDownImage_nbcontreddays10ddx.opacity = 0
                                            sortUpImage_nbcontreddays10ddx.opacity = 0
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortDownImage_raiserate.opacity = 0
                                            sortUpImage_raiserate.opacity = 0
                                            //
                                            iSortField = 12
                                            iSortMode = 0
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                        else
                                        {
                                            //reset todayddx column
                                            sortbyTodayddx.first = true
                                            sortDownImage_todayddx.opacity = 0
                                            sortUpImage_todayddx.opacity = 0
                                            //reset Todayddz column
                                            sortbyTodayddy.first = true
                                            sortDownImage_todayddy.opacity = 0
                                            sortUpImage_todayddy.opacity = 0
                                            //set current
                                            sortDownImage_todayddz.opacity = 0
                                            sortUpImage_todayddz.opacity = 1
                                            //reset Sixtydayddx column
                                            sortbySixtydayddx.first = true
                                            sortDownImage_sixtydaysddx.opacity = 0
                                            sortUpImage_sixtydaysddx.opacity = 0
                                            //reset Sixtydayddy column
                                            sortbySixtydaysddy.first = true
                                            sortDownImage_sixtydaysddy.opacity = 0
                                            sortUpImage_sixtydaysddy.opacity = 0
                                            //reset nbredday10ddx column
                                            sortbyNbredday10ddx.first = true
                                            sortDownImage_nbredday10ddx.opacity = 0
                                            sortUpImage_nbredday10ddx.opacity = 0
                                            //reset Nbcontreddays10ddx column
                                            sortbyNbcontreddays10ddx.first = true
                                            sortDownImage_nbcontreddays10ddx.opacity = 0
                                            sortUpImage_nbcontreddays10ddx.opacity = 0
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortDownImage_raiserate.opacity = 0
                                            sortUpImage_raiserate.opacity = 0
                                            //
                                            iSortField = 12
                                            iSortMode = 1
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                    }
                                }
                            }//endof mousearea
                        }

                        Rectangle {
                            id:sixtydaysddxTitleCotainer
                            x: 360
                            width: 120
                            height: parent.height
                            gradient: dsTitleGradient

                            StockListText {
                                id: sixtydaysddxTitle
                                text: "60日ddx"
                                color: titlecolor
                                width: parent.width
                                height:parent.height
                            }//endof sixtydaysddxTitle

                            Image {
                                id: sortDownImage_sixtydaysddx
                                source: "images/sort_down.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 103
                                opacity: 0
                            }

                            Image {
                                id: sortUpImage_sixtydaysddx
                                source: "images/sort_up.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 103
                                opacity: 0
                            }

                            MouseArea {
                                id: sortbySixtydayddx
                                anchors.fill: parent
                                property bool first: true

                                onClicked: {
                                    if (ienum == 0)
                                    {
                                        if (first){
                                            //reset todayddx column
                                            sortbyTodayddx.first = true
                                            sortDownImage_todayddx.opacity = 0
                                            sortUpImage_todayddx.opacity = 0
                                            //reset Todayddy column
                                            sortbyTodayddy.first = true
                                            sortDownImage_todayddy.opacity = 0
                                            sortUpImage_todayddy.opacity = 0
                                            //reset Todayddz column
                                            sortbyTodayddz.first = true
                                            sortDownImage_todayddz.opacity = 0
                                            sortUpImage_todayddz.opacity = 0
                                            //set current
                                            sortDownImage_sixtydaysddx.opacity = 1
                                            sortUpImage_sixtydaysddx.opacity = 0
                                            //reset Sixtydayddy column
                                            sortbySixtydaysddy.first = true
                                            sortDownImage_sixtydaysddy.opacity = 0
                                            sortUpImage_sixtydaysddy.opacity = 0
                                            //reset nbredday10ddx column
                                            sortbyNbredday10ddx.first = true
                                            sortDownImage_nbredday10ddx.opacity = 0
                                            sortUpImage_nbredday10ddx.opacity = 0
                                            //reset Nbcontreddays10ddx column
                                            sortbyNbcontreddays10ddx.first = true
                                            sortDownImage_nbcontreddays10ddx.opacity = 0
                                            sortUpImage_nbcontreddays10ddx.opacity = 0
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortDownImage_raiserate.opacity = 0
                                            sortUpImage_raiserate.opacity = 0
                                            //
                                            iSortField = 13
                                            iSortMode = 0
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                        else
                                        {
                                            //reset todayddx column
                                            sortbyTodayddx.first = true
                                            sortDownImage_todayddx.opacity = 0
                                            sortUpImage_todayddx.opacity = 0
                                            //reset Todayddy column
                                            sortbyTodayddy.first = true
                                            sortDownImage_todayddy.opacity = 0
                                            sortUpImage_todayddy.opacity = 0
                                            //reset Todayddz column
                                            sortbyTodayddz.first = true
                                            sortDownImage_todayddz.opacity = 0
                                            sortUpImage_todayddz.opacity = 0
                                            //set current
                                            sortDownImage_sixtydaysddx.opacity = 0
                                            sortUpImage_sixtydaysddx.opacity = 1
                                            //reset Sixtydayddy column
                                            sortbySixtydaysddy.first = true
                                            sortDownImage_sixtydaysddy.opacity = 0
                                            sortUpImage_sixtydaysddy.opacity = 0
                                            //reset nbredday10ddx column
                                            sortbyNbredday10ddx.first = true
                                            sortDownImage_nbredday10ddx.opacity = 0
                                            sortUpImage_nbredday10ddx.opacity = 0
                                            //reset Nbcontreddays10ddx column
                                            sortbyNbcontreddays10ddx.first = true
                                            sortDownImage_nbcontreddays10ddx.opacity = 0
                                            sortUpImage_nbcontreddays10ddx.opacity = 0
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortDownImage_raiserate.opacity = 0
                                            sortUpImage_raiserate.opacity = 0
                                            //
                                            iSortField = 13
                                            iSortMode = 1
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                    }
                                }
                            }//endof mousearea
                        }

                        Rectangle {
                            id:sixtydaysddyTitleCotainer
                            x: 480
                            width: 120
                            height: parent.height
                            gradient: dsTitleGradient

                            StockListText {
                                id: sixtydaysddyTitle
                                text: "60日ddy"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof sixtydaysddyTitle

                            Image {
                                id: sortDownImage_sixtydaysddy
                                source: "images/sort_down.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 103
                                opacity: 0
                            }

                            Image {
                                id: sortUpImage_sixtydaysddy
                                source: "images/sort_up.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 103
                                opacity: 0
                            }

                            MouseArea {
                                id: sortbySixtydaysddy
                                anchors.fill: parent
                                property bool first: true

                                onClicked: {
                                    if (ienum == 0)
                                    {
                                        if (first){
                                            //reset todayddx column
                                            sortbyTodayddx.first = true
                                            sortDownImage_todayddx.opacity = 0
                                            sortUpImage_todayddx.opacity = 0
                                            //reset Todayddy column
                                            sortbyTodayddy.first = true
                                            sortDownImage_todayddy.opacity = 0
                                            sortUpImage_todayddy.opacity = 0
                                            //reset Todayddz column
                                            sortbyTodayddz.first = true
                                            sortDownImage_todayddz.opacity = 0
                                            sortUpImage_todayddz.opacity = 0
                                            //reset Sixtydayddx column
                                            sortbySixtydayddx.first = true
                                            sortDownImage_sixtydaysddx.opacity = 0
                                            sortUpImage_sixtydaysddx.opacity = 0
                                            //set current
                                            sortDownImage_sixtydaysddy.opacity = 1
                                            sortUpImage_sixtydaysddy.opacity = 0
                                            //reset nbredday10ddx column
                                            sortbyNbredday10ddx.first = true
                                            sortDownImage_nbredday10ddx.opacity = 0
                                            sortUpImage_nbredday10ddx.opacity = 0
                                            //reset Nbcontreddays10ddx column
                                            sortbyNbcontreddays10ddx.first = true
                                            sortDownImage_nbcontreddays10ddx.opacity = 0
                                            sortUpImage_nbcontreddays10ddx.opacity = 0
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortDownImage_raiserate.opacity = 0
                                            sortUpImage_raiserate.opacity = 0
                                            //
                                            iSortField = 14
                                            iSortMode = 0
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                        else
                                        {
                                            //reset todayddx column
                                            sortbyTodayddx.first = true
                                            sortDownImage_todayddx.opacity = 0
                                            sortUpImage_todayddx.opacity = 0
                                            //reset Todayddy column
                                            sortbyTodayddy.first = true
                                            sortDownImage_todayddy.opacity = 0
                                            sortUpImage_todayddy.opacity = 0
                                            //reset Todayddz column
                                            sortbyTodayddz.first = true
                                            sortDownImage_todayddz.opacity = 0
                                            sortUpImage_todayddz.opacity = 0
                                            //reset Sixtydayddx column
                                            sortbySixtydayddx.first = true
                                            sortDownImage_sixtydaysddx.opacity = 0
                                            sortUpImage_sixtydaysddx.opacity = 0
                                            //set current
                                            sortDownImage_sixtydaysddy.opacity = 0
                                            sortUpImage_sixtydaysddy.opacity = 1
                                            //reset nbredday10ddx column
                                            sortbyNbredday10ddx.first = true
                                            sortDownImage_nbredday10ddx.opacity = 0
                                            sortUpImage_nbredday10ddx.opacity = 0
                                            //reset Nbcontreddays10ddx column
                                            sortbyNbcontreddays10ddx.first = true
                                            sortDownImage_nbcontreddays10ddx.opacity = 0
                                            sortUpImage_nbcontreddays10ddx.opacity = 0
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortDownImage_raiserate.opacity = 0
                                            sortUpImage_raiserate.opacity = 0
                                            //
                                            iSortField = 14
                                            iSortMode = 1
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                    }
                                }
                            }//endof mousearea
                        }

                        Rectangle {
                            id:nbredday10ddxTitleCotainer
                            x: 600
                            width: 120
                            height: parent.height
                            gradient: dsTitleGradient

                            Text {
                                id: nbredday10ddxTitle
                                text: "10日飘红"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                                textFormat: Text.PlainText
                                font.pixelSize: 25
                                verticalAlignment: Text.AlignVCenter
                            }//endof nbredday10ddxTitle

                            Image {
                                id: sortDownImage_nbredday10ddx
                                source: "images/sort_down.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 103
                                opacity: 0
                            }

                            Image {
                                id: sortUpImage_nbredday10ddx
                                source: "images/sort_up.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 103
                                opacity: 0
                            }

                            MouseArea {
                                id: sortbyNbredday10ddx
                                anchors.fill: parent
                                property bool first: true

                                onClicked: {
                                    if (ienum == 0)
                                    {
                                        if (first){
                                            //reset todayddx column
                                            sortbyTodayddx.first = true
                                            sortDownImage_todayddx.opacity = 0
                                            sortUpImage_todayddx.opacity = 0
                                            //reset Todayddy column
                                            sortbyTodayddy.first = true
                                            sortDownImage_todayddy.opacity = 0
                                            sortUpImage_todayddy.opacity = 0
                                            //reset Todayddz column
                                            sortbyTodayddz.first = true
                                            sortDownImage_todayddz.opacity = 0
                                            sortUpImage_todayddz.opacity = 0
                                            //reset Sixtydayddx column
                                            sortbySixtydayddx.first = true
                                            sortDownImage_sixtydaysddx.opacity = 0
                                            sortUpImage_sixtydaysddx.opacity = 0
                                            //reset sixtydaysddy column
                                            sortbySixtydaysddy.first = true
                                            sortDownImage_sixtydaysddy.opacity = 0
                                            sortUpImage_sixtydaysddy.opacity = 0
                                            //set current
                                            sortDownImage_nbredday10ddx.opacity = 1
                                            sortUpImage_nbredday10ddx.opacity = 0
                                            //reset Nbcontreddays10ddx column
                                            sortbyNbcontreddays10ddx.first = true
                                            sortDownImage_nbcontreddays10ddx.opacity = 0
                                            sortUpImage_nbcontreddays10ddx.opacity = 0
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortDownImage_raiserate.opacity = 0
                                            sortUpImage_raiserate.opacity = 0
                                            //
                                            iSortField = 15
                                            iSortMode = 0
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                        else
                                        {
                                            //reset todayddx column
                                            sortbyTodayddx.first = true
                                            sortDownImage_todayddx.opacity = 0
                                            sortUpImage_todayddx.opacity = 0
                                            //reset Todayddy column
                                            sortbyTodayddy.first = true
                                            sortDownImage_todayddy.opacity = 0
                                            sortUpImage_todayddy.opacity = 0
                                            //reset Todayddz column
                                            sortbyTodayddz.first = true
                                            sortDownImage_todayddz.opacity = 0
                                            sortUpImage_todayddz.opacity = 0
                                            //reset Sixtydayddx column
                                            sortbySixtydayddx.first = true
                                            sortDownImage_sixtydaysddx.opacity = 0
                                            sortUpImage_sixtydaysddx.opacity = 0
                                            //reset sixtydaysddy column
                                            sortbySixtydaysddy.first = true
                                            sortDownImage_sixtydaysddy.opacity = 0
                                            sortUpImage_sixtydaysddy.opacity = 0
                                            //set current
                                            sortDownImage_nbredday10ddx.opacity = 0
                                            sortUpImage_nbredday10ddx.opacity = 1
                                            //reset Nbcontreddays10ddx column
                                            sortbyNbcontreddays10ddx.first = true
                                            sortDownImage_nbcontreddays10ddx.opacity = 0
                                            sortUpImage_nbcontreddays10ddx.opacity = 0
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortDownImage_raiserate.opacity = 0
                                            sortUpImage_raiserate.opacity = 0
                                            //
                                            iSortField = 15
                                            iSortMode = 1
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                    }
                                }
                            }//endof mousearea

                        }

                        Rectangle {
                            id:nbcontreddays10ddxTitleCotainer
                            x: 720
                            width: 120
                            height: parent.height
                            gradient: dsTitleGradient

                            Text {
                                id: nbcontreddays10ddxTitle
                                text: "连续飘红"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                                textFormat: Text.PlainText
                                font.pixelSize: 25
                                verticalAlignment: Text.AlignVCenter
                            }//endof nbcontreddays10ddxTitle

                            Image {
                                id: sortDownImage_nbcontreddays10ddx
                                source: "images/sort_down.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 103
                                opacity: 0
                            }

                            Image {
                                id: sortUpImage_nbcontreddays10ddx
                                source: "images/sort_up.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 103
                                opacity: 0
                            }

                            MouseArea {
                                id: sortbyNbcontreddays10ddx
                                anchors.fill: parent
                                property bool first: true

                                onClicked: {
                                    if (ienum == 0)
                                    {
                                        if (first){
                                            //reset todayddx column
                                            sortbyTodayddx.first = true
                                            sortDownImage_todayddx.opacity = 0
                                            sortUpImage_todayddx.opacity = 0
                                            //reset Todayddy column
                                            sortbyTodayddy.first = true
                                            sortDownImage_todayddy.opacity = 0
                                            sortUpImage_todayddy.opacity = 0
                                            //reset Todayddz column
                                            sortbyTodayddz.first = true
                                            sortDownImage_todayddz.opacity = 0
                                            sortUpImage_todayddz.opacity = 0
                                            //reset Sixtydayddx column
                                            sortbySixtydayddx.first = true
                                            sortDownImage_sixtydaysddx.opacity = 0
                                            sortUpImage_sixtydaysddx.opacity = 0
                                            //reset sixtydaysddy column
                                            sortbySixtydaysddy.first = true
                                            sortDownImage_sixtydaysddy.opacity = 0
                                            sortUpImage_sixtydaysddy.opacity = 0
                                            //reset nbredday10ddx column
                                            sortbyNbredday10ddx.first = true
                                            sortDownImage_nbredday10ddx.opacity = 0
                                            sortUpImage_nbredday10ddx.opacity = 0
                                            //set current
                                            sortDownImage_nbcontreddays10ddx.opacity = 1
                                            sortUpImage_nbcontreddays10ddx.opacity = 0
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortDownImage_raiserate.opacity = 0
                                            sortUpImage_raiserate.opacity = 0
                                            //
                                            iSortField = 16
                                            iSortMode = 0
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                        else
                                        {
                                            //reset todayddx column
                                            sortbyTodayddx.first = true
                                            sortDownImage_todayddx.opacity = 0
                                            sortUpImage_todayddx.opacity = 0
                                            //reset Todayddy column
                                            sortbyTodayddy.first = true
                                            sortDownImage_todayddy.opacity = 0
                                            sortUpImage_todayddy.opacity = 0
                                            //reset Todayddz column
                                            sortbyTodayddz.first = true
                                            sortDownImage_todayddz.opacity = 0
                                            sortUpImage_todayddz.opacity = 0
                                            //reset Sixtydayddx column
                                            sortbySixtydayddx.first = true
                                            sortDownImage_sixtydaysddx.opacity = 0
                                            sortUpImage_sixtydaysddx.opacity = 0
                                            //reset sixtydaysddy column
                                            sortbySixtydaysddy.first = true
                                            sortDownImage_sixtydaysddy.opacity = 0
                                            sortUpImage_sixtydaysddy.opacity = 0
                                            //reset nbredday10ddx column
                                            sortbyNbredday10ddx.first = true
                                            sortDownImage_nbredday10ddx.opacity = 0
                                            sortUpImage_nbredday10ddx.opacity = 0
                                            //set current
                                            sortDownImage_nbcontreddays10ddx.opacity = 0
                                            sortUpImage_nbcontreddays10ddx.opacity = 1
                                            //reset newprice column
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortDownImage_raiserate.opacity = 0
                                            sortUpImage_raiserate.opacity = 0
                                            //
                                            iSortField = 16
                                            iSortMode = 1
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                    }
                                }
                            }//endof mousearea
                        }

                        Rectangle {
                            id:newpriceTitleCotainer
                            x: 840
                            width: 120
                            height: parent.height
                            gradient: dsTitleGradient

                            StockListText {
                                id: newpriceTitle
                                text: "最新"
                                color: titlecolor
                                width: parent.width
                                height:parent.height
                            }//endof newpriceTitle

                            Image {
                                id: sortDownImage_newprice
                                source: "images/sort_down.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 85
                                opacity: 0
                            }

                            Image {
                                id: sortUpImage_newprice
                                source: "images/sort_up.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 85
                                opacity: 0
                            }

                            MouseArea {
                                id: sortbyNewprice
                                anchors.fill: parent
                                property bool first: true

                                onClicked: {
                                    if (ienum == 0)
                                    {
                                        if (first){
                                            //reset todayddx column
                                            sortbyTodayddx.first = true
                                            sortDownImage_todayddx.opacity = 0
                                            sortUpImage_todayddx.opacity = 0
                                            //reset Todayddy column
                                            sortbyTodayddy.first = true
                                            sortDownImage_todayddy.opacity = 0
                                            sortUpImage_todayddy.opacity = 0
                                            //reset Todayddz column
                                            sortbyTodayddz.first = true
                                            sortDownImage_todayddz.opacity = 0
                                            sortUpImage_todayddz.opacity = 0
                                            //reset Sixtydayddx column
                                            sortbySixtydayddx.first = true
                                            sortDownImage_sixtydaysddx.opacity = 0
                                            sortUpImage_sixtydaysddx.opacity = 0
                                            //reset sixtydaysddy column
                                            sortbySixtydaysddy.first = true
                                            sortDownImage_sixtydaysddy.opacity = 0
                                            sortUpImage_sixtydaysddy.opacity = 0
                                            //reset nbredday10ddx column
                                            sortbyNbredday10ddx.first = true
                                            sortDownImage_nbredday10ddx.opacity = 0
                                            sortUpImage_nbredday10ddx.opacity = 0
                                            //reset nbcontreddays10ddx column
                                            sortbyNbcontreddays10ddx.first = true
                                            sortDownImage_nbcontreddays10ddx.opacity = 0
                                            sortUpImage_nbcontreddays10ddx.opacity = 0
                                            //set currnet
                                            sortDownImage_newprice.opacity = 1
                                            sortUpImage_newprice.opacity = 0
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortDownImage_raiserate.opacity = 0
                                            sortUpImage_raiserate.opacity = 0
                                            //
                                            iSortField = 4
                                            iSortMode = 0
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                        else
                                        {
                                            //reset todayddx column
                                            sortbyTodayddx.first = true
                                            sortDownImage_todayddx.opacity = 0
                                            sortUpImage_todayddx.opacity = 0
                                            //reset Todayddy column
                                            sortbyTodayddy.first = true
                                            sortDownImage_todayddy.opacity = 0
                                            sortUpImage_todayddy.opacity = 0
                                            //reset Todayddz column
                                            sortbyTodayddz.first = true
                                            sortDownImage_todayddz.opacity = 0
                                            sortUpImage_todayddz.opacity = 0
                                            //reset Sixtydayddx column
                                            sortbySixtydayddx.first = true
                                            sortDownImage_sixtydaysddx.opacity = 0
                                            sortUpImage_sixtydaysddx.opacity = 0
                                            //reset sixtydaysddy column
                                            sortbySixtydaysddy.first = true
                                            sortDownImage_sixtydaysddy.opacity = 0
                                            sortUpImage_sixtydaysddy.opacity = 0
                                            //reset nbredday10ddx column
                                            sortbyNbredday10ddx.first = true
                                            sortDownImage_nbredday10ddx.opacity = 0
                                            sortUpImage_nbredday10ddx.opacity = 0
                                            //reset nbcontreddays10ddx column
                                            sortbyNbcontreddays10ddx.first = true
                                            sortDownImage_nbcontreddays10ddx.opacity = 0
                                            sortUpImage_nbcontreddays10ddx.opacity = 0
                                            //set currnet
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 1
                                            //reset raiserate column
                                            sortbyRaiserate.first = true
                                            sortDownImage_raiserate.opacity = 0
                                            sortUpImage_raiserate.opacity = 0
                                            //
                                            iSortField = 4
                                            iSortMode = 1
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                    }
                                }
                            }//endof mousearea
                        }

                        Rectangle {
                            id:raiserateTitleCotainer
                            x: 960
                            width: 120
                            height: parent.height
                            gradient: dsTitleGradient

                            StockListText {
                                id: raiserateTitle
                                text: "涨幅%"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof raiserateTitle

                            Image {
                                id: sortDownImage_raiserate
                                source: "images/sort_down.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 98
                                opacity: 0
                            }

                            Image {
                                id: sortUpImage_raiserate
                                source: "images/sort_up.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 98
                                opacity: 0
                            }

                            MouseArea {
                                id: sortbyRaiserate
                                anchors.fill: parent
                                property bool first: true

                                onClicked: {
                                    if (ienum == 0)
                                    {
                                        if (first){
                                            //reset todayddx column
                                            sortbyTodayddx.first = true
                                            sortDownImage_todayddx.opacity = 0
                                            sortUpImage_todayddx.opacity = 0
                                            //reset Todayddy column
                                            sortbyTodayddy.first = true
                                            sortDownImage_todayddy.opacity = 0
                                            sortUpImage_todayddy.opacity = 0
                                            //reset Todayddz column
                                            sortbyTodayddz.first = true
                                            sortDownImage_todayddz.opacity = 0
                                            sortUpImage_todayddz.opacity = 0
                                            //reset Sixtydayddx column
                                            sortbySixtydayddx.first = true
                                            sortDownImage_sixtydaysddx.opacity = 0
                                            sortUpImage_sixtydaysddx.opacity = 0
                                            //reset sixtydaysddy column
                                            sortbySixtydaysddy.first = true
                                            sortDownImage_sixtydaysddy.opacity = 0
                                            sortUpImage_sixtydaysddy.opacity = 0
                                            //reset nbredday10ddx column
                                            sortbyNbredday10ddx.first = true
                                            sortDownImage_nbredday10ddx.opacity = 0
                                            sortUpImage_nbredday10ddx.opacity = 0
                                            //reset nbcontreddays10ddx column
                                            sortbyNbcontreddays10ddx.first = true
                                            sortDownImage_nbcontreddays10ddx.opacity = 0
                                            sortUpImage_nbcontreddays10ddx.opacity = 0
                                            //set currnet
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //set current
                                            sortDownImage_raiserate.opacity = 1
                                            sortUpImage_raiserate.opacity = 0
                                            //
                                            iSortField = 1
                                            iSortMode = 0
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                        else
                                        {
                                            //reset todayddx column
                                            sortbyTodayddx.first = true
                                            sortDownImage_todayddx.opacity = 0
                                            sortUpImage_todayddx.opacity = 0
                                            //reset Todayddy column
                                            sortbyTodayddy.first = true
                                            sortDownImage_todayddy.opacity = 0
                                            sortUpImage_todayddy.opacity = 0
                                            //reset Todayddz column
                                            sortbyTodayddz.first = true
                                            sortDownImage_todayddz.opacity = 0
                                            sortUpImage_todayddz.opacity = 0
                                            //reset Sixtydayddx column
                                            sortbySixtydayddx.first = true
                                            sortDownImage_sixtydaysddx.opacity = 0
                                            sortUpImage_sixtydaysddx.opacity = 0
                                            //reset sixtydaysddy column
                                            sortbySixtydaysddy.first = true
                                            sortDownImage_sixtydaysddy.opacity = 0
                                            sortUpImage_sixtydaysddy.opacity = 0
                                            //reset nbredday10ddx column
                                            sortbyNbredday10ddx.first = true
                                            sortDownImage_nbredday10ddx.opacity = 0
                                            sortUpImage_nbredday10ddx.opacity = 0
                                            //reset nbcontreddays10ddx column
                                            sortbyNbcontreddays10ddx.first = true
                                            sortDownImage_nbcontreddays10ddx.opacity = 0
                                            sortUpImage_nbcontreddays10ddx.opacity = 0
                                            //set currnet
                                            sortbyNewprice.first = true
                                            sortDownImage_newprice.opacity = 0
                                            sortUpImage_newprice.opacity = 0
                                            //set current
                                            sortDownImage_raiserate.opacity = 0
                                            sortUpImage_raiserate.opacity = 1
                                            //
                                            iSortField = 1
                                            iSortMode = 1
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                    }
                                }
                            }//endof mousearea
                        }//endof raiserateTitleCotainer
                    }//endof flickableTableTitle
                }//endof listTileContainer
            }//endof listTitleRectangle
        }


        Row {
            id:psTopHeaderRow
            x:120
            width: 720
            height: 50

            Rectangle {
                id: psListTitleRectangle
                width:psTopHeaderRow.width
                height: psTopHeaderRow.height

                Item {
                    id: psListTileContainer
                    width: psListTitleRectangle.width
                    height: psListTitleRectangle.height

                    Rectangle{
                        id: psFlickableTableTitle
                        x:0
                        height: psListTileContainer.height
                        width: psListTileContainer.width

                        gradient: Gradient {
                            id: psTitleGradient
                            GradientStop {position: 0.0; color:"#636363"}
                            GradientStop {position: 0.6; color:"#131313"}
                            GradientStop {position: 0.7; color:"black"}
                            GradientStop {position: 1.0; color:"black"}
                        }

                        Rectangle {
                            id:sevendayraiserateTitleCotainer
                            x: 0
                            width: 120
                            height: parent.height
                            gradient: psTitleGradient

                            StockListText {
                                id: sevendayraiserateTitle
                                text: "7日涨幅"
                                color: titlecolor
                                width: parent.width
                                height:parent.height
                            }//endof todayddxTitle

                            Image {
                                id: sortDownImage_sevendayraiserate
                                source: "images/sort_down.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 103
                                opacity: ienum == 1 ? 1 : 0
                            }

                            Image {
                                id: sortUpImage_sevendayraiserate
                                source: "images/sort_up.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 103
                                opacity: 0
                            }

                            MouseArea {
                                id: sortbySevendayRaiserate
                                anchors.fill: parent
                                property bool first: false

                                onClicked: {
                                    if (ienum == 1)
                                    {
                                        if (first)
                                        {
                                            //set current
                                            sortDownImage_sevendayraiserate.opacity = 1
                                            sortUpImage_sevendayraiserate.opacity = 0
                                            //reset sevendaytradetime column
                                            sortbySevendayTradetime.first = true
                                            sortDownImage_sevendaytradetime.opacity = 0
                                            sortUpImage_sevendaytradetime.opacity = 0
                                            //reset ThirtydayRaiserate column
                                            sortbyThirtydayRaiserate.first = true
                                            sortDownImage_thirtydayraiserate.opacity = 0
                                            sortUpImage_thirtydayraiserate.opacity = 0
                                            //reset thirtydaytradetime column
                                            sortbyThirtydayTradetime.first = true
                                            sortDownImage_thirtydaytradetime.opacity = 0
                                            sortUpImage_thirtydaytradetime.opacity = 0
                                            //reset psNewprice column
                                            sortbypsNewprice.first = true
                                            sortDownImage_psnewprice.opacity = 0
                                            sortUpImage_psnewprice.opacity = 0
                                            //reset psRaiserate column
                                            sortbypsRaiserate.first = true
                                            sortDownImage_psraiserate.opacity = 0
                                            sortUpImage_psraiserate.opacity = 0
                                            //
                                            iSortField = 5
                                            iSortMode = 0
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                        else
                                        {
                                            //set current
                                            sortDownImage_sevendayraiserate.opacity = 0
                                            sortUpImage_sevendayraiserate.opacity = 1
                                            //reset sevendaytradetime column
                                            sortbySevendayTradetime.first = true
                                            sortDownImage_sevendaytradetime.opacity = 0
                                            sortUpImage_sevendaytradetime.opacity = 0
                                            //reset ThirtydayRaiserate column
                                            sortbyThirtydayRaiserate.first = true
                                            sortDownImage_thirtydayraiserate.opacity = 0
                                            sortUpImage_thirtydayraiserate.opacity = 0
                                            //reset thirtydaytradetime column
                                            sortbyThirtydayTradetime.first = true
                                            sortDownImage_thirtydaytradetime.opacity = 0
                                            sortUpImage_thirtydaytradetime.opacity = 0
                                            //reset psNewprice column
                                            sortbypsNewprice.first = true
                                            sortDownImage_psnewprice.opacity = 0
                                            sortUpImage_psnewprice.opacity = 0
                                            //reset psRaiserate column
                                            sortbypsRaiserate.first = true
                                            sortDownImage_psraiserate.opacity = 0
                                            sortUpImage_psraiserate.opacity = 0
                                            //
                                            iSortField = 5
                                            iSortMode = 1
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                    }
                                }
                            }//endof mousearea
                        }

                        Rectangle {
                            id:sevendaytradetimeTitleCotainer
                            x: 120
                            width: 120
                            height: parent.height
                            gradient: psTitleGradient

                            StockListText {
                                id: sevendaytradetimeTitle
                                text: "7日换手"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof todayddyTitle

                            Image {
                                id: sortDownImage_sevendaytradetime
                                source: "images/sort_down.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 103
                                opacity: 0
                            }

                            Image {
                                id: sortUpImage_sevendaytradetime
                                source: "images/sort_up.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 103
                                opacity: 0
                            }

                            MouseArea {
                                id: sortbySevendayTradetime
                                anchors.fill: parent
                                property bool first: true

                                onClicked: {
                                    if (ienum == 1)
                                    {
                                        if (first)
                                        {
                                            //reset sevendayraiserate column
                                            sortbySevendayRaiserate.first = true
                                            sortDownImage_sevendayraiserate.opacity = 0
                                            sortUpImage_sevendayraiserate.opacity = 0
                                            //set current
                                            sortDownImage_sevendaytradetime.opacity = 1
                                            sortUpImage_sevendaytradetime.opacity = 0
                                            //reset ThirtydayRaiserate column
                                            sortbyThirtydayRaiserate.first = true
                                            sortDownImage_thirtydayraiserate.opacity = 0
                                            sortUpImage_thirtydayraiserate.opacity = 0
                                            //reset thirtydaytradetime column
                                            sortbyThirtydayTradetime.first = true
                                            sortDownImage_thirtydaytradetime.opacity = 0
                                            sortUpImage_thirtydaytradetime.opacity = 0
                                            //reset psNewprice column
                                            sortbypsNewprice.first = true
                                            sortDownImage_psnewprice.opacity = 0
                                            sortUpImage_psnewprice.opacity = 0
                                            //reset psRaiserate column
                                            sortbypsRaiserate.first = true
                                            sortDownImage_psraiserate.opacity = 0
                                            sortUpImage_psraiserate.opacity = 0
                                            //
                                            iSortField = 6
                                            iSortMode = 0
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                        else
                                        {
                                            //reset sevendayraiserate column
                                            sortbySevendayRaiserate.first = true
                                            sortDownImage_sevendayraiserate.opacity = 0
                                            sortUpImage_sevendayraiserate.opacity = 0
                                            //set current
                                            sortDownImage_sevendaytradetime.opacity = 0
                                            sortUpImage_sevendaytradetime.opacity = 1
                                            //reset ThirtydayRaiserate column
                                            sortbyThirtydayRaiserate.first = true
                                            sortDownImage_thirtydayraiserate.opacity = 0
                                            sortUpImage_thirtydayraiserate.opacity = 0
                                            //reset thirtydaytradetime column
                                            sortbyThirtydayTradetime.first = true
                                            sortDownImage_thirtydaytradetime.opacity = 0
                                            sortUpImage_thirtydaytradetime.opacity = 0
                                            //reset psNewprice column
                                            sortbypsNewprice.first = true
                                            sortDownImage_psnewprice.opacity = 0
                                            sortUpImage_psnewprice.opacity = 0
                                            //reset psRaiserate column
                                            sortbypsRaiserate.first = true
                                            sortDownImage_psraiserate.opacity = 0
                                            sortUpImage_psraiserate.opacity = 0
                                            //
                                            iSortField = 6
                                            iSortMode = 1
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                    }
                                }
                            }//endof mousearea
                        }

                        Rectangle {
                            id:thirtydayraiserateTitleCotainer
                            x: 240
                            width: 120
                            height: parent.height
                            gradient: psTitleGradient

                            Text {
                                id: thirtydayraiserateTitle
                                text: "30日涨幅"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                                textFormat: Text.PlainText
                                font.pixelSize: 25
                                verticalAlignment: Text.AlignVCenter
                            }//endof todayddzTitle

                            Image {
                                id: sortDownImage_thirtydayraiserate
                                source: "images/sort_down.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 103
                                opacity: 0
                            }

                            Image {
                                id: sortUpImage_thirtydayraiserate
                                source: "images/sort_up.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 103
                                opacity: 0
                            }

                            MouseArea {
                                id: sortbyThirtydayRaiserate
                                anchors.fill: parent
                                property bool first: true

                                onClicked: {
                                    if (ienum == 1)
                                    {
                                        if (first)
                                        {
                                            //reset sevendayraiserate column
                                            sortbySevendayRaiserate.first = true
                                            sortDownImage_sevendayraiserate.opacity = 0
                                            sortUpImage_sevendayraiserate.opacity = 0
                                            //reset sevendaytradetime column
                                            sortbySevendayTradetime.first = true
                                            sortDownImage_sevendaytradetime.opacity = 0
                                            sortUpImage_sevendaytradetime.opacity = 0
                                            //set current
                                            sortDownImage_thirtydayraiserate.opacity = 1
                                            sortUpImage_thirtydayraiserate.opacity = 0
                                            //reset thirtydaytradetime column
                                            sortbyThirtydayTradetime.first = true
                                            sortDownImage_thirtydaytradetime.opacity = 0
                                            sortUpImage_thirtydaytradetime.opacity = 0
                                            //reset psNewprice column
                                            sortbypsNewprice.first = true
                                            sortDownImage_psnewprice.opacity = 0
                                            sortUpImage_psnewprice.opacity = 0
                                            //reset psRaiserate column
                                            sortbypsRaiserate.first = true
                                            sortDownImage_psraiserate.opacity = 0
                                            sortUpImage_psraiserate.opacity = 0
                                            //
                                            iSortField = 7
                                            iSortMode = 0
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                        else
                                        {
                                            //reset sevendayraiserate column
                                            sortbySevendayRaiserate.first = true
                                            sortDownImage_sevendayraiserate.opacity = 0
                                            sortUpImage_sevendayraiserate.opacity = 0
                                            //reset sevendaytradetime column
                                            sortbySevendayTradetime.first = true
                                            sortDownImage_sevendaytradetime.opacity = 0
                                            sortUpImage_sevendaytradetime.opacity = 0
                                            //set current
                                            sortDownImage_thirtydayraiserate.opacity = 0
                                            sortUpImage_thirtydayraiserate.opacity = 1
                                            //reset thirtydaytradetime column
                                            sortbyThirtydayTradetime.first = true
                                            sortDownImage_thirtydaytradetime.opacity = 0
                                            sortUpImage_thirtydaytradetime.opacity = 0
                                            //reset psNewprice column
                                            sortbypsNewprice.first = true
                                            sortDownImage_psnewprice.opacity = 0
                                            sortUpImage_psnewprice.opacity = 0
                                            //reset psRaiserate column
                                            sortbypsRaiserate.first = true
                                            sortDownImage_psraiserate.opacity = 0
                                            sortUpImage_psraiserate.opacity = 0
                                            //
                                            iSortField = 7
                                            iSortMode = 1
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                    }
                                }
                            }//endof mousearea
                        }

                        Rectangle {
                            id:thirtydaytradetimeTitleCotainer
                            x: 360
                            width: 120
                            height: parent.height
                            gradient: psTitleGradient

                            Text {
                                id: thirtydaytradetimeTitle
                                text: "30日换手"
                                color: titlecolor
                                width: parent.width
                                height:parent.height
                                textFormat: Text.PlainText
                                font.pixelSize: 25
                                verticalAlignment: Text.AlignVCenter
                            }//endof sixtydaysddxTitle

                            Image {
                                id: sortDownImage_thirtydaytradetime
                                source: "images/sort_down.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 103
                                opacity: 0
                            }

                            Image {
                                id: sortUpImage_thirtydaytradetime
                                source: "images/sort_up.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 103
                                opacity: 0
                            }

                            MouseArea {
                                id: sortbyThirtydayTradetime
                                anchors.fill: parent
                                property bool first: true

                                onClicked: {
                                    if (ienum == 1)
                                    {
                                        if (first)
                                        {
                                            //reset sevendayraiserate column
                                            sortbySevendayRaiserate.first = true
                                            sortDownImage_sevendayraiserate.opacity = 0
                                            sortUpImage_sevendayraiserate.opacity = 0
                                            //reset sevendaytradetime column
                                            sortbySevendayTradetime.first = true
                                            sortDownImage_sevendaytradetime.opacity = 0
                                            sortUpImage_sevendaytradetime.opacity = 0
                                            //reset thirtydayraiserate column
                                            sortbyThirtydayRaiserate.first = true
                                            sortDownImage_thirtydayraiserate.opacity = 0
                                            sortUpImage_thirtydayraiserate.opacity = 0
                                            //set current
                                            sortDownImage_thirtydaytradetime.opacity = 1
                                            sortUpImage_thirtydaytradetime.opacity = 0
                                            //reset psNewprice column
                                            sortbypsNewprice.first = true
                                            sortDownImage_psnewprice.opacity = 0
                                            sortUpImage_psnewprice.opacity = 0
                                            //reset psRaiserate column
                                            sortbypsRaiserate.first = true
                                            sortDownImage_psraiserate.opacity = 0
                                            sortUpImage_psraiserate.opacity = 0
                                            //
                                            iSortField = 8
                                            iSortMode = 0
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                        else
                                        {
                                            //reset sevendayraiserate column
                                            sortbySevendayRaiserate.first = true
                                            sortDownImage_sevendayraiserate.opacity = 0
                                            sortUpImage_sevendayraiserate.opacity = 0
                                            //reset sevendaytradetime column
                                            sortbySevendayTradetime.first = true
                                            sortDownImage_sevendaytradetime.opacity = 0
                                            sortUpImage_sevendaytradetime.opacity = 0
                                            //reset thirtydayraiserate column
                                            sortbyThirtydayRaiserate.first = true
                                            sortDownImage_thirtydayraiserate.opacity = 0
                                            sortUpImage_thirtydayraiserate.opacity = 0
                                            //set current
                                            sortDownImage_thirtydaytradetime.opacity = 0
                                            sortUpImage_thirtydaytradetime.opacity = 1
                                            //reset psNewprice column
                                            sortbypsNewprice.first = true
                                            sortDownImage_psnewprice.opacity = 0
                                            sortUpImage_psnewprice.opacity = 0
                                            //reset psRaiserate column
                                            sortbypsRaiserate.first = true
                                            sortDownImage_psraiserate.opacity = 0
                                            sortUpImage_psraiserate.opacity = 0
                                            //
                                            iSortField = 8
                                            iSortMode = 1
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                    }
                                }
                            }//endof mousearea
                        }

                        Rectangle {
                            id:psnewpriceTitleCotainer
                            x: 480
                            width: 120
                            height: parent.height
                            gradient: psTitleGradient

                            StockListText {
                                id: psnewpriceTitle
                                text: "最新"
                                color: titlecolor
                                width: parent.width
                                height:parent.height
                            }//endof newpriceTitle

                            Image {
                                id: sortDownImage_psnewprice
                                source: "images/sort_down.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 85
                                opacity: 0
                            }

                            Image {
                                id: sortUpImage_psnewprice
                                source: "images/sort_up.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 85
                                opacity: 0
                            }

                            MouseArea {
                                id: sortbypsNewprice
                                anchors.fill: parent
                                property bool first: true

                                onClicked: {
                                    if (ienum == 1)
                                    {
                                        if (first)
                                        {
                                            //reset sevendayraiserate column
                                            sortbySevendayRaiserate.first = true
                                            sortDownImage_sevendayraiserate.opacity = 0
                                            sortUpImage_sevendayraiserate.opacity = 0
                                            //reset sevendaytradetime column
                                            sortbySevendayTradetime.first = true
                                            sortDownImage_sevendaytradetime.opacity = 0
                                            sortUpImage_sevendaytradetime.opacity = 0
                                            //reset thirtydayraiserate column
                                            sortbyThirtydayRaiserate.first = true
                                            sortDownImage_thirtydayraiserate.opacity = 0
                                            sortUpImage_thirtydayraiserate.opacity = 0
                                            //reset thirtydaytradetime column
                                            sortbyThirtydayTradetime.first = true
                                            sortDownImage_thirtydaytradetime.opacity = 0
                                            sortUpImage_thirtydaytradetime.opacity = 0
                                            //set current
                                            sortDownImage_psnewprice.opacity = 1
                                            sortUpImage_psnewprice.opacity = 0
                                            //reset psRaiserate column
                                            sortbypsRaiserate.first = true
                                            sortDownImage_psraiserate.opacity = 0
                                            sortUpImage_psraiserate.opacity = 0
                                            //
                                            iSortField = 4
                                            iSortMode = 0
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                        else
                                        {
                                            //reset sevendayraiserate column
                                            sortbySevendayRaiserate.first = true
                                            sortDownImage_sevendayraiserate.opacity = 0
                                            sortUpImage_sevendayraiserate.opacity = 0
                                            //reset sevendaytradetime column
                                            sortbySevendayTradetime.first = true
                                            sortDownImage_sevendaytradetime.opacity = 0
                                            sortUpImage_sevendaytradetime.opacity = 0
                                            //reset thirtydayraiserate column
                                            sortbyThirtydayRaiserate.first = true
                                            sortDownImage_thirtydayraiserate.opacity = 0
                                            sortUpImage_thirtydayraiserate.opacity = 0
                                            //reset thirtydaytradetime column
                                            sortbyThirtydayTradetime.first = true
                                            sortDownImage_thirtydaytradetime.opacity = 0
                                            sortUpImage_thirtydaytradetime.opacity = 0
                                            //set current
                                            sortDownImage_psnewprice.opacity = 0
                                            sortUpImage_psnewprice.opacity = 1
                                            //reset psRaiserate column
                                            sortbypsRaiserate.first = true
                                            sortDownImage_psraiserate.opacity = 0
                                            sortUpImage_psraiserate.opacity = 0
                                            //
                                            iSortField = 4
                                            iSortMode = 1
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                    }
                                }
                            }//endof mousearea
                        }

                        Rectangle {
                            id:psraiserateTitleCotainer
                            x: 600
                            width: 120
                            height: parent.height
                            gradient: psTitleGradient

                            StockListText {
                                id: psraiserateTitle
                                text: "涨幅%"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof raiserateTitle

                            Image {
                                id: sortDownImage_psraiserate
                                source: "images/sort_down.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 98
                                opacity: 0
                            }

                            Image {
                                id: sortUpImage_psraiserate
                                source: "images/sort_up.png"
                                width:17
                                height:18
                                anchors.verticalCenter: parent.verticalCenter
                                anchors.left: parent.left
                                anchors.leftMargin: 98
                                opacity: 0
                            }

                            MouseArea {
                                id: sortbypsRaiserate
                                anchors.fill: parent
                                property bool first: true

                                onClicked: {
                                    if (ienum == 1)
                                    {
                                        if (first)
                                        {
                                            //reset sevendayraiserate column
                                            sortbySevendayRaiserate.first = true
                                            sortDownImage_sevendayraiserate.opacity = 0
                                            sortUpImage_sevendayraiserate.opacity = 0
                                            //reset sevendaytradetime column
                                            sortbySevendayTradetime.first = true
                                            sortDownImage_sevendaytradetime.opacity = 0
                                            sortUpImage_sevendaytradetime.opacity = 0
                                            //reset thirtydayraiserate column
                                            sortbyThirtydayRaiserate.first = true
                                            sortDownImage_thirtydayraiserate.opacity = 0
                                            sortUpImage_thirtydayraiserate.opacity = 0
                                            //reset thirtydaytradetime column
                                            sortbyThirtydayTradetime.first = true
                                            sortDownImage_thirtydaytradetime.opacity = 0
                                            sortUpImage_thirtydaytradetime.opacity = 0
                                            //reset psnewprice column
                                            sortbypsNewprice.first = true
                                            sortDownImage_psnewprice.opacity = 0
                                            sortUpImage_psnewprice.opacity = 0
                                            //set current
                                            sortDownImage_psraiserate.opacity = 1
                                            sortUpImage_psraiserate.opacity = 0
                                            //
                                            iSortField = 1
                                            iSortMode = 0
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                        else
                                        {
                                            //reset sevendayraiserate column
                                            sortbySevendayRaiserate.first = true
                                            sortDownImage_sevendayraiserate.opacity = 0
                                            sortUpImage_sevendayraiserate.opacity = 0
                                            //reset sevendaytradetime column
                                            sortbySevendayTradetime.first = true
                                            sortDownImage_sevendaytradetime.opacity = 0
                                            sortUpImage_sevendaytradetime.opacity = 0
                                            //reset thirtydayraiserate column
                                            sortbyThirtydayRaiserate.first = true
                                            sortDownImage_thirtydayraiserate.opacity = 0
                                            sortUpImage_thirtydayraiserate.opacity = 0
                                            //reset thirtydaytradetime column
                                            sortbyThirtydayTradetime.first = true
                                            sortDownImage_thirtydaytradetime.opacity = 0
                                            sortUpImage_thirtydaytradetime.opacity = 0
                                            //reset psnewprice column
                                            sortbypsNewprice.first = true
                                            sortDownImage_psnewprice.opacity = 0
                                            sortUpImage_psnewprice.opacity = 0
                                            //set current
                                            sortDownImage_psraiserate.opacity = 0
                                            sortUpImage_psraiserate.opacity = 1
                                            //
                                            iSortField = 1
                                            iSortMode = 1
                                            myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,iSortField,iSortMode)
                                            first = !first
                                        }
                                    }
                                }
                            }//endof mousearea
                        }
                    }
                }
            }
        }

        ListView {
            id: dsListView
            width: dsFlickableContainer.contentWidth;
            height: dsFlickableContainer.height-dsTopHeaderRow.height
            orientation: ListView.Vertical
            anchors.top: dsTopHeaderRow.bottom;
            //anchors.bottom: dsFlickableContainer.bottom
            delegate: ienum == 0 ? ddeListDelegate : psListDelegate
            model: quotationModel
            clip: true
            //preferredHighlightBegin: 0
            //preferredHighlightEnd: 50
            highlightRangeMode: ListView.StrictlyEnforceRange
            snapMode: ListView.SnapToItem
            smooth: true
            footer:
                Text {
                id: dsListViewFooter
                x: dsFlickableContainer.contentX
                textFormat: Text.PlainText
                width: 480
                height: 50
                text: "当前显示第" + Math.min(dsLeftView.count, (dsListView.currentIndex+1)) + "条~第" + Math.max(Math.min(dsLeftView.count, (dsListView.currentIndex+1)),(Math.min(Math.ceil(Math.max(dsListView.contentHeight - dsLeftView.contentY, 0)/50) + dsLeftView.currentIndex, dsLeftView.count))) + "条"
                color: "white";
                font.pointSize: 16
                horizontalAlignment: Text.AlignHCenter
            }

            onContentYChanged: {
                if (count % 10 == 0)
                {
                    if (contentY + dsListView.height >= contentHeight)
                    {
                        dsListViewTimer.running = false
                        myDecisionSystemList.DisplayQuotesList(count + 1, 0x0100, 0, 0, 0)
                    }
                }
            }

            onModelChanged: {
                //if (status != PageStatus.Inactive)
                //{
                //    dsListViewTimer.running = true
                //    positionViewAtIndex(currentIndex, ListView.Beginning)
                //}
            }

            onCountChanged: {
                if (dsListViewTimer.running == false)
                {

                }

                if(count > 0)
                {
                    busyInd.visible = false
                    busyInd.running = false
                }
            }

            onDelegateChanged: {
                if (ienum ==0)
                {
                    dsTopHeaderRow.visible = true
                    dsTopHeaderRow.enabled = true

                    psTopHeaderRow.visible = false
                    psTopHeaderRow.enabled = false

                }
                else if (ienum == 1)
                    {
                    dsTopHeaderRow.visible = false
                    dsTopHeaderRow.enabled = false

                    psTopHeaderRow.visible = true
                    psTopHeaderRow.enabled = true
                    }
            }


            Timer {
                id: dsListViewTimer
                interval: 5000
                running: false
                repeat: true
                onTriggered: {
                    if (dsListView.verticalVelocity == 0)
                    {
                        myDecisionSystemList.DisplayQuotesList(dsListView.currentIndex, 0x200, 0, 0, 0)
                    }
                }
            }

        }


    }

    // left bar
    Item {
        id: dsLeftBar
        anchors.top: parent.top
        anchors.left:parent.left
        anchors.bottom: parent.bottom
        anchors.topMargin: 10
        width: 120;
        height: parent.height

        visible: !busyInd.visible

        ListView {
            id: dsLeftView
            width: dsLeftBar.width;
            height: dsLeftBar.height
            anchors.top: dsLeftHeaderRow.bottom;
            anchors.bottom: dsLeftBar.bottom;
            orientation: ListView.Vertical
            clip:true
            delegate: ienum == 0 ? dsLeftBarDelegate : psLeftBarDelegate
            model: quotationModel
            interactive: false
            contentY: dsListView.contentY
            //preferredHighlightBegin: 0
            //preferredHighlightEnd: 50
            highlightRangeMode: ListView.StrictlyEnforceRange

            onModelChanged: {
                positionViewAtIndex(dsListView.currentIndex, ListView.Beginning)
            }

            onDelegateChanged: {
                if (ienum ==0)
                {
                    dsLeftHeaderRow.visible = true
                    dsLeftHeaderRow.enabled = true

                    psLeftHeaderRow.visible = false
                    psLeftHeaderRow.enabled = false

                }
                else if (ienum == 1)
                    {
                    dsLeftHeaderRow.visible = false
                    dsLeftHeaderRow.enabled = false

                    psLeftHeaderRow.visible = true
                    psLeftHeaderRow.enabled = true
                    }
            }
        }


        // left bar header
        Row {
            id: dsLeftHeaderRow
            width: dsLeftBar.width
            height: 50

            Rectangle{
                id: dsCodeandNameTitle
                height: dsLeftHeaderRow.height
                width: dsLeftHeaderRow.width
                gradient: dsTitleGradient

                StockListText {
                    id: dsfixedCodeTitle
                    text: "沪深A股"
                    color: titlecolor
                    width: dsLeftHeaderRow.width
                    height:dsCodeandNameTitle.height

                    MouseArea {
                        id: sortbyCode
                        anchors.fill: parent
                        property bool first: true

                        onClicked: {
                            if (first)
                            {
                                myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,9,1)
                                first = !first
                            }
                            else
                            {
                                myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,9,0)
                                first = !first
                            }
                        }
                    }
                }//endof fixedCodeTitle
            }//endof recCodeandNameTitle
        }

        Row {
            id: psLeftHeaderRow
            width: dsLeftBar.width;
            height: 50

            Rectangle{
                id: psCodeandNameTitle
                height: psLeftHeaderRow.height
                width: psLeftHeaderRow.width
                gradient: psTitleGradient

                StockListText {
                    id: psfixedCodeTitle
                    text: "沪深A股"
                    color: titlecolor
                    width: psLeftHeaderRow.width
                    height:psCodeandNameTitle.height

                    MouseArea {
                        id: sortbypsCode
                        anchors.fill: parent
                        property bool first: true

                        onClicked: {
                            if (first)
                            {
                                myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,9,1)
                                first = !first
                            }
                            else
                            {
                                myDecisionSystemList.DisplayQuotesList(0,dsListNum,dsListRange,9,0)
                                first = !first
                            }
                        }
                    }
                }//endof fixedCodeTitle
            }//endof recCodeandNameTitle
        }
    }


    Component {
        id: ddeListDelegate

        Item {
            id: dsListContainer
            width: 1080
            height: 50
            x:120

            Rectangle{
                id: dsFlickableTable
                width: 1080
                height: 50
                color: "black"
                border.color: "#1d1d1d"
                border.width: 2

                MouseArea {
                    id: dsmouseClick_content
                    anchors.fill: parent

                    onClicked: {
                        myNetworkManager.checkNetworkAvailable2()
                        if (myNetworkManager.stocknetworkstatus === 0)
                        {
                            appWindow.currentstocknameandcode = name
                            dsListViewTimer.running = false
                            pageStack.push(Qt.resolvedUrl("TimeSharing.qml"))
                            myDecisionSystemList.TriggerTimeSharing(index)
                        }
                    }
                }

                StockListText {
                    id: todayddxText
                    x:0
                    width: 120
                    height: 50
                    text: todayddx
                    color: todayddxcolor
                }//endof todayddxText

                StockListText {
                    id: todayddyText
                    x:120
                    width: 120
                    height: 50
                    text: todayddy
                    color: todayddycolor
                }//endof todayddyText

                StockListText {
                    id: todayddzText
                    x:240
                    width: 120
                    height: 50
                    text: todayddz
                    color: todayddzcolor
                }//endof todayddzText

                StockListText {
                    id: sixtydaysddxText
                    x:360
                    width: 120
                    height: 50
                    text: sixtydaysddx
                    color: sixtydaysddxcolor
                }//endof sixtydaysddxText

                StockListText {
                    id: sixtydaysddyText
                    x:480
                    width: 120
                    height: 50
                    text: sixtydaysddy
                    color: sixtydaysddycolor
                }//endof sixtydaysddyText

                StockListText {
                    id: nbredday10ddxText
                    x: 600
                    width: 120
                    height: 50
                    text: nbredday10ddx
                    color: nbredday10ddxcolor
                }//endof nbredday10ddxText

                StockListText {
                    id: nbcontreddays10ddxText
                    x:720
                    width: 120
                    height: 50
                    text: nbcontreddays10ddx
                    color: nbcontreddays10ddxcolor
                }//endof nbcontreddays10ddxText

                StockListText {
                    id: newpriceText
                    x:840
                    width: 120
                    height: 50
                    text: newprice
                    color: newpricecolor
                }//endof newpriceText

                StockListText {
                    id: raiserateText
                    x:960
                    width: 120
                    height: 50
                    text: raiserate
                    color: raiseratecolor
                }//endof raiserateText
            }//flickableTable
        }//endof comboListContainer
    }

    Component {
        id: dsLeftBarDelegate

        Item {
            id: dsLeftListContainer
            width: 120
            height: 50

            Rectangle{
                id: dsCodeandName
                width: 120
                height: 50
                color: "black"
                border.color: "#1d1d1d"
                border.width: 2

                MouseArea {
                    id: dsmouseClick_code
                    anchors.fill: parent

                    onClicked: {
                        myNetworkManager.checkNetworkAvailable2()
                        if (myNetworkManager.stocknetworkstatus === 0)
                        {
                            appWindow.currentstocknameandcode = name
                            dsListViewTimer.running = false
                            pageStack.push(Qt.resolvedUrl("TimeSharing.qml"))
                            myDecisionSystemList.TriggerTimeSharing(index)
                        }

                    }
                }

                StockListText {
                    id: fixedBodyTextName
                    text: name
                    color: namecolor
                    height:25
                    width:120
                }


                Text {
                    id: fixedBodyTextCode
                    textFormat: Text.PlainText
                    font.pixelSize: 20
                    text: code
                    color: codecolor
                    y:25
                    height:25
                    width: 120
                    verticalAlignment: Text.AlignVCenter
                    horizontalAlignment: Text.AlignHCenter
                }

            }//endof recCodeandName
        }
    }

    Component {
        id: psListDelegate

        Item {
            id: psListContainer
            width: 720
            height: 50
            x:120

            Rectangle{
                id: psFlickableTable
                width: 720
                height: 50
                color: "black"
                border.color: "#1d1d1d"
                border.width: 2

                MouseArea {
                    id: psmouseClick_content
                    anchors.fill: parent

                    onClicked: {
                        myNetworkManager.checkNetworkAvailable2()
                        if (myNetworkManager.stocknetworkstatus === 0)
                        {
                            appWindow.currentstocknameandcode = name
                            dsListViewTimer.running = false
                            pageStack.push(Qt.resolvedUrl("TimeSharing.qml"))
                            myDecisionSystemList.TriggerTimeSharing(index)
                        }
                    }
                }

                StockListText {
                    id: sevendayraiserateText
                    x:0
                    width: 120
                    height:50
                    text: sevendayraiserate
                    color: sevendayraiseratecolor
                }//endof todayddxText

                StockListText {
                    id: sevendaytradetimeText
                    x:120
                    width: 120
                    height: 50
                    text: sevendaytradetime
                    color: sevendaytradetimecolor
                }//endof todayddyText

                StockListText {
                    id: thirtydayraiserateText
                    x: 240
                    width: 120
                    height: 50
                    text: thirtydayraiserate
                    color: thirtydayraiseratecolor
                }//endof todayddzText

                StockListText {
                    id: thirtydaytradetimeText
                    x: 360
                    width: 120
                    height: 50
                    text: thirtydaytradetime
                    color: thirtydaytradetimecolor
                }//endof sixtydaysddxText

                StockListText {
                    id: psnewpriceText
                    x: 480
                    width: 120
                    height: 50
                    text: newprice
                    color: newpricecolor
                }//endof sixtydaysddyText

                StockListText {
                    id: psraiserateText
                    x: 600
                    width: 120
                    height: 50
                    text: raiserate
                    color: raiseratecolor
                }//endof nbredday10ddxText
            }
        }
    }

    Component {
        id: psLeftBarDelegate

        Item {
            id: pdsLeftListContainer
            width: 120
            height: 50

            Rectangle{
                id: psCodeandName
                width: 120
                height: 50
                color: "black"
                border.color: "#1d1d1d"
                border.width: 2

                MouseArea {
                    id: psmouseClick_code
                    anchors.fill: parent

                    onClicked: {
                        myNetworkManager.checkNetworkAvailable2()
                        if (myNetworkManager.stocknetworkstatus === 0)
                        {
                            appWindow.currentstocknameandcode = name
                            dsListViewTimer.running = false
                            pageStack.push(Qt.resolvedUrl("TimeSharing.qml"))
                            myDecisionSystemList.TriggerTimeSharing(index)
                        }
                    }
                }

                StockListText {
                    id: psfixedBodyTextName
                    text: name
                    color: namecolor
                    height:25
                    width:120
                }

                Text {
                    id: psfixedBodyTextCode
                    textFormat: Text.PlainText
                    text: code
                    font.pixelSize: 20
                    color: codecolor
                    y:25
                    verticalAlignment: Text.AlignVCenter
                    horizontalAlignment: Text.AlignHCenter
                    height:25
                    width: 120
                }
            }//endof recCodeandName
        }
    }
}//endof comboListViewContainer
