import QtQuick 1.1

Component {
    id: gridDelegate

    Item {
        id: gridObject
        width: gwGridView.cellWidth
        height: gwGridView.cellHeight

        Column {
            id:gridColumn
            anchors.fill: parent

            Image {
                id: menuImage
                z:1
                source: iconurl
                anchors.horizontalCenter: parent.horizontalCenter

                Image {
                    id: menuPressed
                    opacity: 0
                    source: "images/icon_pressed.png"
                    anchors.fill: parent
                    //width: 120
                    //height: 135
                }

                MouseArea {
                    id: mouseRegion
                    anchors.fill: parent
                    onClicked: {
                        //we load page style first, then populate the data
                        console.log("GridDelegate clicked. " + myNetworkManager)
                        if (myNetworkManager)
                        {
                            myNetworkManager.checkNetworkAvailable2()
                        }
                        if (myNetworkManager.stocknetworkstatus === 0)
                        {
                            if (jumpurl == "10")
                            {
                                appWindow.lastjumpurlid = 10
                                pageStack.push(Qt.resolvedUrl("StockQueryPage.qml"))
                                appWindow.openStockQueryPage()//send global sigal to slotsmanager

                            }
                            if (jumpurl == "8")
                            {
                                appWindow.lastjumpurlid = 8
                                pageStack.push(Qt.resolvedUrl("UserSelectionPage.qml"))
                                appWindow.openUserSelectionPage()
                            }
                            if (jumpurl == "4")
                            {
                                appWindow.lastjumpurlid = 4
                                pageStack.push(Qt.resolvedUrl("LatestBrowsePage.qml"))
                                appWindow.openLatestBrowsePage()
                            }
                            if (jumpurl == "5")
                            {
                                appWindow.lastjumpurlid = 5
                                pageStack.push(Qt.resolvedUrl("QuotationPage.qml"))
                                appWindow.openQuotationPage()
                            }
                            if (jumpurl == "9")
                            {
                                appWindow.lastjumpurlid = 9
                                pageStack.push(Qt.resolvedUrl("PlateIndexPage.qml"))
                                appWindow.openPlateIndexPage()
                            }
                            if (jumpurl == "6")
                            {
                                appWindow.lastjumpurlid = 6
                                pageStack.push(Qt.resolvedUrl("GlobalMarketPage.qml"))
                                appWindow.openGlobalMarketPage()
                            }
                            if (jumpurl == "30")
                            {
                                appWindow.lastjumpurlid = 30
                                pageStack.push(Qt.resolvedUrl("DecisionSystemPage.qml"))
                                appWindow.openDecisionSystemPage()
                            }
                            if (jumpurl == "2")
                            {
                                appWindow.lastjumpurlid = 2
                                pageStack.push(Qt.resolvedUrl("PhaseStatisticsPage.qml"))
                                appWindow.openPhaseStatisticsPage()
                            }
                            if (jumpurl == "99")
                            {
                                appWindow.lastjumpurlid = 99
                                pageStack.push(Qt.resolvedUrl("MultiTouchWebPage.qml"))
                                appWindow.openMultiTouchWebPage()
                            }
                        }
                    }
                }
            }


        }//endof gridcolumn

        states: [
            State {
                name: 'Pressed'
                when: mouseRegion.pressed == true
                PropertyChanges {
                    target: menuPressed
                    opacity: 1
                }
            }
        ]
    }
}

