import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    id: gridPage
    tools: gridTools
    orientationLock: PageOrientation.LockPortrait

    Image {
        id: backgroundImage
        anchors.fill: parent
        source: "images/init_bg.png"
    }

    GwTitleBar {
        id: gwTitleBar
        titlebarName: "功能表"
        height: 60
        titlebackground: "transparent"
    }

    Rectangle {
        id: gwGridViewContainer
        anchors.top: gwTitleBar.bottom
        width: parent.width
        height: parent.height - gwTitleBar.height
        color: "transparent"

        GridView {
            id: gwGridView
            anchors.fill: parent
            anchors.topMargin: 60
            cellWidth: parent.width * 1/3
            cellHeight: 200
            boundsBehavior: Flickable.StopAtBounds
            model: GridModel{}
            delegate: GridDelegate{}
        }
    }
    ToolBarLayout {
        id: gridTools
        visible: true

       ToolIcon {
            id: menuIcon
            visible: true
            iconId: "toolbar-view-menu"
            anchors.right: parent === undefined ? undefined : parent.right
            property SelectionDialog selectionDialog
            onClicked: {
                if (!selectionDialog)
                    selectionDialog = selectionDialogComponent.createObject(gridPage)
                selectionDialog.open()
            }
        }
    }

    Component {
        id: selectionDialogComponent

        SelectionDialog {
            id: selectionDialog
            titleText: "大智慧证券手机版"
            selectedIndex: -1

            model: ListModel {
                ListElement { name: "免责声明" }
                ListElement { name: "功能帮助" }
                ListElement { name: "关于大智慧" }
            }

            onAccepted: {
            //onSelectedIndexChanged: {
                if (selectedIndex == 0)
                {
                    pageStack.push(Qt.resolvedUrl("GwDisclaimerPage.qml"))
                    selectedIndex = -1
                }
                else if (selectedIndex == 1)
                {
                    pageStack.push(Qt.resolvedUrl("GwHelpPage.qml"))
                    selectedIndex = -1
                }
                else if (selectedIndex == 2)
                {
                    pageStack.push(Qt.resolvedUrl("GwAboutPage.qml"))
                    selectedIndex = -1
                }
            }
        }
    }
}
