import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    id: gwDisclaimerPage
    tools:gwDisclaimerTools
    orientationLock: PageOrientation.LockPortrait

    GwTitleBar {
        id: gwTitleBar
        titlebarName: "免责声明"
        height: 60
        z:1
    }

    Flickable {
        id: flickableDisclaimer
        anchors.top: gwTitleBar.bottom
        anchors.topMargin: 10
        anchors.left: parent.left
        anchors.leftMargin: 30
        anchors.right: parent.right
        anchors.rightMargin: 30
        anchors.bottom: parent.bottom

        contentWidth: parent.width - 60
        contentHeight: 1050

        Text {
            id: textDisclaimer
            anchors.fill: parent
            color: "white"
            font.pixelSize: 25
            text: "<html>
            大智慧提醒您全面了解手机炒股业务
            <br>的风险，如果您继续使用该业务，表
            <br>明您已经完全了解并同意承担可能存
            <br>在的全部风险。
            <p>风险提醒：</p>
            <ol>
            <li>由于可能受到通信状况、服务系
            <br>统繁忙或故障、用户使用手机的
            <br>性能及故障、黑客攻击，以及互
            <br>联网上其他不可预测的因素的影
            <br>响，有可能造成行情信息的延迟
            <br>、中断、错误的风险。在此情况
            <br>下，建议您利用其他方式获取行
            <br>情信息及进行交易。
            <li>大智慧提供的所有文字、数据，
            <br>仅作为您的参考之用，不构成任
            <br>何的投资建议，用户据此操作造
            <br>成的任何风险和后果，均由用户
            <br>自行负责。
            <li>使用大智慧手机版软件，要产生
            <br>GPRS上网流量费，该费用
            <br>为电信运营商收取，与大智慧公
            <br>司无关。
            <li>在使用手机软件进行委托交易时
            <br>，请注意交易密码的安全，并请
            <br>妥善保管好自己的手机、个人信
            <br>息以及密码，以防被他人盗用。
            <br>凡密码正确的情况下进行的交易
            <br>行为，证券公司均视其为有效行
            <br>为，用户对其付全权责任。大智
            <br>慧对用户使用手机炒股存在的风
            <br>险及其由此造成的任何损失不承
            <br>担任何法律责任。
            </ol>
            若您在使用软件过程中遇到任何的问
            <br>题，敬请拨打大智慧客服热线：
            <br>021-20219995
            </html>"
        }
    }

    ToolBarLayout {
        id: gwDisclaimerTools
        visible: true
        ToolIcon {
            id: backIcon
            visible: true
            iconId: "toolbar-back"
            anchors.left: parent === undefined ? undefined : parent.left
            onClicked: {
                pageStack.pop()
                appWindow.exitpages()
            }
        }
    }
}
