import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    id: gwHelpPage
    tools:gwHelpTools
    orientationLock: PageOrientation.LockPortrait

    GwTitleBar {
        id: gwTitleBar
        titlebarName: "功能帮助"
        height: 60
        z:1
    }

    Flickable {
        id: flickableHelp
        anchors.top: gwTitleBar.bottom
        anchors.topMargin: 10
        anchors.left: parent.left
        anchors.leftMargin: 30
        anchors.right: parent.right
        anchors.rightMargin: 30
        anchors.bottom: parent.bottom

        contentWidth: parent.width - 60
        contentHeight: 2300

        Text {
            id: textHelp
            anchors.fill: parent
            color: "white"
            font.pixelSize: 25
            text: "<html>
            <p>[基础功能]</p>
            <ol>
            <li>全球市场
            <br>(1)国内指数：包括上证指数，深证
            <br>成指，中小板指，上证B股，深证B
            <br>指，沪深300，上证180，深证100R
            <br>，上证基金，深证基金，恒生指数，
            <br>创业板指，大型股指等指数。
            <br>(2)全球指数：查看道琼斯、日经、
            <br>英国富时等全球指数。

            <li>股票查询
            <br>用户可根据股票的拼音来查询股票，
            <br>如“大智慧”输入字母“DZH”提交
            <br>查询即可；同时支持按代码查询，
            <br>输入“601519”提交即可查询到
            <br>“大智慧”。

            <li>分时走势
            <br>灵活查看分时走势，“买卖盘”区域
            <br>可依次查看“五档买卖盘”，“盘
            <br>口信息”。可查看分时图中任一交易
            <br>时段内该股每分钟的现价/涨幅/均
            <br>价/现量等。支持分时，K线和F10
            <br>之间切换查看。

            <li>K线图
            <br>在分时图下可直接切换查看K线走
            <br>势图，包括任一交易日交易信息。
            <br>K线图中的4条均线分别表示：黄色
            <br>为5日均线，紫色为10日均线，绿
            <br>色为20日均线，白色为30日均线。
            <br>K线周期包括1、5、15、30、60
            <br>分钟线，日K线，周K线，月K线。

            <li>我的自选
            <br>可显示用户添加的所有自选股。自
            <br>选股数据以列表方式排列，横列的
            <br>标题依次为：股票名称，最新，涨
            <br>幅，涨跌昨收，成交量，成交额，
            <br>最高，最低，振幅，涨速，换手，
            <br>量比，委比，市盈，市净等。可对
            <br>自选股进行管理，包括“添加自选”
            <br>和“删除自选”。

            <li>最新浏览
            <br>显示当天最新点击浏览过的股票。
            <br>横列的标题依次为：股票名称，最
            <br>新，涨幅，涨跌，昨收，成交量，
            <br>成交额，最高，最低，振幅，涨速，
            <br>换手，量比，委比，市盈，市净，
            <br>代码等信息。

            <li>涨跌排行
            <br>目前支持沪深A股的涨跌情况，支
            <br>持涨幅，最新，振幅，涨速，换
            <br>手，量比，委比，市盈，市净等
            <br>多种排序方式。

            <li>F10信息
            <br>从操盘必读、财务透视、主营构
            <br>成、行业新闻、大事提醒、公司
            <br>概况、最新季报、股东进出、股
            <br>本分红、资本运作、行业地位、
            <br>信息快讯、盈利预测等方面，提
            <br>供详尽的个股信息。

            </ol>

            <p>[特色功能]</p>
            <ol>
            <li>阶段统计
            <br>查看股票阶段性行情，如：7日涨
            <br>跌幅／换手，30日涨跌幅／换手
            <br>等。目前可查看沪深A股的阶段涨
            <br>跌幅及换手情况，支持“最新涨
            <br>幅，7日涨幅，30日涨幅，7日换手，
            <br>30日换手”等排序方式。

            <li>精品资讯
            <br>分类为：最新资讯、热门新闻、今
            <br>日公告、公司新闻、交易提示等。

            </ol>

            <p>[VIP功能]</p>
            <ol>
            <li>DDE决策系统
            <br>根据沪、深交易所提供的Level-2
            <br>原始行情信息，研发出判断资金
            <br>流向的分析模型，可依次对：当
            <br>日DDX，当日DDY，当日DDZ，
            <br>60日DDX，60日DDY，10日飘红，
            <br>连续飘红，最新涨幅进行排序查看。
            </ol>

            </html>"
        }
    }

    ToolBarLayout {
        id: gwHelpTools
        visible: true
        ToolIcon {
            id: backIcon
            visible: true
            iconId: "toolbar-back"
            anchors.left: parent === undefined ? undefined : parent.left
            onClicked: {
                pageStack.pop()
                appWindow.exitpages()
            }
        }
    }
}
