import QtQuick 1.1
import com.nokia.meego 1.0
import Brokenline 1.0
import MultiBrokenline 1.0
import KLineContainer 1.0

Page {
    id: klinePage
    tools: klineTools
    orientationLock: PageOrientation.LockPortrait

    property int switchmenutext: 1

    property int klinecrosshair_containerx : 0
    property int klinecrosshair_containery : 0
    property int klinecrosshairswidth : 0
    property int klinecrosshairsheight : 0
    property bool klinecrosshairsvisible : false
    property Rectangle recklinecontainer : null


    Rectangle{
        id: busyindicatorContainer
        color: "black"
        anchors.fill: klinePage
        visible: true
        z: 11

        BusyIndicator {
            id: busyInd
            anchors.centerIn: parent
            platformStyle: BusyIndicatorStyle {size: "large"}
            running: true
            visible: true
        }
    }



    GwTitleBar {
        id: gwTitleBar
        titlebarName: appWindow.currentstocknameandcode
        height: 60
    }

//    Component {
//        id: klinecomponent

        Rectangle {
            //Loader using source property does not support loading non-visual elements.
            id: klinecontainer
            color: "black" //"#313131"
            anchors.top: gwTitleBar.bottom
            anchors.left: parent.left
            anchors.right: parent.right
            anchors.bottom: parent.bottom
            z: 2
            visible: false

            // kline
            NumberColumn {
                id: klinecontainer1column
                column_x: 0
                column_y: 3
                columnwidth: 60
                columnheight: 440
                model: klinepricecolumnModel

                Binding {
                    target: klinecontainer1column
                    property: "klinepricecolumnModel"
                    value: klinepricecolumnModel
                }

            }

            KLineContainer {
                id: klinecontainer1

                x: klinecontainer1column.width
                y: 0
                width: 480 - klinecontainer1column.width
                height: 440
                z: 2
                klinelist: klinepricelist

                Binding {
                    target: klinecontainer1
                    property: "klinepricelist"
                    value: klinepricelist
                }

                onKlinelistChanged:
                {
                    if (klinecontainer.visible == false)
                    {
                        console.log("klinecontainer1.updateBoundRect()")
                        klinecontainer1.updateBoundRect()
                    }
                }
            }

            Rectangle {
                id: klinepriceborder

                x: 0
                y: 0
                width: 480
                height: klinecontainer1.y + klinecontainer1.height + 4
                color: "transparent"
                border.color: "#310000"
                border.width: 2
                radius: 8
            }

            MultiBrokenline {
                id: averagelineMA1
                x: klinecontainer1.x
                y: klinecontainer1.y
                z: 10
                width: klinecontainer1.width
                height: klinecontainer1.height
                vlines: vlinesMA1

                Binding {
                    target: averagelineMA1
                    property: "vlinesMA1"
                    value: vlinesMA1
                }

                onVlinesChanged: {
                    console.log("averagelineMA1.updateBoundRect()")
                    averagelineMA1.updateBoundRect()

                    busyindicatorContainer.visible = false
                    busyInd.running = false
                    busyInd.visible = false
                    klinecontainer.visible = false
                    klinecontainer.visible = true
                }
            }

//            Brokenline {
//                id: averagelineMA2
//                x: klinecontainer1.x
//                y: klinecontainer1.y
//                z: 10
//                width: klinecontainer1.width
//                height: klinecontainer1.height
//                brokenlinecolor: linecolorMA2
//                vlines: vlinesMA2

//                Binding {
//                    target: averagelineMA2
//                    property: "linecolorMA2"
//                    value: linecolorMA2
//                }

//                Binding {
//                    target: averagelineMA2
//                    property: "vlinesMA2"
//                    value: vlinesMA2
//                }

//                onVlinesChanged: {
//                    console.log("averagelineMA2.updateBoundRect()")
//                    averagelineMA2.updateBoundRect()
//                }
//            }

//            Brokenline {
//                id: averagelineMA3
//                x: klinecontainer1.x
//                y: klinecontainer1.y
//                z: 10
//                width: klinecontainer1.width
//                height: klinecontainer1.height
//                brokenlinecolor: linecolorMA3
//                vlines: vlinesMA3

//                Binding {
//                    target: averagelineMA3
//                    property: "linecolorMA3"
//                    value: linecolorMA3
//                }

//                Binding {
//                    target: averagelineMA3
//                    property: "vlinesMA3"
//                    value: vlinesMA3
//                }

//                onVlinesChanged: {
//                    console.log("averagelineMA3.updateBoundRect()")
//                    averagelineMA3.updateBoundRect()
//                }
//            }


//            Brokenline {
//                id: averagelineMA4
//                x: klinecontainer1.x
//                y: klinecontainer1.y
//                z: 10
//                width: klinecontainer1.width
//                height: klinecontainer1.height
//                brokenlinecolor: linecolorMA4
//                vlines: vlinesMA4

//                Binding {
//                    target: averagelineMA4
//                    property: "linecolorMA4"
//                    value: linecolorMA4
//                }

//                Binding {
//                    target: averagelineMA4
//                    property: "vlinesMA4"
//                    value: vlinesMA4
//                }

//                onVlinesChanged: {
//                    console.log("averagelineMA4.updateBoundRect()")
//                    averagelineMA4.updateBoundRect()

//                    busyindicatorContainer.visible = false
//                    busyInd.running = false
//                    busyInd.visible = false
//                    klinecontainer.visible = false
//                    klinecontainer.visible = true
//                }
//            }

            // volumn container
            NumberColumn {
                id: klinevolumecontainer1column
                column_x: 0
                column_y: klinecontainer1column.y + klinecontainer1column.height + 20
                columnwidth: klinecontainer1column.width
                columnheight: 220
                model: klinevolumecolumnModel

                Binding {
                    target: klinevolumecontainer1column
                    property: "klinevolumecolumnModel"
                    value: klinevolumecolumnModel
                }
            }

            KLineContainer {
                id: klinevolumecontainer1

                x: klinevolumecontainer1column.width
                y: klinevolumecontainer1column.y
                width: 480 - klinevolumecontainer1column.width
                height: klinevolumecontainer1column.height
                z: 2

                klinelist: klinevolumelist

                Binding {
                    target: klinevolumecontainer1
                    property: "klinevolumelist"
                    value: klinevolumelist
                }

                onKlinelistChanged:
                {
                    if (klinecontainer.visible == false)
                    {
                        console.log("klinevolumecontainer1.updateBoundRect()")
                        klinevolumecontainer1.updateBoundRect()
                    }
                }
            }

            Rectangle {
                id: klinevolumnborder

                x: 0
                y: klinevolumecontainer1.y - 2
                width: 480
                height: klinevolumecontainer1.height + 3
                color: "transparent"
                border.color: "#310000"
                border.width: 2
                radius: 8
            }

            CrossHairs {
                id: klinecrosshairs

                crosshairs_containerx: klinecrosshair_containerx
                crosshairs_containery: klinecrosshair_containery
                crosshairswidth: klinecrosshairswidth
                crosshairsheight: klinecrosshairsheight
                crosshairs_x: klinecrosshairs_x
                crosshairs_y: klinecrosshairs_y
                crosshairsvisible: klinecrosshairsvisible
            }


            MouseArea {
                id: region1
                anchors.fill: parent
                onClicked: {
                    klinecrosshair_containerx = klinecontainer1.x
                    klinecrosshair_containery = klinecontainer1.y
                    klinecrosshairswidth = klinecontainer1.width
                    klinecrosshairsheight = klinecontainer1.height

                    klinecrosshairsvisible = false
                    appWindow.clickedKLine(0, mouseX - klinecontainer1.x)

                }

                onPositionChanged: {
                    klinecrosshair_containerx = klinecontainer1.x
                    klinecrosshair_containery = klinecontainer1.y
                    klinecrosshairswidth = klinecontainer1.width
                    klinecrosshairsheight = klinecontainer1.height

                    klinecrosshairsvisible = false
                    appWindow.clickedKLine(0, mouseX - klinecontainer1.x)

                }
            }

            Rectangle {
                id: stockindicator

                x: klinecontainer1column.x
                y: klinecontainer1column.y
                width: 82
                height:klinecontainer1column.height
                border.color: "darkgrey"
                border.width: 2
                opacity: 0.9
                radius: 3
                color: "#202020"
                visible: klinecrosshairsvisible
                z: 8

                InfoBoard {
                    id: stockindicatorboard

                    ib_x: parent.border.width * 2 + 1
                    ib_y: 0
                    ibwidth: parent.width - 2 * parent.border.width
                    ibheight: parent.height
                    fontsize: 16

                    rownum: 16
                    columnnum: 1

                    infomodel: stockindicatormodel
                    boardvisible: klinecrosshairsvisible

                    Binding {
                        target: stockindicatorboard
                        property: "stockindicatormodel"
                        value: stockindicatormodel
                    }

                    onInfomodelChanged: {
                        if (klinecrosshairswidth > 0 && klinecrosshairsheight > 0)
                        {
                            klinecrosshairsvisible = true
                        }
                    }
                }
            }

            //        InfoBoard {
            //            id: buysellboard

            //            ib_x: 0
            //            ib_y: klinevolumecontainer1.y + klinevolumecontainer1.height + 10
            //            ibwidth: 240
            //            ibheight: 120

            //            rownum: 5
            //            columnnum: 3

            //            infomodel: buysellmodel
            //            boardvisible: true

            //            Binding {
            //                target: buysellboard
            //                property: "buysellmodel"
            //                value: buysellmodel
            //            }
            //        }

            //        InfoBoard {
            //            id: buysellboard2
            //            ib_x: 240
            //            ib_y: buysellboard.y
            //            ibwidth: 240
            //            ibheight: 120
            //            rownum: 5
            //            columnnum: 3
            //            infomodel: buysellmodel2
            //            boardvisible: true
            //            Binding {
            //                target: buysellboard2
            //                property: "buysellmodel2"
            //                value: buysellmodel2
            //            }
            //        }

            //        InfoBoard {
            //            id: pankouboard

            //            ib_x: 20
            //            ib_y: buysellboard.y
            //            ibwidth: 240
            //            ibheight: 120

            //            rownum: 4
            //            columnnum: 4

            //            infomodel: pankoumodel
            //            boardvisible: true

            //            Binding {
            //                target: pankouboard
            //                property: "pankoumodel"
            //                value: pankoumodel
            //            }
            //        }

            //        InfoBoard {
            //            id: pankouboard2
            //            ib_x: 240 + pankouboard.x
            //            ib_y: pankouboard.y
            //            ibwidth: 240
            //            ibheight: 120
            //            rownum: 4
            //            columnnum: 4
            //            infomodel: pankoumodel2
            //            boardvisible: false
            //            Binding {
            //                target: pankouboard2
            //                property: "pankoumodel2"
            //                value: pankoumodel2
            //            }
            //        }

            Component.onCompleted: {
                console.log("klinecontainer component completed.")
                busyindicatorContainer.visible = true
                busyInd.running = true
                busyInd.visible = true
                appWindow.officiallyKLineDrawing()
            }
        } /*The end of rectangle*/

    //}


    ToolBarLayout {
        id: klineTools
        visible: true
        ToolIcon {
            id: backIcon
            visible: true
            z: 5
            iconId: "toolbar-back"
            anchors.left: parent === undefined ? undefined : parent.left
            onClicked: {
                klinecrosshairsvisible = false
                klinecrosshairswidth = 0
                klinecrosshairsheight = 0
                klinecontainer.visible = false
//                if (recklinecontainer)
//                {
//                    recklinecontainer.destroy()
//                    recklinecontainer = null
//                }
                myNetworkManager.checkNetworkAvailable2()
                if (myNetworkManager.stocknetworkstatus === 0)
                {
                    appWindow.openTimeSharing()
                    pageStack.replace(Qt.resolvedUrl("TimeSharing.qml"))
                }
            }
        }

        MouseArea {
            id: toolbarRegion1

            anchors.fill: parent
            onClicked: {
                klinecrosshairsvisible = false
            }
        }
    }

    Menu {
        id: myMenu
        visualParent: pageStack
        MenuLayout {
            MenuItem {
                id: pankouMenu
                text: (switchmenutext == 1) ? "盘口" : "买卖"
                onClicked: {
                    if (switchmenutext == 1)
                    {
                        pankouboard.boardvisible = true
                        pankouboard2.boardvisible = true
                        buysellboard.boardvisible = false
                        buysellboard2.boardvisible = false
                        appWindow.switchToPanKou()
                        switchmenutext = 0
                    }
                    else
                    {
                        pankouboard.boardvisible = false
                        pankouboard2.boardvisible = false
                        buysellboard.boardvisible = true
                        buysellboard2.boardvisible = true
                        appWindow.switchToBuySell()
                        switchmenutext = 1
                    }
                }
            }
        }
    }
}
