import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    id: latestbrowsePage
    tools: latestbrowseTools
    orientationLock: PageOrientation.LockPortrait

    property Item listviewObject;

    GwTitleBar {
        id: gwTitleBar
        titlebarName: "最近浏览"
        height: 60

        function loadListView(){
            var varcomponent = Qt.createComponent("LatestBrowseListView.qml");
            if (varcomponent.status == Component.Ready) {
                var varlistview = varcomponent.createObject(latestbrowsePage);
                varlistview.iListNum = 4;
                varlistview.iListRange = 106;
                varlistview.titlename = "最近浏览";
                listviewObject = varlistview;
            }
        }

        Component.onCompleted: {
            loadListView()
        }
    }

//    LatestBrowseListView {
//        id:latestbrowseListviewBackground
//        iListNum: 4
//        iListRange: 106
//        titlename: "最近浏览"
//    }

    ToolBarLayout {
        id: latestbrowseTools
        visible: true
        ToolIcon {
            id: backIcon
            visible: true
            iconId: "toolbar-back"
            anchors.left: parent === undefined ? undefined : parent.left
            onClicked: {
                if(myMenu.status != DialogStatus.Closed)
                {
                    myMenu.close()
                }
                appWindow.exitpages()
                listviewObject.destroy()
                pageStack.pop()
            }
        }

        ToolIcon {
            id: menuIcon
            visible: true
            //platformIconId: "toolbar-view-menu"
            iconId: "toolbar-view-menu"
            //iconId: "icon-m-toolbar-view-menu"
            anchors.right: parent === undefined ? undefined : parent.right
            //anchors.centerIn: parent
            onClicked: (myMenu.status == DialogStatus.Closed) ? myMenu.open() : myMenu.close()
        }
    }

    Menu {
        id: myMenu
        visualParent: pageStack
        MenuLayout {
            MenuItem {
                id: removeallMenu
                text: "清空记录"
                property QueryDialog queryDialog
                onClicked: {
                    //myLatestBrowseList.RemoveAllItems()
                    //appWindow.openLatestBrowsePage()//update latestbrowseModel
                    if (!queryDialog)
                        queryDialog = queryDialogComponent.createObject(removeallMenu)
                    queryDialog.open()
                }
            }
        }
    }

    Component {
        id: queryDialogComponent
        QueryDialog {
            id:closeQueryDialog
            acceptButtonText: "确认"
            rejectButtonText: "取消"
            message: "确认清空记录?"
            titleText: "清空确认"
            onAccepted: {
                myLatestBrowseList.RemoveAllItems()
                appWindow.openLatestBrowsePage()
            }
        }
    }
}
