import QtQuick 1.1
import com.nokia.meego 1.0
import QtWebKit 1.0

Page {
    id: gwMultiTouchWebPage
    tools: webpageTools
    orientationLock: PageOrientation.LockPortrait

    property int restoreScale : 1

    Connections {
        target: multitouch
        onScaleFactor: {
            webView.scale = multitouch.getDuplicateScaleFactor()//scale;
            flic.contentWidth = webView.width * multitouch.getDuplicateScaleFactor()//scale
            flic.contentHeight = webView.height * multitouch.getDuplicateScaleFactor()//scale
        }
    }

    Flickable{
        id: flic
        objectName: "flickObj"
        width: parent.width
        contentWidth: webView.width
        contentHeight: webView.height
        anchors.fill: parent


        WebView {
            id: webView
            transformOrigin: Item.Center
            anchors.centerIn: parent
            settings.defaultFontSize: 22
            settings.defaultFixedFontSize: 22
            settings.minimumFontSize: 22
            settings.minimumLogicalFontSize: 22
            url: "http://mnews.gw.com.cn/wap/news/news/gaoduan/index.html"
            preferredWidth: flic.width
            preferredHeight: flic.height
            visible: !busyInd.visible

            onLoadFailed:
            {
                if (busyInd.visible == true)
                {
                    pageStack.pop()
                    appWindow.exitpages()
                }
            }

            onLoadFinished :
            {
                busyInd.visible = false
                busyInd.running = false
                webpageTools.visible = true
                //backIcon.visible = true

                webView.scale = restoreScale
                flic.contentWidth = webView.width * restoreScale
                flic.contentHeight = webView.height * restoreScale
                multitouch.resetDuplicateScaleFactor()
                flic.contentY = 0
            }
        }
    }

    ToolBarLayout {
        id: webpageTools
        visible: false
        ToolIcon {
            id: backIcon
            visible: true//false
            iconId: "toolbar-back"
            onClicked: {
                if (webView.url == "http://mnews.gw.com.cn/wap/news/news/gaoduan/index.html")
                {
                    pageStack.pop()
                    appWindow.exitpages()
                }
                else
                {
                    webView.back.trigger()
                }
            }
        }
    }//endof webpageTools

    BusyIndicator {
        id: busyInd
        anchors.centerIn: parent
        platformStyle: BusyIndicatorStyle {size: "large"}
        running: true
        visible: true
    }
}
