import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    id: gwNetworkCautionPage
    orientationLock: PageOrientation.LockPortrait

    BusyIndicator {
        id: busyInd
        anchors.centerIn: parent
        platformStyle: BusyIndicatorStyle {size: "large"}
        running: true
        visible: true
    }

    Rectangle {
        id: recNetworkCaution
        anchors.fill: gwNetworkCautionPage
        color: "black"
        visible: true

        Text {
            id: titleField
            z: 5
            height: 50
            y: parent.height / 2 - titleField.height
            font.pixelSize: 40
            horizontalAlignment: Text.AlignHCenter
            width: parent.width
            color: "white"
            text: "网络故障"
        }

        Item {
            id: name
            z: 5
            height: 50
            y: titleField.y + 50
            width: parent.width
            Text {
                id: text
                font.pixelSize: 22
                anchors.centerIn: parent
                color: "white"
                text: "网络中断, 请重新连接网络, \n并退回到最上级菜单."
            }
        }

        ButtonRow {
            style: ButtonStyle { }
            z: 6;
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: name.bottom
            Button {id: button1; text: "OK";  onClicked:
                {
                    console.log("Network Caution Dialog clicked.")
                    recNetworkCaution.visible = false
                    busyInd.running = true
                    busyInd.visible = true
                    appWindow.openNewInternetSelectionDialog()
                    pageStack.pop(null)
                    appWindow.exitpages()


                }
            }

            Button {id: button2; text: "Cancel";  onClicked:
                {
                    pageStack.pop()
                }
            }
        }
    }
}
