import QtQuick 1.1
import com.nokia.meego 1.0
import Brokenline 1.0

Page {
    id: timesharingPage
    tools: timesharingTools
    orientationLock: PageOrientation.LockPortrait

    property int timesharingcrosshair_containerx : 0
    property int timesharingcrosshair_containery : 0
    property int timesharingcrosshairswidth : 0
    property int timesharingcrosshairsheight : 0
    property bool timesharingcrosshairsvisible : false
    property bool timesharingbuysellboardvisible : true
    property Rectangle rectimesharing: null

    property int switchmenutext: 1


    Rectangle{
        id: busyindicatorContainer
        color: "black"
        anchors.fill: timesharingPage
        visible: true
        z: 11

        BusyIndicator {
            id: busyInd
            anchors.centerIn: parent
            platformStyle: BusyIndicatorStyle {size: "large"}
            running: true
            visible: true
        }

    }

    GwTitleBar {
        id: gwTitleBar
        titlebarName: appWindow.currentstocknameandcode
        height: 60
    }

//    Component {
//        id: timesharingcomponent
        Rectangle {
            id: timesharing
            color: "black"//"#313131"
            anchors.top: gwTitleBar.bottom
            anchors.left: parent.left
            anchors.right: parent.right
            anchors.bottom: parent.bottom


            NumberColumn {
                id: outbrokenlinecolumn
                column_x: 3
                column_y: 2
                columnwidth: 57
                columnheight: 360
                model: pricecolumnModel
                fontsize: 14

//                Binding {
//                    target: outbrokenlinecolumn
//                    property: "pricecolumnModel"
//                    value: pricecolumnModel
//                }

            }

            Brokenline {
                id: outbrokenline
                x: outbrokenlinecolumn.x
                y: outbrokenlinecolumn.y
                width: 480
                height: 360
                z: 10
                brokenlinecolor: "white"
                vlines: vlinesprice

                onVlinesChanged: {
                    outbrokenline.updateBoundRect()

                    busyindicatorContainer.visible = false
                    busyInd.running = false
                    busyInd.visible = false
                }
            }

            GridCanvas {
                id: timesharingcanvas
                grid_x: outbrokenline.x
                grid_y: outbrokenline.y
                gridwidth: outbrokenline.width - 6
                gridheight: outbrokenline.height
            }

            // bottom part //

            NumberColumn {
                id: volumebrokenlinecolumn
                column_x: 0
                column_y: outbrokenline.y + outbrokenline.height + 20
                columnwidth: outbrokenlinecolumn.width
                columnheight: 180
                model: volumncolumnModel
                fontsize: 14

//                Binding {
//                    target: volumebrokenlinecolumn
//                    property: "volumncolumnModel"
//                    value: volumncolumnModel
//                }

            }

            Brokenline {
                id: volumebrokenline
                x: volumebrokenlinecolumn.x
                y: volumebrokenlinecolumn.y
                width: 480
                height: volumebrokenlinecolumn.height
                z: 10
                brokenlinecolor: "yellow"
                vlines: vlinesvolumn

                onVlinesChanged: {
                    volumebrokenline.updateBoundRect()
                }
            }

            Rectangle {
                id: timesharingpriceborder

                x: 0
                y: 0
                width: 480
                height: volumebrokenline.y + volumebrokenline. height + 4
                color: "transparent"
                border.color: "#310000"
                border.width: 2
                radius: 8
            }


            InfoBoard {
                id: buysellboard
                z: 2
                ib_x: 0
                ib_y: volumebrokenline.y + volumebrokenline.height + 10
                ibwidth: 240
                ibheight: 120

                rownum: 5
                columnnum: 3

                infomodel: buysellmodel
                boardvisible: (appWindow.needbuysellboarddisplay === true) ? timesharingbuysellboardvisible : appWindow.needbuysellboarddisplay

//                Binding {
//                    target: buysellboard
//                    property: "buysellmodel"
//                    value: buysellmodel
//                }
            }

            InfoBoard {
                id: buysellboard2
                z: 2

                ib_x: 240
                ib_y: buysellboard.y
                ibwidth: 240
                ibheight: 120
                rownum: 5
                columnnum: 3
                infomodel: buysellmodel2
                boardvisible: (appWindow.needbuysellboarddisplay === true) ? timesharingbuysellboardvisible : appWindow.needbuysellboarddisplay
//                Binding {
//                    target: buysellboard2
//                    property: "buysellmodel2"
//                    value: buysellmodel2
//                }
            }

            InfoBoard {
                id: pankouboard
                z: 2

                ib_x: 20
                ib_y: buysellboard.y
                ibwidth: 240
                ibheight: 120

                rownum: 4
                columnnum: 4

                infomodel: pankoumodel
                boardvisible: (appWindow.needbuysellboarddisplay === true) ? !timesharingbuysellboardvisible : !appWindow.needbuysellboarddisplay

//                Binding {
//                    target: pankouboard
//                    property: "pankoumodel"
//                    value: pankoumodel
//                }
            }

            InfoBoard {
                id: pankouboard2
                z: 2
                ib_x: 240 + pankouboard.x
                ib_y: pankouboard.y
                ibwidth: 240
                ibheight: 120
                rownum: 4
                columnnum: 4
                infomodel: pankoumodel2
                boardvisible:  (appWindow.needbuysellboarddisplay === true) ? !timesharingbuysellboardvisible : !appWindow.needbuysellboarddisplay
//                Binding {
//                    target: pankouboard2
//                    property: "pankoumodel2"
//                    value: pankoumodel2
//                }
            }

            Rectangle {
                id: timesharingboardborder

                x: 0
                y: buysellboard.y - 2
                width: 480
                height: buysellboard.height - 5
                color: "transparent"
                border.color: "#310000"
                border.width: 2
                radius: 8
            }

            CrossHairs {
                id: timesharingcrosshairs
                z: 12
                crosshairs_containerx: timesharingcrosshair_containerx
                crosshairs_containery: timesharingcrosshair_containery
                crosshairswidth: timesharingcrosshairswidth
                crosshairsheight: timesharingcrosshairsheight
                crosshairs_x: timesharingcrosshairs_x
                crosshairs_y: timesharingcrosshairs_y
                crosshairsvisible: timesharingcrosshairsvisible
            }


            MouseArea {
                id: region1
                anchors.fill: parent
                onClicked: {
                    timesharingcrosshair_containerx = outbrokenline.x
                    timesharingcrosshair_containery = outbrokenline.y
                    timesharingcrosshairswidth = outbrokenline.width
                    timesharingcrosshairsheight = outbrokenline.height

                    timesharingcrosshairsvisible = false
                    appWindow.clickedTimeSharing(0, mouseX - outbrokenline.x)

                }

                onPositionChanged: {
                    timesharingcrosshair_containerx = outbrokenline.x
                    timesharingcrosshair_containery = outbrokenline.y
                    timesharingcrosshairswidth = outbrokenline.width
                    timesharingcrosshairsheight = outbrokenline.height

                    appWindow.clickedTimeSharing(0, mouseX - outbrokenline.x)
                }
            }

            Rectangle {
                id: timesharingstockindicator

                x: outbrokenlinecolumn.x
                y: outbrokenlinecolumn.y
                width: 82
                height:outbrokenlinecolumn.height
                border.color: "darkgrey"
                border.width: 2
                opacity: 0.9
                radius: 3
                color: "#202020"
                visible: timesharingcrosshairsvisible
                z: 12

                InfoBoard {
                    id: timesharingstockindicatorboard

                    ib_x: parent.border.width * 3 + 1
                    ib_y: 0
                    ibwidth: parent.width - 2 * parent.border.width
                    ibheight: parent.height
                    fontsize: 16

                    rownum: 10
                    columnnum: 1

                    infomodel: timesharingstockindicatormodel
                    boardvisible: timesharingcrosshairsvisible


                    onInfomodelChanged: {
                        if (timesharingcrosshairswidth > 0 && timesharingcrosshairsheight > 0)
                        {
                            timesharingcrosshairsvisible = true
                        }
                    }
                }
            }

            Component.onCompleted: {
                busyindicatorContainer.visible = true
                busyInd.running = true
                busyInd.visible = true
                //appWindow.officiallyStartTimeSharingDrawing()
            }
        } /*The end of rectangle*/
    //}

    ToolBarLayout {
        id: timesharingTools
        visible: true
        ToolIcon {
            id: backIcon
            z: 5
            visible: true
            iconId: "toolbar-back"
            anchors.left: parent === undefined ? undefined : parent.left
            onClicked: {
                timesharing.visible = false
//                if (rectimesharing)
//                {
//                    rectimesharing.destroy()
//                    rectimesharing = null
//                }

                if (myMenu.status != DialogStatus.Closed)
                {
                    myMenu.close()
                }
                else if (myMenu2.status != DialogStatus.Closed)
                {
                    myMenu2.close()
                }

                pageStack.pop()
                appWindow.exitpages()

                if (appWindow.lastjumpurlid == 10)
                {
                    appWindow.openStockQueryPage()//send global sigal to slotsmanager
                }

                else if (appWindow.lastjumpurlid == 8)
                {
                    appWindow.openUserSelectionPage()
                }

                else if (appWindow.lastjumpurlid == 4)
                {
                    appWindow.openLatestBrowsePage()
                }

                else if (appWindow.lastjumpurlid == 5)
                {
                    appWindow.openQuotationPage()
                }

                else if (appWindow.lastjumpurlid == 9)
                {
                    appWindow.openPlateIndexPage()
                }

                else if (appWindow.lastjumpurlid == 6)
                {
                    appWindow.openGlobalMarketPage()
                }

                else if (appWindow.lastjumpurlid == 30)
                {
                    appWindow.openDecisionSystemPage()
                }

                else if (appWindow.lastjumpurlid == 2)
                {
                    appWindow.openPhaseStatisticsPage()
                }

                else if (appWindow.lastjumpurlid == 2)
                {
                    appWindow.openWebPage()
                    //busyInd.running = true
                }
            }
        }

        ToolIcon {
            id: menuIcon
            z: 5
            visible: true
            iconId: "toolbar-view-menu"
            //platformIconId: "toolbar-view-menu"
            anchors.right: parent === undefined ? undefined : parent.right
            onClicked:
            {
                if (appWindow.needbuysellboarddisplay)
                {
                    if (myMenu.status == DialogStatus.Closed)
                    {
                        myMenu.open()
                    }
                    else
                    {
                        myMenu.close()
                    }
                }
                else
                {
                    if (myMenu2.status == DialogStatus.Closed)
                    {
                        myMenu2.open()
                    }
                    else
                    {
                        myMenu2.close()
                    }
                }
            }
        }

        MouseArea {
            id: toolbarRegion1

            anchors.fill: parent
            onClicked: {
                timesharingcrosshairsvisible = false
            }
        }

    }

    Menu {
        id: myMenu
        visualParent: pageStack
        visible: appWindow.needbuysellboarddisplay
        MenuLayout {
            MenuItem {
                id: klineMenu
                text: "K线"
                onClicked: {
                    timesharing.visible = false
//                    if (rectimesharing)
//                    {
//                        rectimesharing.destroy()
//                        rectimesharing = null
//                    }
                    myNetworkManager.checkNetworkAvailable2()
                    if (myNetworkManager.stocknetworkstatus === 0)
                    {
                        appWindow.openKLine()
                        pageStack.replace(Qt.resolvedUrl("KLine.qml"))
                    }
                }
            }
            MenuItem {
                id: pankouMenu
                text: (switchmenutext == 1) ? "盘口" : "买卖"
                onClicked: {
                    if (switchmenutext == 1)
                    {
                        timesharingbuysellboardvisible = false
                        appWindow.switchToPanKou()
                        switchmenutext = 0
                    }
                    else
                    {
                        timesharingbuysellboardvisible = true
                        appWindow.switchToBuySell()
                        switchmenutext = 1
                    }
                }
            }
        }
    } /*The end of menu*/

    Menu {
        id: myMenu2
        visualParent: pageStack
        visible: !appWindow.needbuysellboarddisplay
        MenuLayout {
            MenuItem {
                id: klineMenu2
                text: "K线"
                onClicked: {
                    timesharing.visible = false
//                    if (rectimesharing)
//                    {
//                        rectimesharing.destroy()
//                        rectimesharing = null
//                    }
                    myNetworkManager.checkNetworkAvailable2()
                    if (myNetworkManager.stocknetworkstatus === 0)
                    {
                        appWindow.openKLine()
                        pageStack.replace(Qt.resolvedUrl("KLine.qml"))
                    }
                }
            }
        }
    } /*The end of menu*/
}
