import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    id: userselectionadditemsPage
    orientationLock: PageOrientation.LockPortrait
    tools: userselectionadditemsTools

    property int itemCheckCount : 0
    property int ignorefirst:0

    GwTitleBar {
        id: gwTitleBar
        titlebarName: "添加自选"
        height: 60
    }

    Rectangle {
        id: justForGetBlackBackground
        anchors.top: gwTitleBar.bottom
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.bottom: parent.bottom
        color: "black"

        TextField {
            id: queryTextField
            anchors.top: parent.top
            anchors.topMargin: 10
            anchors.left:parent.left
            anchors.leftMargin: parent.width * 1/16
            width: 300
            focus: true
            inputMethodHints: Qt.ImhNoPredictiveText
            maximumLength: 6

            Keys.onReturnPressed: {
                userselectionadditemsPage.ignorefirst = 0;
                myStockQuery.queryStockSubmit(queryTextField.text);//make all formats queriable
                queryTextField.platformCloseSoftwareInputPanel();
                queryListView.focus = true
                myUserSelectionList.ClearAddList()
            }

        }

        Button {
            id: submitButton
            anchors.top: parent.top
            anchors.topMargin: 10
            anchors.right: parent.right
            anchors.rightMargin: parent.width * 1/16
            width: 80
            text: "提交"

            onClicked: {
                userselectionadditemsPage.ignorefirst = 0;
                myStockQuery.queryStockSubmit(queryTextField.text);//make all formats queriable
                myUserSelectionList.ClearAddList()
            }
        }

        Label {
            id: notfoundLabel
            anchors.centerIn: parent
            text: "您请求的股票不存在"
            visible:false
        }

        Timer {
            id: labelFadeTimer
            interval: 2000
            running: false
            repeat: false
            onTriggered: notfoundLabel.visible = false
        }


        ListView {
            id: queryListView
            anchors.top: queryTextField.bottom
            anchors.topMargin: 10
            anchors.left: parent.left
            anchors.leftMargin: parent.width * 1/16
            anchors.right: parent.right
            anchors.rightMargin: parent.width * 1/16
            anchors.bottom: parent.bottom
            //preferredHighlightBegin: 0
            //preferredHighlightEnd: 50
            //highlightRangeMode: ListView.StrictlyEnforceRange
            cacheBuffer: 500
            boundsBehavior: Flickable.StopAtBounds

            delegate: Rectangle {

                            id: queryItem
                            width: queryListView.width
                            height: 50
                            color: index % 2 ? "black" : "#313131"

                            CheckBox {
                                id: userselectionCheckBox
                                anchors.left: parent.left
                                anchors.top: parent.top
                                anchors.bottom: parent.bottom
                                width: parent.width * 1/8
                                height: parent.height
                                onCheckedChanged: {
                                    if (checked)
                                    {
                                        myUserSelectionList.AddQueryItemToAddList(code)
                                        itemCheckCount++;
                                        if (itemCheckCount > 0)
                                        {
                                            addButton.visible = true
                                        }
                                    }
                                    else
                                    {
                                        myUserSelectionList.RemoveQueryItemfromAddList(code)
                                        itemCheckCount--;
                                        if (itemCheckCount == 0)
                                        {
                                            addButton.visible = false
                                        }
                                    }
                                }
                            }

                            Text {
                                id: codeText

                                x: parent.width * 1/8
                                width: parent.width * 2/8
                                height: parent.height
                                text: code
                                horizontalAlignment: Text.AlignHCenter
                                verticalAlignment: Text.AlignVCenter
                                font.pixelSize: 25
                                color: "white"
                            }

                            Text {
                                id: nameText

                                x: parent.width * 3/8
                                width: parent.width * 5/8
                                height: parent.height
                                text: name
                                horizontalAlignment: Text.AlignHCenter
                                verticalAlignment: Text.AlignVCenter
                                font.pixelSize: 25
                                color: "white"
                            }

                      }
            model: queryModel
            clip: true

            onModelChanged: {
                if (count > 0){

                }
                else
                {
                    addButton.visible = false
                }
            }

            onCountChanged:
            {
                //console.log("GW-----------------how to deal with the label " + count)
                if (userselectionadditemsPage.ignorefirst)
                {
                    if (queryListView.count == 0)
                    {
                        notfoundLabel.visible = true
                        labelFadeTimer.running = true
                    }
                    else
                    {
                        notfoundLabel.visible = false
                        labelFadeTimer.running = false
                    }
                }
                else
                {
                    userselectionadditemsPage.ignorefirst++;
                }
            }
        }

        ToolBarLayout {
            id: userselectionadditemsTools
            visible: true
            ToolIcon {
                id: backIcon
                visible: true
                iconId: "toolbar-back"
                anchors.left: parent === undefined ? undefined : parent.left
                onClicked: {
                    //queryModel.clear()
                    userselectionadditemsPage.ignorefirst = 0;
                    pageStack.pop()
                    appWindow.exitpages()
                    appWindow.openUserSelectionPage()
                }
            }

            ToolButton {
                id: addButton
                anchors.centerIn: parent
                width: 260
                visible: false
                text: "添加至我的自选"
                onClicked: {
                    userselectionadditemsPage.ignorefirst = 0;
                    myUserSelectionList.WriteAddListToFile()
                    pageStack.pop()
                    appWindow.exitpages()
                    appWindow.openUserSelectionPage()
                }
            }
        }
    }//justForGetBlackBackground
}
