import QtQuick 1.1

Rectangle {
    id: userselectionListviewBackground
    color: "black"
    anchors.top: gwTitleBar.bottom
    anchors.left: parent.left
    anchors.right: parent.right
    anchors.bottom: parent.bottom

    property int iListRange: 107
    property int iListNum: 8
    property color titlecolor: "#d7d7d7"
    property alias titlename : fixedTitleText.text

    Flickable {
        id: flickableContainer
        anchors.fill: parent
        anchors.topMargin: 10
        width: parent.width
        height: parent.height
        contentWidth: 1920
        contentHeight: myListView.height
        flickableDirection: Flickable.HorizontalFlick
        boundsBehavior:Flickable.StopAtBounds

        ListView {
            id: myListView
            width: 1920
            height: flickableContainer.height-topHeaderRow.height
            orientation: ListView.Vertical
            anchors.top: topHeaderRow.bottom;
            //anchors.bottom: flickableContainer.bottom
            delegate: listDelegate
            model: userselectionModel
            clip: true
            //preferredHighlightBegin: 0
            //preferredHighlightEnd: 50
            highlightRangeMode: ListView.StrictlyEnforceRange
            snapMode: ListView.SnapToItem
            smooth: true
            footer:
                Text {
                id: myListViewFooter
                x: flickableContainer.contentX
                width: 480
                height: 50
                text: "当前显示第" + Math.min(leftView.count, (myListView.currentIndex+1)) + "条~第" + Math.max(Math.min(leftView.count, (myListView.currentIndex+1)), (Math.min(Math.ceil(Math.max(myListView.contentHeight - leftView.contentY, 0)/50) + leftView.currentIndex, leftView.count))) + "条"
                color: "white";
                font.pointSize: 16
                horizontalAlignment: Text.AlignHCenter
            }

//            onCurrentIndexChanged: {
//                if (currentIndex + 15 >= count)
//                {
//                    myListViewTimer.running = false
//                    myUserSelectionList.DisplayQuotesList(count + 1, 0x0100, 0, 0, 0)
//                }
//            }

//            onModelChanged: {
//                //loadingTimer.running = true
//                myListViewTimer.running = true
//                positionViewAtIndex(currentIndex, ListView.Beginning)
//            }

//            onCountChanged: {
//                if (myListViewTimer.running == false)
//                {
//                    flickableContainerOpacityAnimationFade.running = true
//                    flickableContainerOpacityAnimationVisible.running = true
//                }
//            }

//            PropertyAnimation {
//                    id: flickableContainerOpacityAnimationFade
//                    from : 1
//                    to: 0.5;
//                    target: customListviewBackground
//                    property:"opacity"
//                    duration:0
//            }

//            PropertyAnimation {
//                    id: flickableContainerOpacityAnimationVisible
//                    from: 0.5
//                    to: 1;
//                    target: customListviewBackground
//                    property:"opacity"
//                    duration:1000
//            }

//            Timer {
//                id: myListViewTimer
//                interval: 5000
//                running: false
//                repeat: true
//                onTriggered: {
//                    if (myListView.verticalVelocity == 0 && myListViewTimer.running == true)
//                    {
//                        myUserSelectionList.DisplayQuotesList(myListView.currentIndex, 0x200, 0, 0, 0)
//                    }
//                }
//            }
            onCountChanged: {
                appWindow.userselection_saveItemsNum = myListView.count
            }
        }


        Row {
            id: topHeaderRow
            x:120
            width: 1800
            height: 50

            Rectangle {
                id: listTitleRectangle
                width:topHeaderRow.width
                height: topHeaderRow.height

                Item {
                    id: listTileContainer
                    width: listTitleRectangle.width
                    height: listTitleRectangle.height

                    Rectangle{
                        id: flickableTableTitle
                        x:0
                        height: listTileContainer.height
                        width: listTileContainer.width

                        gradient: Gradient {
                            id: titleGradient
                            GradientStop {position: 0.0; color:"#636363"}
                            GradientStop {position: 0.6; color:"#131313"}
                            GradientStop {position: 0.7; color:"black"}
                            GradientStop {position: 1.0; color:"black"}
                        }

                        Rectangle {
                            id:newpriceTitleCotainer
                            x: 0
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {
                                id: newpriceTitle
                                text: "最新"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof newpriceTitle

//                            MouseArea {
//                                id: sortbyNewprice
//                                anchors.fill: parent
//                                property bool first: true
//                                onClicked: {
//                                    if (first){
//                                        myUserSelectionList.DisplayQuotesList(0,iListNum,iListRange,4,0)
//                                        first = !first
//                                    }
//                                    else
//                                    {
//                                        myUserSelectionList.DisplayQuotesList(0,iListNum,iListRange,4,1)
//                                        first = !first
//                                    }
//                                }
//                            }//endof mousearea
                        }

                        Rectangle {
                            id:raiserateTitleCotainer
                            x: 120
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {
                                id: raiserateTitle
                                text: "涨幅%"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof raiserateTitle

//                            MouseArea {
//                                id: sortbyRaiserate
//                                anchors.fill: parent
//                                property bool first: true
//                                onClicked: {
//                                    if (first){
//                                        myUserSelectionList.DisplayQuotesList(0,iListNum,iListRange,1,1)
//                                        first = !first
//                                    }
//                                    else
//                                    {
//                                        myUserSelectionList.DisplayQuotesList(0,iListNum,iListRange,1,0)
//                                        first = !first
//                                    }
//                                }
//                            }//endof mousearea
                        }

                        Rectangle {
                            id:raiseamountTitleCotainer
                            x: 240
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {
                                id: raiseamountTitle
                                text: "涨跌"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof raiseamountTitle
                        }

                        Rectangle {
                            id:yesterdaypriceTitleCotainer
                            x: 360
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {
                                id: yesterdaypriceTitle
                                text: "昨收"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof yesterdaypriceTitle
                        }

                        Rectangle {
                            id:dealquantityTitleCotainer
                            x: 480
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {
                                id: dealquantityTitle
                                text: "成交量"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof dealquantityTitle

//                            MouseArea {
//                                id: sortbydealquantity
//                                anchors.fill: parent
//                                property bool first: true
//                                onClicked: {
//                                    if (first){
//                                        myUserSelectionList.DisplayQuotesList(0,iListNum,iListRange,2,0)
//                                        first = !first
//                                    }
//                                    else
//                                    {
//                                        myUserSelectionList.DisplayQuotesList(0,iListNum,iListRange,2,1)
//                                        first = !first
//                                    }
//                                }
//                            }//endof mousearea
                        }

                        Rectangle {
                            id:dealquoteTitleCotainer
                            x: 600
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {
                                id: dealquoteTitle
                                text: "成交额"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof dealquoteTitle

//                            MouseArea {
//                                id: sortbydealquote
//                                anchors.fill: parent
//                                property bool first: true
//                                onClicked: {
//                                    if (first){
//                                        myUserSelectionList.DisplayQuotesList(0,iListNum,iListRange,3,0)
//                                        first = !first
//                                    }
//                                    else
//                                    {
//                                        myUserSelectionList.DisplayQuotesList(0,iListNum,iListRange,3,1)
//                                        first = !first
//                                    }
//                                }
//                            }//endof mousearea
                        }

                        Rectangle {
                            id:maxpriceTitleCotainer
                            x: 720
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {
                                id: maxpriceTitle
                                text: "最高"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof maxpriceTitle
                        }

                        Rectangle {
                            id:minpriceTitleCotainer
                            x: 840
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {
                                id: minpriceTitle
                                text: "最低"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof minpriceTitle
                        }

                        Rectangle {
                            id:pricechangeratioTitleCotainer
                            x: 960
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {
                                id: pricechangeratioTitle
                                text: "振幅%"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof pricechangeratioTitle

//                            MouseArea {
//                                id: sortbypricechangeratio
//                                anchors.fill: parent
//                                property bool first: true
//                                onClicked: {
//                                    if (first){
//                                        myUserSelectionList.DisplayQuotesList(0,iListNum,iListRange,22,0)
//                                        first = !first
//                                    }
//                                    else
//                                    {
//                                        myUserSelectionList.DisplayQuotesList(0,iListNum,iListRange,22,1)
//                                        first = !first
//                                    }
//                                }
//                            }//endof mousearea
                        }

                        Rectangle {
                            id:raisespeedTitleCotainer
                            x: 1080
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {
                                id: raisespeedTitle
                                text: "涨速%"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof raisespeedTitle

//                            MouseArea {
//                                id: sortbyraisespeed
//                                anchors.fill: parent
//                                property bool first: true
//                                onClicked: {
//                                    if (first){
//                                        myUserSelectionList.DisplayQuotesList(0,iListNum,iListRange,25,0)
//                                        first = !first
//                                    }
//                                    else
//                                    {
//                                        myUserSelectionList.DisplayQuotesList(0,iListNum,iListRange,25,1)
//                                        first = !first
//                                    }
//                                }
//                            }//endof mousearea
                        }

                        Rectangle {
                            id:tradetimeTitleCotainer
                            x: 1200
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {
                                id: tradetimeTitle
                                text: "换手%"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof tradetimeTitle

//                            MouseArea {
//                                id: sortbytradetime
//                                anchors.fill: parent
//                                property bool first: true
//                                onClicked: {
//                                    if (first){
//                                        myUserSelectionList.DisplayQuotesList(0,iListNum,iListRange,21,0)
//                                        first = !first
//                                    }
//                                    else
//                                    {
//                                        myUserSelectionList.DisplayQuotesList(0,iListNum,iListRange,21,1)
//                                        first = !first
//                                    }
//                                }
//                            }//endof mousearea
                        }

                        Rectangle {
                            id:quantitypersentTitleCotainer
                            x: 1320
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {
                                id: quantitypersentTitle
                                text: "量比"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof quantitypersentTitle

//                            MouseArea {
//                                id: sortbyquantitypersent
//                                anchors.fill: parent
//                                property bool first: true
//                                onClicked: {
//                                    if (first){
//                                        myUserSelectionList.DisplayQuotesList(0,iListNum,iListRange,20,0)
//                                        first = !first
//                                    }
//                                    else
//                                    {
//                                        myUserSelectionList.DisplayQuotesList(0,iListNum,iListRange,20,1)
//                                        first = !first
//                                    }
//                                }
//                            }//endof mousearea
                        }

                        Rectangle {
                            id:delegateratioTitleCotainer
                            x: 1440
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {
                                id: delegateratioTitle
                                text: "委比"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof delegateratioTitle
                        }

                        Rectangle {
                            id:priceearningsratioTitleCotainer
                            x: 1560
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {
                                id: priceearningsratioTitle
                                text: "市盈"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof priceearningsratioTitle

//                            MouseArea {
//                                id: sortbypriceearningsratio
//                                anchors.fill: parent
//                                property bool first: true
//                                onClicked: {
//                                    if (first){
//                                        myUserSelectionList.DisplayQuotesList(0,iListNum,iListRange,23,0)
//                                        first = !first
//                                    }
//                                    else
//                                    {
//                                        myUserSelectionList.DisplayQuotesList(0,iListNum,iListRange,23,1)
//                                        first = !first
//                                    }
//                                }
//                            }//endof mousearea
                        }

                        Rectangle {
                            id:pbvTitleCotainer
                            x: 1680
                            width: 120
                            height: parent.height
                            gradient: titleGradient

                            StockListText {
                                id: pbvTitle
                                text: "市净"
                                color: titlecolor
                                width:parent.width
                                height:parent.height
                            }//endof pbvTitle

//                            MouseArea {
//                                id: sortbypbv
//                                anchors.fill: parent
//                                property bool first: true
//                                onClicked: {
//                                    if (first){
//                                        muQuotesList.DisplayQuotesList(0,iListNum,iListRange,24,0)
//                                        first = !first
//                                    }
//                                    else
//                                    {
//                                        myUserSelectionList.DisplayQuotesList(0,iListNum,iListRange,24,1)
//                                        first = !first
//                                    }
//                                }
//                            }//endof mousearea
                        }
                    }//endof flickableTableTitle
                }//endof listTileContainer
            }//endof listTitleRectangle
        }
    }

    // left bar
    Item {
        id: leftBar
        anchors.top: parent.top
        anchors.left:parent.left
        anchors.bottom: parent.bottom
        anchors.topMargin: 10
        width: 120;
        height: parent.height

        ListView {
            id: leftView
            width: leftBar.width;
            height: leftBar.height
            anchors.top: leftHeaderRow.bottom;
            anchors.bottom: leftBar.bottom;
            orientation: ListView.Vertical
            clip:true
            delegate: leftBarDelegate
            model: userselectionModel
            interactive: false
            contentY: myListView.contentY
            //preferredHighlightBegin: 0
            //preferredHighlightEnd: 50
            highlightRangeMode: ListView.StrictlyEnforceRange

//            onCurrentIndexChanged: {
//                if (currentIndex + 15 >= count)
//                {
//                    myListViewTimer.running = false
//                    myUserSelectionList.DisplayQuotesList(currentIndex, 0x0100, 0, 0, 0)
//                }
//            }

        }

        // left bar header
        Row {
            id: leftHeaderRow
            width: leftBar.width;
            height: 50

            Rectangle{
                id: recCodeandNameTitle
                height: leftHeaderRow.height
                width: leftHeaderRow.width
                gradient: titleGradient

                StockListText {
                    id: fixedTitleText
                    text: "沪深A股"
                    color: titlecolor
                    anchors.fill:  parent
                    height:recCodeandNameTitle.width
                    width:recCodeandNameTitle.height

//                    MouseArea {
//                        id: sortbyCode
//                        anchors.fill: parent
//                        property bool first: true
//                        onClicked: {
//                            if (first){
//                                myUserSelectionList.DisplayQuotesList(0,iListNum,iListRange,9,1)
//                                first = !first
//                            }
//                            else
//                            {
//                                myUserSelectionList.DisplayQuotesList(0,iListNum,iListRange,9,0)
//                                first = !first
//                            }
//                        }
//                    }

                }//endof fixedCodeTitle
            }//endof recCodeandNameTitle
        }
    }

    Component {
        id: listDelegate

        Item {
            id: comboListContainer
            width: 1800
            height: 50
            x:120

            Rectangle{
                id: flickableTable
                width: 1800
                height: 50
                color: "black"
                border.color: "#1d1d1d"
                border.width: 2

                MouseArea {
                    id: mouseClick_content
                    anchors.fill: parent
                    onClicked: {
                        myNetworkManager.checkNetworkAvailable2()
                        if (myNetworkManager.stocknetworkstatus === 0)
                        {
                            appWindow.currentstocknameandcode = name
                            //myListViewTimer.running = false
                            pageStack.push(Qt.resolvedUrl("TimeSharing.qml"))
                            myUserSelectionList.TriggerTimeSharing(index)
                        }
                    }
                }

                StockListText {
                    id: newpriceText
                    x:0
                    width: 120
                    height:50
                    text: newprice
                    color: newpricecolor
                }//endof newpriceText

                StockListText {
                    id: raiserateText
                    x:120
                    width: 120
                    height:50
                    text: raiserate
                    color: raiseratecolor
                }//endof raiserateText

                StockListText {
                    id: raiseamountText
                    x:240
                    width: 120
                    height:50
                    text: raiseamount
                    color: raiseamountcolor
                }//endof raiseamountText


                StockListText {
                    id: yesterdaypriceText
                    x:360
                    width: 120
                    height: 50
                    text: yesterdayprice
                    color: yesterdaypricecolor
                }//endof yesterdaypriceText

                StockListText {
                    id: dealquantityText
                    x:480
                    width: 120
                    height: 50
                    text: dealquantity
                    color: dealquantitycolor
                }//endof dealquantityText

                StockListText {
                    id: dealquoteText
                    x:600
                    width: 120
                    height: 50
                    text: dealquote
                    color: dealquotecolor
                }//endof dealquoteText


                StockListText {
                    id: maxpriceText
                    x:720
                    width: 120
                    height: 50
                    text: maxprice
                    color: maxpricecolor
                }//endof maxpriceText

                StockListText {
                    id: minpriceText
                    x: 840
                    width: 120
                    height: 50
                    text: minprice
                    color: minpricecolor
                }//endof minpriceText

                StockListText {
                    id: pricechangeratioText
                    x: 960
                    width: 120
                    height: 50
                    text: pricechangeratio
                    color: pricechangeratiocolor
                }//endof pricechangeratioText

                StockListText {
                    id: raisespeedText
                    x: 1080
                    width: 120
                    height: 50
                    text: raisespeed
                    color: raisespeedcolor
                }//endof raisespeedText

                StockListText {
                    id: tradetimeText
                    x: 1200
                    width: 120
                    height: 50
                    text: tradetime
                    color: tradetimecolor
                }//endof tradetimeText

                StockListText {
                    id: quantitypersentText
                    x: 1320
                    width: 120
                    height: 50
                    text: quantitypersent
                    color: quantitypersentcolor
                }//endof quantitypersentText

                StockListText {
                    id: delegateratioText
                    x: 1440
                    width: 120
                    height: 50
                    text: delegateratio
                    color: delegateratiocolor
                }//endof delegateratioText

                StockListText {
                    id: priceearningsratioText
                    x: 1560
                    width: 120
                    height: 50
                    text: priceearningsratio
                    color: priceearningsratiocolor
                }//endof priceearningsratioText

                StockListText {
                    id: pbvText
                    x: 1680
                    width: 120
                    height: 50
                    text: pbv
                    color: pbvcolor
                }//endof pbvText
            }//flickableTable
        }//endof comboListContainer
    }//endof comboListDelegate

    Component {
        id: leftBarDelegate

        Item {
            id: leftcomboListContainer
            width: 120
            height: 50

            Rectangle{
                id: recCodeandName
                width: 120
                height: 50
                color: "black"
                border.color: "#1d1d1d"
                border.width: 2

                MouseArea {
                    id: mouseClick_code
                    anchors.fill: parent
                    onClicked: {
                        myNetworkManager.checkNetworkAvailable2()
                        if (myNetworkManager.stocknetworkstatus === 0)
                        {
                            appWindow.currentstocknameandcode = name
                            //myListViewTimer.running = false
                            pageStack.push(Qt.resolvedUrl("TimeSharing.qml"))
                            myUserSelectionList.TriggerTimeSharing(index)
                        }
                    }
                }

                StockListText {
                    id: fixedBodyTextName
                    text: (name.length >= 5) ?  name.substring(0,4) + ".." : name
                    color: namecolor
                    height:25
                    width:120
                }

                Text {
                    id: fixedBodyTextCode
                    y:25
                    text: code
                    textFormat: Text.PlainText
                    font.pixelSize: 20
                    color: codecolor
                    verticalAlignment: Text.AlignVCenter
                    horizontalAlignment: Text.AlignHCenter
                    height:25
                    width: 120
                }
            }//endof recCodeandName
        }
    }

}//endof comboListViewContainer
