import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    id: userselectionPage
    tools: userselectionTools
    orientationLock: PageOrientation.LockPortrait

    property Item listviewObject;

    GwTitleBar {
        id: gwTitleBar
        titlebarName: "我的自选"
        height: 60

        function loadListView(){
            var varcomponent = Qt.createComponent("UserSelectionListView.qml");
            if (varcomponent.status == Component.Ready) {
                var varlistview = varcomponent.createObject(userselectionPage);
                varlistview.iListNum = 8;
                varlistview.iListRange = 107;
                varlistview.titlename = "我的自选";
                listviewObject = varlistview;
            }
        }

        Component.onCompleted: {
            loadListView()
        }
    }

    UserSelectionListView {
        id:userselectionListviewBackground
        iListNum: 8
        iListRange: 107
        titlename: "我的自选"
    }

    ToolBarLayout {
        id: userselectionTools
        visible: true

        ToolIcon {
            id: backIcon
            visible: true
            iconId: "toolbar-back"
            anchors.left: parent === undefined ? undefined : parent.left
            onClicked: {
                if (appWindow.userselection_saveItemsNum)
                {
                    if(myMenu.status != DialogStatus.Closed)
                    {
                        myMenu.close()
                    }
                }
                else
                {
                    if(myMenu2.status != DialogStatus.Closed)
                    {
                        myMenu2.close()
                    }
                }


                appWindow.exitpages()
                listviewObject.destroy()
                pageStack.pop()
            }
        }

        ToolIcon {
            id: menuIcon
            visible: true
            iconId: "toolbar-view-menu"
            anchors.right: parent === undefined ? undefined : parent.right
            //anchors.centerIn: parent
            onClicked: {
                if (appWindow.userselection_saveItemsNum)
                {
                    if (myMenu.status == DialogStatus.Closed)
                    {
                        myMenu.open()
                    }
                    else
                    {
                        myMenu.close()
                    }
                }
                else
                {
                    if (myMenu2.status == DialogStatus.Closed)
                    {
                        myMenu2.open()
                    }
                    else
                    {
                        myMenu2.close()
                    }
                }
            }
        }
    }

    Menu {
        id: myMenu
        visualParent: pageStack
        MenuLayout {
            MenuItem {
                id: homepageMenu
                text: "添加自选"
                onClicked: {
                    appWindow.openStockQueryPageWithinUserselection()
                    pageStack.push(Qt.resolvedUrl("UserSelectionAddItems.qml"))
                }
            }
            MenuItem {
                id: gridMenu
                text: "删除自选"
                onClicked: {
                    pageStack.push(Qt.resolvedUrl("UserSelectionRemoveItems.qml"))
                }
            }
        }
    }

    Menu {
        id: myMenu2
        visualParent: pageStack
        MenuLayout {
            MenuItem {
                id: homepageMenu2
                text: "添加自选"
                onClicked: {
                    appWindow.openStockQueryPageWithinUserselection()
                    pageStack.push(Qt.resolvedUrl("UserSelectionAddItems.qml"))
                }
            }
        }
    }
}
