import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    id: userselectionremoveitemsPage
    orientationLock: PageOrientation.LockPortrait
    tools: userselectionremoveitemsTools

    GwTitleBar {
        id: gwTitleBar
        titlebarName: "删除自选"
        height: 60//screen.currentOrientation == Screen.Portrait ? 60 : 50
    }

    Rectangle {
        id: justForGetBlackBackground
        anchors.top: gwTitleBar.bottom
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.bottom: parent.bottom
        color: "black"

        ListView {
            id: userselectionListView
            anchors.top: parent.top
//            anchors.top: queryTextField.bottom
            anchors.topMargin: 10
            anchors.left: parent.left
//            anchors.leftMargin: parent.width * 1/16
            anchors.right: parent.right
//            anchors.rightMargin: parent.width * 1/16
            anchors.bottom: parent.bottom

            delegate: Rectangle {
                            id: userselectionItem
                            width: userselectionListView.width
                            height: 50
                            color: index % 2 ? "black" : "#313131"

//                            CheckBox {
//                                id: userselectionCheckBox
//                                x:0
//                                width: parent.width * 1/5
//                                height: parent.height
//                            }
                            Button {
                                id: removeatButton
                                width:parent.width * 1/5
                                height:parent.height * 4/5
                                anchors.verticalCenter: parent.verticalCenter
                                text: "删除"
                                onClicked: {
                                    myUserSelectionList.DeleteItem(index)//pass index of listview
                                    //appWindow.openUserSelectionPage()
                                }
                            }

                            Text {
                                id: codeText

                                x: parent.width * 1/5
                                width: parent.width * 2/5
                                height: parent.height
                                text: code
                                horizontalAlignment: Text.AlignHCenter
                                verticalAlignment: Text.AlignVCenter
                                font.pixelSize: 25
                                color: "white"
                            }

                            Text {
                                id: nameText

                                x: parent.width * 3/5
                                width: parent.width * 2/5
                                height: parent.height
                                text: name
                                horizontalAlignment: Text.AlignHCenter
                                verticalAlignment: Text.AlignVCenter
                                font.pixelSize: 25
                                color: "white"
                            }

                      }
            model: userselectionModel
            clip: true
        }
    }//justForGetBlackBackground

    ToolBarLayout {
        id: userselectionremoveitemsTools
        visible: true
        ToolIcon {
            id: backIcon
            visible: true
            iconId: "toolbar-back"
            anchors.left: parent === undefined ? undefined : parent.left
            onClicked: {
                pageStack.pop()
                //appWindow.exitpages()
            }
        }

        ToolButton {
            id: removeallButton
            anchors.centerIn: parent
            width: 260
            visible: true
            text: "清空自选"
            property QueryDialog queryDialog
            onClicked: {
                //myUserSelectionList.RemoveAllItems()
                //appWindow.openUserSelectionPage()
                if (!queryDialog)
                    queryDialog = queryDialogComponent.createObject(removeallButton)
                queryDialog.open()
            }
        }
    }

    Component {
        id: queryDialogComponent
        QueryDialog {
            id:closeQueryDialog
            acceptButtonText: "确认"
            rejectButtonText: "取消"
            message: "确认清空记录?"
            titleText: "清空确认"
            onAccepted: {
                myUserSelectionList.RemoveAllItems()
                appWindow.openUserSelectionPage()
            }
        }
    }
}
