import QtQuick 1.1
import com.nokia.meego 1.0
import QtWebKit 1.0

//import "HtmlParser.js" as HtmlParser

Page {
    id: gwHomePage
    tools: webTools
    orientationLock: PageOrientation.LockPortrait

    //property alias url: webView.url

    Flickable {

        property alias title: webView.title
        property alias icon: webView.icon
        property alias progress: webView.progress
        property alias back: webView.back
        property alias stop: webView.stop
        property alias reload: webView.reload
        property alias forward: webView.forward

        id: flickableContainer

        width: parent.width
        contentWidth: Math.max(parent.width,webView.width)
        contentHeight: Math.max(parent.height,webView.height)
        anchors.fill: parent
        pressDelay: 200

        //onWidthChanged : {
            // Expand (but not above 1:1) if otherwise would be smaller that available width.
            //if (width > webView.width*webView.contentsScale && webView.contentsScale < 1.0)
            //    webView.contentsScale = width / webView.width * webView.contentsScale;
        //}

        WebView {
            id: webView
            transformOrigin: Item.TopLeft
            //url: fixUrl(webBrowser.urlString)
            smooth: false //We don't want smooth scaling, since we only scale during (fast) transitions
            focus: true

            settings.defaultFontSize: 20
            settings.offlineStorageDatabaseEnabled : true
            settings.offlineWebApplicationCacheEnabled : true
            settings.printElementBackgrounds: true

            url: "http://mnews.gw.com.cn/wap/news/news/gaoduan/index.html"
            //url: "http://mnews.gw.com.cn/staticize/index.html"

//            onUrlChanged: {
//            //got to topleft
//                //flickableContainer.contentX = 0
//                //flickableContainer.contentY = 0
//                //if (url != null) {
//                //    url.toString();
//                //}
//                if (url == "http://mnews.gw.com.cn/staticize/index.html") {
//                    backIcon.visible = false//let toolbar has back icon
//                }
//                else {
//                    backIcon.visible = true
//                }
//            }

            function doZoom(zoom,centerX,centerY)
            {
             if (centerX) {
                 var sc = zoom*contentsScale;
                 scaleAnim.to = sc;
                 flickVX.from = flickableContainer.contentX
                 flickVX.to = Math.max(0,Math.min(centerX-flickableContainer.width/2,webView.width*sc-flickableContainer.width))
                 finalX.value = flickVX.to
                 flickVY.from = flickableContainer.contentY
                 flickVY.to = Math.max(0,Math.min(centerY-flickableContainer.height/2,webView.height*sc-flickableContainer.height))
                 finalY.value = flickVY.to
                 quickZoom.start()
             }
            }

            Keys.onLeftPressed: webView.contentsScale -= 0.1
            Keys.onRightPressed: webView.contentsScale += 0.1

            preferredWidth: flickableContainer.width
            preferredHeight: flickableContainer.height

            contentsScale: 1
            onContentsSizeChanged: {
            // zoom out
                contentsScale = Math.min(1,flickableContainer.width / contentsSize.width)
            }

            onLoadFinished: {
                busyindicatorContainer.visible = false
                busyInd.running = false
                busyInd.visible = false
                webTools.visible = true
                backIcon.visible = true
                closeIcon.visible = true
            }

            onDoubleClick: {
                if (!heuristicZoom(clickX,clickY,2.5)) {
                    var zf = flickableContainer.width / contentsSize.width
                    if (zf >= contentsScale)
                        zf = 2.0*contentsScale // zoom in (else zooming out)
                    doZoom(zf,clickX*zf,clickY*zf)
                }
            }

            SequentialAnimation {
                id: quickZoom

                PropertyAction {
                    target: webView
                    property: "renderingEnabled"
                    value: false
                }
                ParallelAnimation {
                    NumberAnimation {
                        id: scaleAnim
                        target: webView
                        property: "contentsScale"
                        // the to property is set before calling
                        easing.type: Easing.Linear
                        duration: 200
                    }
                    NumberAnimation {
                        id: flickVX
                        target: flickableContainer
                        property: "contentX"
                        easing.type: Easing.Linear
                        duration: 200
                        from: 0 // set before calling
                        to: 0 // set before calling
                    }
                    NumberAnimation {
                        id: flickVY
                        target: flickableContainer
                        property: "contentY"
                        easing.type: Easing.Linear
                        duration: 200
                        from: 0 // set before calling
                        to: 0 // set before calling
                    }
                }
                //Have to set the contentXY, since the above 2
                //size changes may have started a correction if
                //contentsScale < 1.0.
                PropertyAction {
                    id: finalX
                    target: flickableContainer
                    property: "contentX"
                    value: 0 // set before calling
                }
                PropertyAction {
                    id: finalY
                    target: flickableContainer
                    property: "contentY"
                    value: 0 // set before calling
                }
                PropertyAction {
                    target: webView
                    property: "renderingEnabled"
                    value: true
                }
            }

            onZoomTo: doZoom(zoom,centerX,centerY)
        }



    }//justForGetBlackBackground

    ToolBarLayout {
        id: webTools
        visible: false
        ToolIcon {
            id: backIcon
            visible: false
            iconId: "toolbar-back"
            onClicked: {
                if (webView.url == "http://mnews.gw.com.cn/wap/news/news/gaoduan/index.html")
                {
                    pageStack.pop()
                    appWindow.exitpages()
                }
                else
                {
                    webView.back.trigger()
                }
            }
        }
        /*** bug 283567
        ToolIcon {
            id: closeIcon
            visible: false
            iconId: "toolbar-close"
            anchors.right: parent === undefined ? undefined : parent.right
            property QueryDialog queryDialog
            onClicked: {
                if (!queryDialog)
                    queryDialog = queryDialogComponent.createObject(gwHomePage)
                queryDialog.open()
            }
        }
        ***/
    }

    Component {
        id: queryDialogComponent
        QueryDialog {
            id:closeQueryDialog
            acceptButtonText: "确认"
            rejectButtonText: "取消"
            message: "确认退出大智慧?"
            titleText: "退出"
            onAccepted: Qt.quit()
        }
    }

    Rectangle{
        id: busyindicatorContainer
        color: "black"
        anchors.fill: gwHomePage
        visible: true

        BusyIndicator {
            id: busyInd
            anchors.centerIn: parent
            platformStyle: BusyIndicatorStyle {size: "large"}
            running: true
            visible: true
        }
    }
}
