import QtQuick 1.1
import com.nokia.meego 1.0

PageStackWindow {
    id: appWindow

    initialPage: gridPage

    signal openStockQueryPage()
    signal openUserSelectionPage()
    signal openLatestBrowsePage()
    signal openQuotationPage()
    signal openPlateIndexPage()
    signal openGlobalMarketPage()
    signal openDecisionSystemPage()
    signal openPhaseStatisticsPage()
    signal openMultiTouchWebPage()
    signal openKLine()
    signal openTimeSharing()
    signal switchToBuySell()
    signal switchToPanKou()
    signal clickedKLine(int index, int x)
    signal clickedTimeSharing(int index, int x)
    signal officiallyStartTimeSharingDrawing()
    signal officiallyKLineDrawing()
    signal exitpages()
    signal openStockQueryPageWithinUserselection()
    signal openNewInternetSelectionDialog()

    // global variable
    property int lastjumpurlid: 0
    property bool needbuysellboarddisplay :  true
    property string currentstocknameandcode: ""

    //{{ UserSeletion variable
    property int userselection_saveItemsNum : 0
    //}} UserSeletion variable

    //{{ TimeSharing variable
    property int timesharing_outbrokenlinecolumnWidth : 57
    property int timesharing_outbrokenlinecolumnHeight : 360
    property int timesharing_outBrokenLineWidth : 480
    property int timesharing_outBrokenLineHeight : 360
    property int timesharing_volumeWidth : 480
    property int timesharing_volumeHeight : 180
    property int timesharing_volumebrokenlinecolumnWidth : 57
    property int timesharing_volumebrokenlinecolumnHeight : 180
    property int timesharing_buySellInfoBoardWidth : 240
    property int timesharing_buySellInfoBoardHeight : 120
    property int timesharing_panKouInfoBoardWidth : 240
    property int timesharing_panKouInfoBoardHeight : 120
    property int timesharing_zhuBiInfoBoardWidth : 240
    property int timesharing_zhuBiInfoBoardHeight : 120
    property int timesharing_stockIndicatorBoardWidth : 82 - 4 - 5
    property int timesharing_stockIndicatorBoardHeight : 360
    //}} TimeSharing variable

    //{{ KLine variable
    property int kLine_kLineContainer1ColumnWidth : 60
    property int kLine_kLineContainer1ColumnHeight : 440
    property int kLine_kLineContainerWidth : 480 - 60
    property int kLine_kLineContainerHeight : 440
    property int kLine_kLineVolumeContainer1ColumnWidth : 60
    property int kLine_kLineVolumeContainer1ColumnHeight : 220
    property int kLine_kLineVolumeContainerWidth : 480 - 60
    property int kLine_kLineVolumeContainerHeight : 220
    property int kLine_buySellInfoBoardWidth : 0
    property int kLine_buySellInfoBoardHeight : 0
    property int kLine_panKouInfoBoardWidth : 0
    property int kLine_panKouInfoBoardHeight : 0
    property int kLine_zhuBiInfoBoardWidth : 0
    property int kLine_zhuBiInfoBoardHeight : 0
    property int kLine_stockIndicatorBoardWidth : 82 - 4 - 5
    property int kLine_stockIndicatorBoardHeight : 440
    //}} KLine variable

    GridPage {
        id: gridPage
    }

    Item {
            Connections {
                target: myNetworkManager
                onOpenStockNetworkCaution: {
                    console.log("onOpenStockNetworkCaution called.")
                    pageStack.push(Qt.resolvedUrl("NetworkCaution.qml"))
                }
            }
    }

    Component.onCompleted: { theme.inverted = true}
}
